Welcome

Start Page

Next Topic >>
What's new in B&R Windows CE 5.0?


What's new in B&R Windows CE 5.0?

Operating system

  • B&R Windows CE 5.0 is based on Microsoft Windows CE 5.0.

Bootloader

  • Loading of compressed images.
  • Scaled progress bar.

Storage memory

  • The Storage memory is mirrored on the CompactFlash card.
  • The configuration for the storage memory is saved in the System applet in the Control Panel.

START.DAT

  • Uniform syntax for keywords. See Syntax.
  • The keyword STORAGEMEMORY replaces the keyword $S. See STORAGEMEMORY.
  • New keywords BINFILE and DEBUGCOMPORT. See BINFILE and DEBUGCOMPORT.

Control Panel applets

  • The Screensaver applet in the Control Panel lets you configure B&R Windows CE 5.0 screensavers. See Screensavers.

Internationalization

  • The keyboard driver supports both German and English (United States) keyboard layouts.
  • The keyboard driver supports both German and English (United States) keyboard layouts.
The keyboard layout being used can be defined in the Regional Settings applet in the Control Panel. How do I define the input language?

Graphics card driver

  • Support for the SETPOWERMANAGEMENT escape function with power states VideoPowerOff und VideoPowerOn.
  • Support for B&R-specific escape functions MOUSE_ON and MOUSE_OFF.

Tools

  • Remote Display Control. See How do I configure the Remote Display Control?
  • RAM disk. See How do I configure a RAM disk?

Requirements

B&R Windows CE version: V5.0

See also:

How do I define the input language?, Screensaver, STORAGEMEMORY, BINFILE, DEBUGCOMPORT, How do I configure the Remote Display Control?

<< Previous Topic
Welcome

Start Page

Next Topic >>
Specifications


Specifications

In this section the following topics are discussed:

Specifications

Mobile Panel 100/200 BIOS

Power Panel 100/200 BIOS

<< Previous Topic
What's new in B&R Windows CE 5.0?

Start Page

Next Topic >>
Mobile Panel 100/200 BIOS


Mobile Panel 100/200 BIOS

Characteristic | Value
Operating system | Windows CE 4.1, Windows CE 4.2, Windows CE 5.0
Screen resolution | QVGA - LCD, QVGA - TFT, VGA - TFT, SVGA - TFT, XGA - TFT
Color depth | 16-bit / 65,536 colors*
Graphics card driver | AMD Geode graphics card driver with screen rotation without DirectX**
RAM | Automatic detection and use of up to 512 MB RAM
Boot time | Approx. 20 seconds
Screen rotation | Desktop can be rotated in 90° steps
Web browser | Internet Explorer for Windows CE
.NET | Supported
Image size | Approx. 23 MB
Custom keys | Supported
PVI | Supported

*)B&R Windows CE images that are based on Microsoft Windows CE 4.1 can only display 256 colors with QVGA resolution.
**) B&R Windows CE images that are based on Microsoft Windows CE 4.1 use the Microsoft frame buffer driver with screen rotation for QVGA resolution.

<< Previous Topic
Specifications

Start Page

Next Topic >>
Power Panel 100/200 BIOS

Start of Chapter


Power Panel 100/200 BIOS

Characteristic | Value
Operating system | Windows CE 4.1, Windows CE 4.2, Windows CE 5.0
Screen resolution | QVGA - LCD, QVGA - TFT, VGA - TFT, SVGA - TFT, XGA - TFT
Color depth | 16-bit / 65,536 colors*
Graphics card driver | AMD Geode graphics card driver with screen rotation without DirectX**
RAM | Automatic detection and use of up to 512 MB RAM
Boot time | Approx. 20 seconds
Screen rotation | Desktop can be rotated in 90° steps
Web browser | Internet Explorer for Windows CE
.NET | Supported
Image size | Approx. 23 MB
Custom keys | Supported
PVI | Supported

*)B&R Windows CE images that are based on Microsoft Windows CE 4.1 can only display 256 colors with QVGA resolution.
**) B&R Windows CE images that are based on Microsoft Windows CE 4.1 use the Microsoft frame buffer driver with screen rotation for QVGA resolution.

<< Previous Topic
Mobile Panel 100/200 BIOS

Start Page

Next Topic >>
Components/Functions/Drivers


Components / Functions / Drivers

General

This section contains information about the components and drivers which are integrated into the various B&R Windows CE 4.1/4.2 images. Detailed descriptions of these components can be found in the Platform Builder help or in the Microsoft Authoring Kit.

In this section the following topics are discussed:

Components/Functions/Drivers

Power Panel 100 / 200

Mobile Panel 100/200

<< Previous Topic
Power Panel 100/200 BIOS

Start Page

Next Topic >>
Power Panel 100 / 200


Power Panel 100 / 200

In this section the following topics are discussed:

Power Panel 100 / 200

V1.0

V1.1

V1.2

V1.3

V1.4

V1.5

V2.0

V2.1

V3.0

V5.0

<< Previous Topic
Components/Functions/Drivers

Start Page

Next Topic >>
V1.0


V1.0

Base operating system

  • Microsoft Windows CE 4.1

Display drivers

  • Geode/MediaGX (Rotation Support)
  • VGA Linear (Flat) Frame buffer (Rotation Support)

Input Devices

  • NOP (Stub) Keyboard/Mouse German
  • NOP (Stub) Keyboard/Mouse English

Network card driver

  • National Semiconductor DP83815 (MacPhyter)

PCI Bus Driver

  • PCI Bus

Serial interfaces

  • Com16550 (COM 1, available for usage)
  • Com16550 (COM 2, internal touch controller)
  • Com16550 (COM 3, internal matrix controller)

Storage Devices

  • ATAPI PCI/IDE storage block driver
  • Compact Flash / PC Card Storage (ATADISK)

USB Host

  • OHCI

Printer Devices

  • PCL Printer Driver

Application & Service Development

  • Active Template Library (ATL)
  • C++ Exception Handling
  • Runtime type information
  • Standard I/O (STDIO)
  • Standard I/O ASCII (STDIOA)
  • DCOM
  • Microsoft Foundation Classes (MFC)
  • XML Core Services and Document Object Model (DOM)
  • XML SAX

Applications - End user

  • ActiveSync
  • Microsoft Excel Viewer
  • Microsoft Image Viewer
  • Microsoft PDF Viewer
  • Microsoft PowerPoint Viewer
  • Help
  • Remote Desktop Protocol (RDP)
  • Wordpad

Communication services and networking

  • Wired Local Area Network (802.3, 802.5)
  • Dial-up networking (RAS/PPP)
  • AutoDial
  • Point-to-Point Protocol over Ethernet (PPPoE)
  • Telephony API (TAPI 2.0)
  • Virtual Private Networking (PPTP)
  • Unimodem support
  • Network utilities (IpConfig, Ping, Route)
  • Control Point API
  • Windows Networking API/Redirector (SMB/CIFS)
  • Winsock support
  • Core server support
  • Web server (HTTPD)

File systems and data storage

  • Bit-based
  • Hive-based registry
  • RAM and ROM file system
  • Storage manager
  • FAT file system
  • CD / UDFS file system

International

  • National Language Support (NLS)
  • Input Method Selector Sample Application

Multimedia technologies

  • Waveform Audio
  • DirectDraw
  • WMA Codec
  • DirectShow Core
  • DMO Wrapper Filter
  • AVI Filter
  • MPEG-1 Parser/Splitter
  • Cinepak Video Codec
  • DirectShow Video Renderer
  • MPEG-1 Video Codec
  • MS RLE video codec
  • QuickTime V2 video codec
  • WMV / MPEG-4 video codec
  • Windows Media Player application
  • Windows Media Player OCX
  • Windows Media technologies

Internet client services

  • Internet Explorer 5.5 for Windows CE - Standard Components
  • Internet Explorer 5.5 sample browser
  • JScript 5.5
  • VBScript 5.5
  • Internet Explorer browser control host
  • Internet Explorer HTML/DHTML API
  • Internet Explorer multiple-language base API
  • URL moniker services
  • Windows Internet services
  • Pocket Internet Explorer HTML view (WEBVIEW)
  • Sample IE 5.5 Internet Options Control Panel

Security

  • Authentication Services (SSPI)
  • Cryptography services (CryptoAPI 1.0) with high encryption provider
  • NTLM
  • Schannel (SSL/TLS)
  • Certificates (CryptoAPI 2.0)

Platform manager

  • Base engine
  • Transports
  • ActiveSync
  • TCP/IP

Shell and user interface

  • Command processor
  • Console window
  • Landscape (480x240 and larger)
  • Standard shell
  • Mouse
  • Network user interface
  • Software-based input panel driver
  • SIP for large screens
  • SIP for small screens
  • Windows XP-like sample skin

Fonts

  • Arial (Subset 1_30)
  • Arial Black
  • Arial Italic
  • Impact
  • Times New Roman Italic
  • Verdana
  • Comic Sans MS
  • Wingding
  • Tahoma (Subset 1_07)
  • Courier New (Subset 1_30)

Core OS services

  • LMemDebug memory debugging hooks
  • Toolhelp API
  • Fiber API
  • FormatMessage APIHelp
  • Minimal power management
  • Serial port support
  • USB host support
  • USB human input device (HID) class driver
  • USB printer class driver
  • USB remote NDIS class driver
  • USB storage class driver

Additional B&R Tools and Drivers

  • PVI
  • Tool for Registering ActiveX Controls
  • Tool for Rotating the Desktop
  • START.DAT parser
  • Settings.reg Parser
  • Configuration manager

<< Previous Topic
Power Panel 100 / 200

Start Page

Next Topic >>
V1.1


V1.1

Base operating system

  • Microsoft Windows CE 4.1

Display drivers

  • Geode/MediaGX (Rotation Support)
  • VGA Linear (Flat) Frame buffer (Rotation Support)

Input Devices

  • NOP (Stub) Keyboard/Mouse German
  • NOP (Stub) Keyboard/Mouse English

Network card driver

  • National Semiconductor DP83815 (MacPhyter)

PCI Bus Driver

  • PCI Bus

Serial interfaces

  • Com16550 (COM 1, available for usage)
  • Com16550 (COM 2, internal touch controller)
  • Com16550 (COM 3, internal matrix controller)

Storage Devices

  • ATAPI PCI/IDE storage block driver
  • Compact Flash / PC Card Storage (ATADISK)

USB Host

  • OHCI

Printer Devices

  • PCL Printer Driver

Application & Service Development

  • .Net Compact Framework V1.0
  • Active Template Library (ATL)
  • C++ Exception Handling
  • Runtime type information
  • Standard I/O (STDIO)
  • Standard I/O ASCII (STDIOA)
  • DCOM
  • Microsoft Foundation Classes (MFC)
  • XML Core Services and Document Object Model (DOM)
  • XML SAX

Applications - End user

  • ActiveSync
  • Microsoft Excel Viewer
  • Microsoft Image Viewer
  • Microsoft PDF Viewer
  • Microsoft PowerPoint Viewer
  • Help
  • Remote Desktop Protocol (RDP)
  • Wordpad

Communication services and networking

  • Wired Local Area Network (802.3, 802.5)
  • Dial-up networking (RAS/PPP)
  • AutoDial
  • Point-to-Point Protocol over Ethernet (PPPoE)
  • Telephony API (TAPI 2.0)
  • Virtual Private Networking (PPTP)
  • Unimodem support
  • Network utilities (IpConfig, Ping, Route)
  • Control Point API
  • Windows Networking API/Redirector (SMB/CIFS)
  • Winsock support
  • Core server support
  • Web server (HTTPD)

File systems and data storage

  • Bit-based
  • Hive-based registry
  • RAM and ROM file system
  • Storage manager
  • FAT file system
  • CD / UDFS file system

International

  • National Language Support (NLS)
  • Input Method Selector Sample Application

Multimedia technologies

  • Waveform Audio
  • DirectDraw
  • WMA Codec
  • DirectShow Core
  • DMO Wrapper Filter
  • AVI Filter
  • MPEG-1 Parser/Splitter
  • Cinepak Video Codec
  • DirectShow Video Renderer
  • MPEG-1 Video Codec
  • MS RLE video codec
  • QuickTime V2 video codec
  • WMV / MPEG-4 video codec
  • Windows Media Player application
  • Windows Media Player OCX
  • Windows Media technologies

Internet client services

  • Internet Explorer 5.5 for Windows CE - Standard Components
  • Internet Explorer 5.5 sample browser
  • JScript 5.5
  • VBScript 5.5
  • Internet Explorer browser control host
  • Internet Explorer HTML/DHTML API
  • Internet Explorer multiple-language base API
  • URL moniker services
  • Windows Internet services
  • Pocket Internet Explorer HTML view (WEBVIEW)
  • Sample IE 5.5 Internet Options Control Panel

Security

  • Authentication Services (SSPI)
  • Cryptography services (CryptoAPI 1.0) with high encryption provider
  • NTLM
  • Schannel (SSL/TLS)
  • Certificates (CryptoAPI 2.0)

Platform manager

  • Base engine
  • Transports
  • ActiveSync
  • TCP/IP

Shell and user interface

  • Command processor
  • Console window
  • Landscape (480x240 and larger)
  • Standard shell
  • Mouse
  • Network user interface
  • Software-based input panel driver
  • SIP for large screens
  • SIP for small screens
  • Windows XP-like sample skin

Fonts

  • Arial (Subset 1_30)
  • Arial Black
  • Arial Italic
  • Impact
  • Times New Roman Italic
  • Verdana
  • Comic Sans MS
  • Wingding
  • Tahoma (Subset 1_07)
  • Courier New (Subset 1_30)

Core OS services

  • LMemDebug memory debugging hooks
  • Toolhelp API
  • Fiber API
  • FormatMessage APIHelp
  • Minimal power management
  • Serial port support
  • USB host support
  • USB human input device (HID) class driver
  • USB printer class driver
  • USB remote NDIS class driver
  • USB storage class driver

Additional B&R Tools and Drivers

  • PVI
  • Driver for the 5IF760.9 aPCI module
  • Full-screen Web browser
  • B&R RegistryEditor
  • Tool for Registering ActiveX Controls
  • Tool for Rotating the Desktop
  • START.DAT parser
  • Settings.reg Parser
  • Configuration manager

<< Previous Topic
V1.0

Start Page

Next Topic >>
V1.2


V1.2

Base operating system

  • Microsoft Windows CE 4.1

Display drivers

  • VGA Linear (Flat) Frame buffer (Rotation Support)
  • Geode/MediaGX (Rotation Support)

Serial interfaces

  • Com16550 (COM 1, available for usage)
  • Com16550 (COM 2, internal touch controller)
  • Com16550 (COM 3, internal matrix controller)

Input Devices

  • NOP (Stub) Keyboard/Mouse German
  • NOP (Stub) Keyboard/Mouse English

PCI Bus Driver

  • PCI bus

Storage Devices

  • ATAPI PCI/IDE storage block driver
  • Compact Flash / PC Card Storage (ATADISK)

USB Host

  • OHCI

Network card driver

  • National Semiconductor DP83815 (MacPhyter)

Multimedia technologies

  • Waveform Audio
  • DirectDraw
  • WMA Codec
  • DirectShow Core
  • DMO Wrapper Filter
  • AVI Filter
  • MPEG-1 Parser/Splitter
  • Cinepak Video Codec
  • DirectShow Video Renderer
  • MPEG-1 Video Codec
  • MS RLE video codec
  • QuickTime V2 video codec
  • WMV / MPEG-4 video codec
  • Windows Media Player application
  • Windows Media Player OCX
  • Windows Media technologies

Security

  • Authentication Services (SSPI)
  • Cryptography services (CryptoAPI 1.0) with high encryption provider
  • NTLM
  • Schannel (SSL/TLS)
  • Certificates (CryptoAPI 2.0)

Shell and user interface

  • Command processor
  • Console window
  • Landscape (480x240 and larger)
  • Standard shell
  • Mouse
  • Network user interface
  • Software-based input panel driver
  • SIP for large screens
  • SIP for small screens
  • Windows XP-like sample skin

Application & Service Development

  • .Net Compact Framework V1.0
  • Active Template Library (ATL)
  • C++ Exception Handling
  • Runtime type information
  • Standard I/O (STDIO)
  • Standard I/O ASCII (STDIOA)
  • DCOM
  • Microsoft Foundation Classes (MFC)
  • XML Core Services and Document Object Model (DOM)
  • XML SAX

Internet client services

  • Internet Explorer 5.5 for Windows CE - Standard Components
  • Internet Explorer 5.5 sample browser
  • JScript 5.5
  • VBScript 5.5
  • Internet Explorer browser control host
  • Internet Explorer HTML/DHTML API
  • Internet Explorer multiple-language base API
  • URL moniker services
  • Windows Internet services
  • Pocket Internet Explorer HTML view (WEBVIEW)
  • Sample IE 5.5 Internet Options Control Panel

Communication services and networking

  • Wired Local Area Network (802.3, 802.5)
  • Dial-up networking (RAS/PPP)
  • AutoDial
  • Point-to-Point Protocol over Ethernet (PPPoE)
  • Telephony API (TAPI 2.0)
  • Virtual Private Networking (PPTP)
  • Unimodem support
  • Network utilities (IpConfig, Ping, Route)
  • Control Point API
  • Windows Networking API/Redirector (SMB/CIFS)
  • Winsock support
  • Core server support
  • Web server (HTTPD)
  • FTP server
  • RAS server / PPTP server (incoming)
  • Telnet server
  • Web Server Administration ISAPI
  • Active Server Pages (ASP) support
  • Device Management ISAPI Extension

Core OS services

  • LMemDebug memory debugging hooks
  • Toolhelp API
  • Fiber API
  • FormatMessage APIHelp
  • Minimal power management
  • Serial port support
  • USB host support
  • USB human input device (HID) class driver
  • USB printer class driver
  • USB remote NDIS class driver
  • USB storage class driver

Fonts

  • Arial (Subset 1_30)
  • Arial Black
  • Arial Italic
  • Impact
  • Times New Roman Italic
  • Verdana
  • Comic Sans MS
  • Wingding
  • Tahoma (Subset 1_07)
  • Courier New (Subset 1_30)

File systems and data storage

  • Bit-based
  • Hive-based registry
  • RAM and ROM file system
  • Storage manager
  • FAT file system
  • CD/UDFS file system

Applications - End user

  • ActiveSync
  • Microsoft Excel Viewer
  • Microsoft Image Viewer
  • Microsoft PDF Viewer
  • Microsoft PowerPoint Viewer
  • Help
  • Remote Desktop Protocol (RDP)
  • Wordpad

International

  • National Language Support (NLS)
  • Input Method Selector Sample Application

Platform manager

  • Base engine
  • Transports
  • ActiveSync
  • TCP/IP

Printer Devices

  • PCL Printer Driver

Additional B&R Tools and Drivers

  • PVI
  • Driver for the 5IF760.9 aPCI module
  • Full-screen Web browser
  • B&R RegistryEditor
  • SNTP Client
  • Tool for Registering ActiveX Controls
  • Tool for Rotating the Desktop
  • START.DAT parser
  • Settings.reg Parser
  • Configuration manager

<< Previous Topic
V1.1

Start Page

Next Topic >>
V1.3


V1.3

Base operating system

  • Microsoft Windows CE 4.1

Display drivers

  • VGA Linear (Flat) Frame buffer (Rotation Support)
  • Geode/MediaGX (Rotation Support)

Serial interfaces

  • Com16550 (COM 1, available for usage)
  • Com16550 (COM 2, internal touch controller)
  • Com16550 (COM 3, internal matrix controller)

Input Devices

  • NOP (Stub) Keyboard/Mouse German
  • NOP (Stub) Keyboard/Mouse English

PCI Bus Driver

  • PCI bus

Storage Devices

  • ATAPI PCI/IDE storage block driver
  • Compact Flash / PC Card Storage (ATADISK)

USB Host

  • OHCI

Network card driver

  • National Semiconductor DP83815 (MacPhyter)

Multimedia technologies

  • Waveform Audio
  • DirectDraw
  • WMA Codec
  • DirectShow Core
  • DMO Wrapper Filter
  • AVI Filter
  • MPEG-1 Parser/Splitter
  • Cinepak Video Codec
  • DirectShow Video Renderer
  • MPEG-1 Video Codec
  • MS RLE video codec
  • QuickTime V2 video codec
  • WMV / MPEG-4 video codec
  • Windows Media Player application
  • Windows Media Player OCX
  • Windows Media technologies

Security

  • Authentication Services (SSPI)
  • Cryptography services (CryptoAPI 1.0) with high encryption provider
  • NTLM
  • Schannel (SSL/TLS)
  • Certificates (CryptoAPI 2.0)

Shell and user interface

  • Command processor
  • Console window
  • Landscape (480x240 and larger)
  • Standard shell
  • Mouse
  • Network user interface
  • Software-based input panel driver
  • SIP for large screens
  • SIP for small screens
  • Windows XP-like sample skin

Application & Service Development

  • .Net Compact Framework V1.0
  • Active Template Library (ATL)
  • C++ Exception Handling
  • Runtime type information
  • Standard I/O (STDIO)
  • Standard I/O ASCII (STDIOA)
  • DCOM
  • Microsoft Foundation Classes (MFC)
  • XML Core Services and Document Object Model (DOM)
  • XML SAX

Internet client services

  • Internet Explorer 5.5 for Windows CE - Standard Components
  • Internet Explorer 5.5 sample browser
  • JScript 5.5
  • VBScript 5.5
  • Internet Explorer browser control host
  • Internet Explorer HTML/DHTML API
  • Internet Explorer multiple-language base API
  • URL moniker services
  • Windows Internet services
  • Pocket Internet Explorer HTML view (WEBVIEW)
  • Sample IE 5.5 Internet Options Control Panel

Communication services and networking

  • Wired Local Area Network (802.3, 802.5)
  • Dial-up networking (RAS/PPP)
  • AutoDial
  • Point-to-Point Protocol over Ethernet (PPPoE)
  • Telephony API (TAPI 2.0)
  • Virtual Private Networking (PPTP)
  • Unimodem support
  • Network utilities (IpConfig, Ping, Route)
  • Control Point API
  • Windows Networking API/Redirector (SMB/CIFS)
  • Winsock support
  • Core server support
  • Web server (HTTPD)
  • FTP server
  • RAS server / PPTP server (incoming)
  • Telnet server
  • Web Server Administration ISAPI
  • Active Server Pages (ASP) support
  • Device Management ISAPI Extension

Core OS services

  • LMemDebug memory debugging hooks
  • Toolhelp API
  • Fiber API
  • FormatMessage APIHelp
  • Minimal power management
  • Serial port support
  • USB host support
  • USB human input device (HID) class driver
  • USB printer class driver
  • USB remote NDIS class driver
  • USB storage class driver

Fonts

  • Arial (Subset 1_30)
  • Arial Black
  • Arial Italic
  • Impact
  • Times New Roman Italic
  • Verdana
  • Comic Sans MS
  • Wingding
  • Tahoma (Subset 1_07)
  • Courier New (Subset 1_30)

File systems and data storage

  • Bit-based
  • Hive-based registry
  • RAM and ROM file system
  • Storage manager
  • FAT file system
  • CD/UDFS file system

Applications - End user

  • ActiveSync
  • Help
  • Remote Desktop Protocol (RDP)

International

  • National Language Support (NLS)
  • Input Method Selector Sample Application

Platform manager

  • Base engine
  • Transports
  • ActiveSync
  • TCP/IP

Printer Devices

  • PCL Printer Driver

Additional B&R Tools and Drivers

  • PVI
  • Driver for the 5IF760.9 aPCI module
  • Full-screen Web browser
  • B&R RegistryEditor
  • SNTP Client
  • Tool for Registering ActiveX Controls
  • Tool for Rotating the Desktop
  • START.DAT parser
  • Settings.reg Parser
  • Configuration manager
  • Power Panel Control Center
  • B&R Notepad
  • Power Panel system DLL

<< Previous Topic
V1.2

Start Page

Next Topic >>
V1.4


V1.4

Base operating system

  • Microsoft Windows CE 4.1

Display drivers

  • VGA Linear (Flat) Frame buffer (Rotation Support)
  • Geode/MediaGX (Rotation Support)

Serial interfaces

  • Com16550 (COM 1, available for usage)
  • Com16550 (COM 2, internal touch controller)
  • Com16550 (COM 3, internal matrix controller)

Input Devices

  • NOP (Stub) Keyboard/Mouse German
  • NOP (Stub) Keyboard/Mouse English

PCI Bus Driver

  • PCI bus

Storage Devices

  • ATAPI PCI/IDE storage block driver
  • Compact Flash / PC Card Storage (ATADISK)

USB Host

  • OHCI

Network card driver

  • National Semiconductor DP83815 (MacPhyter)

Multimedia technologies

  • Waveform Audio
  • DirectDraw
  • WMA Codec
  • DirectShow Core
  • DMO Wrapper Filter
  • AVI Filter
  • MPEG-1 Parser/Splitter
  • Cinepak Video Codec
  • DirectShow Video Renderer
  • MPEG-1 Video Codec
  • MS RLE video codec
  • QuickTime V2 video codec
  • WMV / MPEG-4 video codec
  • Windows Media Player application
  • Windows Media Player OCX
  • Windows Media technologies

Security

  • Authentication Services (SSPI)

    • NTLM
    • Schannel (SSL/TLS)

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)

Shell and user interface

  • Command processor
  • Console window
  • Landscape (480x240 and larger)
  • Standard shell
  • Mouse
  • Network user interface
  • Software-based input panel driver
  • SIP for large screens
  • SIP for small screens
  • Windows XP-like sample skin

Application & Service Development

  • .Net Compact Framework V1.0
  • Active Template Library (ATL)
  • C++ Exception Handling
  • Runtime type information
  • Standard I/O (STDIO)
  • Standard I/O ASCII (STDIOA)
  • DCOM
  • Microsoft Foundation Classes (MFC)
  • XML Core Services and Document Object Model (DOM)
  • XML SAX

Internet client services

  • Internet Explorer 5.5 for Windows CE - Standard Components
  • Internet Explorer 5.5 sample browser
  • JScript 5.5
  • VBScript 5.5
  • Internet Explorer browser control host
  • Internet Explorer HTML/DHTML API
  • Internet Explorer multiple-language base API
  • URL moniker services
  • Windows Internet services
  • Pocket Internet Explorer HTML view (WEBVIEW)
  • Sample IE 5.5 Internet Options Control Panel

Communication services and networking

  • Wired Local Area Network (802.3, 802.5)
  • Dial-up networking (RAS/PPP)
  • AutoDial
  • Point-to-Point Protocol over Ethernet (PPPoE)
  • Telephony API (TAPI 2.0)
  • Virtual Private Networking (PPTP)
  • Unimodem support
  • Network utilities (IpConfig, Ping, Route)
  • Control Point API
  • Windows Networking API/Redirector (SMB/CIFS)
  • Winsock support
  • Core server support
  • Web server (HTTPD)
  • FTP server
  • RAS server / PPTP server (incoming)
  • Telnet server
  • Web Server Administration ISAPI
  • Active Server Pages (ASP) support
  • Device Management ISAPI Extension

Core OS services

  • LMemDebug memory debugging hooks
  • Toolhelp API
  • Fiber API
  • FormatMessage APIHelp
  • Minimal power management
  • Serial port support
  • USB host support
  • USB human input device (HID) class driver
  • USB printer class driver
  • USB remote NDIS class driver
  • USB storage class driver

Fonts

  • Arial (Subset 1_30)
  • Arial Black
  • Arial Italic
  • Impact
  • Times New Roman Italic
  • Times New Roman (Subset 1_30)
  • Icon
  • Verdana
  • Comic Sans MS
  • Wingding
  • Tahoma (Subset 1_07)
  • Courier New (Subset 1_30)

File systems and data storage

  • Bit-based
  • Hive-based registry
  • RAM and ROM file system
  • Storage manager
  • FAT file system
  • CD/UDFS file system

Applications - End user

  • ActiveSync
  • Help
  • Remote Desktop Protocol (RDP)

International

  • National Language Support (NLS)
  • Input Method Selector Sample Application

Platform manager

  • Base engine
  • Transports
  • ActiveSync
  • TCP/IP

Printer Devices

  • PCL Printer Driver

Additional B&R Tools and Drivers

  • PVI
  • Driver for the 5IF760.9 aPCI module
  • Full-screen Web browser
  • B&R RegistryEditor
  • SNTP Client
  • Tool for Registering ActiveX Controls
  • Tool for Rotating the Desktop
  • START.DAT parser
  • Settings.reg Parser
  • Configuration manager
  • Power Panel Control Center
  • B&R Notepad
  • Power Panel system DLL
  • Server applet

<< Previous Topic
V1.3

Start Page

Next Topic >>
V1.5


V1.5

Base operating system

  • Microsoft Windows CE 4.1

Display drivers

  • VGA Linear (Flat) Frame buffer (Rotation Support)
  • Geode/MediaGX (Rotation Support)

Serial interfaces

  • Com16550 (COM 1, available for usage)
  • Com16550 (COM 2, internal touch controller)
  • Com16550 (COM 3, internal matrix controller)

Input Devices

  • NOP (Stub) Keyboard/Mouse German
  • NOP (Stub) Keyboard/Mouse English

PCI Bus Driver

  • PCI bus

Storage Devices

  • ATAPI PCI/IDE storage block driver

USB Host

  • OHCI

Network card driver

  • National Semiconductor DP83815 (MacPhyter)

Multimedia technologies

  • Waveform Audio
  • DirectDraw
  • WMA Codec
  • DirectShow Core
  • DMO Wrapper Filter
  • AVI Filter
  • MPEG-1 Parser/Splitter
  • Cinepak Video Codec
  • DirectShow Video Renderer
  • MPEG-1 Video Codec
  • MS RLE video codec
  • QuickTime V2 video codec
  • WMV / MPEG-4 video codec
  • Windows Media Player application
  • Windows Media Player OCX
  • Windows Media technologies

Security

  • Authentication Services (SSPI)

    • NTLM
    • Schannel (SSL/TLS)

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)

Shell and user interface

  • Command processor
  • Console window
  • Landscape (480x240 and larger)
  • Standard shell
  • Mouse
  • Network user interface
  • Software-based input panel driver
  • SIP for large screens
  • SIP for small screens
  • Windows XP-like sample skin

Application & Service Development

  • .Net Compact Framework V1.0
  • Active Template Library (ATL)
  • C++ Exception Handling
  • Runtime type information
  • Standard I/O (STDIO)
  • Standard I/O ASCII (STDIOA)
  • DCOM
  • Microsoft Foundation Classes (MFC)
  • XML Core Services and Document Object Model (DOM)
  • XML SAX

Internet client services

  • Internet Explorer 5.5 for Windows CE - Standard Components
  • Internet Explorer 5.5 sample browser
  • JScript 5.5
  • VBScript 5.5
  • Internet Explorer browser control host
  • Internet Explorer HTML/DHTML API
  • Internet Explorer multiple-language base API
  • URL moniker services
  • Windows Internet services
  • Pocket Internet Explorer HTML view (WEBVIEW)
  • Sample IE 5.5 Internet Options Control Panel

Communication services and networking

  • Wired Local Area Network (802.3, 802.5)
  • Dial-up networking (RAS/PPP)
  • AutoDial
  • Point-to-Point Protocol over Ethernet (PPPoE)
  • Telephony API (TAPI 2.0)
  • Virtual Private Networking (PPTP)
  • Unimodem support
  • Network utilities (IpConfig, Ping, Route)
  • Control Point API
  • Windows Networking API/Redirector (SMB/CIFS)
  • Winsock support
  • Core server support
  • Web server (HTTPD)
  • FTP server
  • RAS server / PPTP server (incoming)
  • Telnet server
  • Web Server Administration ISAPI
  • Active Server Pages (ASP) support
  • Device Management ISAPI Extension

Core OS services

  • LMemDebug memory debugging hooks
  • Toolhelp API
  • Fiber API
  • FormatMessage APIHelp
  • Minimal power management
  • Serial port support
  • USB host support
  • USB human input device (HID) class driver
  • USB printer class driver
  • USB remote NDIS class driver
  • USB storage class driver

Fonts

  • Arial (Subset 1_30)
  • Arial Black
  • Arial Italic
  • Impact
  • Times New Roman Italic
  • Times New Roman (Subset 1_30)
  • Icon
  • Verdana
  • Comic Sans MS
  • Wingding
  • Tahoma (Subset 1_07)
  • Courier New (Subset 1_30)

File systems and data storage

  • Bit-based
  • Hive-based registry
  • RAM and ROM file system
  • Storage manager
  • FAT file system
  • CD/UDFS file system

Applications - End user

  • ActiveSync
  • Help
  • Remote Desktop Protocol (RDP)

International

  • National Language Support (NLS)
  • Input Method Selector Sample Application

Platform manager

  • Base engine
  • Transports
  • ActiveSync
  • TCP/IP

Printer Devices

  • PCL Printer Driver

Additional B&R Tools and Drivers

  • PVI
  • Driver for the 5IF760.9 aPCI module
  • Full-screen Web browser
  • B&R RegistryEditor
  • SNTP Client
  • Tool for Registering ActiveX Controls
  • Tool for Rotating the Desktop
  • START.DAT parser
  • Settings.reg Parser
  • Configuration manager
  • Power Panel Control Center
  • Mobile Panel Control Center
  • B&R Notepad
  • Power Panel system DLL
  • Mobile Panel system DLL
  • Server applet
  • MXC Driver

<< Previous Topic
V1.4

Start Page

Next Topic >>
V2.0


V2.0

Base operating system

  • Microsoft Windows CE 4.2

Display drivers

  • Power Panel Geode graphics card driver with rotation support

Security

  • Authentication Services (SSPI)

    • NTLM
    • Schannel (SSL/TLS)
    • Kerberos

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)
    • Diffie-Hellman/DSS provider

Shell and user interface

  • Shell

    • Command shell

      • Command processor
      • Console window
      • Standard shell

  • User interface

    • Mouse

    • Network user interface

    • Customizable UI

      • Windows XP-like sample skin

    • Software input panel

      • Software-based input panel driver
      • SIP for large screens
      • SIP for small screens

Application and services development

  • XML

    • XML Core Services and Document Object Model (DOM)
    • XML SAX

  • .NET Compact Framework

    • .NET Compact Framework 1.0 - SP2
    • OS dependencies for .NET Compact Framework 1.0
    • Smart device authentication utility

  • Active Template Library (ATL)

  • Component services (COM and DCOM)

    • DCOM
    • COM storage
    • DCOM remote access

  • Microsoft Foundation Classes (MFC)

  • C libraries and runtimes

    • C++ Exception Handling
    • Runtime type information
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)

Communication services and networking

  • Networking features

    • Network utilities (IpConfig, Ping, Route)
    • TCP/IP
    • IP Helper API
    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock support

  • Universal Plug and Play (UPnP)

    • Control Point API
    • Device Host API

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Servers

    • Core server support
    • File server
    • FTP server
    • RAS server/PPTP server (incoming)
    • Simple Network Time Protocol (SNTP) service
    • Telnet server
    • Web server (HTTPD)
      • Active Server Pages (ASP) support
      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

  • Networking - Wide Area Network (WAN)

    • Dial-up networking (RAS/PPP)
      • Auto-dial

    • Point-to-Point Protocol over Ethernet (PPPoE)

    • Telephony API (TAPI 2.0)
      • Unimodem support

    • Virtual Private Networking
      • PPTP

Core OS services

  • Minimal power management

  • Serial port support

  • USB host support

    • USB human input device (HID) class driver

      • USB HID keyboard and mouse
      • USB HID keyboard only
      • USB HID mouse only

    • USB printer class driver

    • USB storage class driver

    • USB remote NDIS class driver

  • Debugging tools

    • LMemDebug memory debugging hooks

    • Toolhelp API

  • Kernel features

    • Fiber API

    • Parallel port support

Internet client services

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer browser control host

    • Internet Explorer HTML/DHTML API

    • Internet Explorer multiple-language base API

    • URL moniker services

    • Windows Internet services

    • Sample Internet Explorer 6.0 Internet Options Control Panel

  • Internet Explorer 6.0 for Windows CE - Standard components

    • Internet Explorer 6.0 sample browser

  • Scripting

    • JScript 5.5
    • VBScript 5.5

Applications - End user

  • ActiveSync

    • File sync

  • CAB file installer/uninstaller

  • Help

  • Wordpad

  • Remote Desktop Connection

    • Remote Desktop Protocol (RDP)

      • User interface dialog boxes
      • Cut / copy / paste clipboard redirection
      • File storage redirection
      • Printer redirection
      • Serial and parallel port redirection

Fonts

  • Arial

    • Arial (Subset 1_30)

    • Arial Black

    • Arial Italic

  • Verdana

  • Comic Sans MS

  • Georgia

  • Symbol

  • Times New Roman

    • Times New Roman (Subset 1_30)

    • Times New Roman Italic

  • Wingding

  • Tahoma (Subset 1_07)

  • Courier New (Subset 1_30)

Multimedia technologies

  • Multimedia components

    • DirectDraw

    • Windows Media Player

      • Windows Media Player application
      • Windows Media Player OCX

    • Windows Media technologies

      • DirectShow

        • DirectShow core
        • DMO wrapper filter
        • Media formats
          • AVI filter
          • MPEG-1 parser/splitter
        • Video codecs and renderers
          • DirectShow video renderer
          • MPEG-1 video codec
          • MS RLE video codec
          • Video/Image compression manager
          • WMV/MPEG-4 video codec
        • Audio codecs and renderers
          • WMA codec
      • Audio
        • Waveform audio

File systems and data storage

  • Bit-based

  • Hive-based registry

  • RAM and ROM file system

  • Storage manager

    • FAT file system

    • CD/UDFS file system

    • Transaction-safe FAT file system (TFAT)

Bernecker + Rainer-specific tools

  • Configuration settings

    • File extensions

    • Run history

  • Control Panel applets

    • Server applet

    • Configuration manager

  • Driver

    • 5IF760.9 aPCI module

    • MXC

  • Programs

    • Registry Editor

    • RegSvrCE

    • Full-screen Web browser

    • DCOMCnfg

    • PVI

  • SCADA package support

    • COPA-DATA zenOn

International

  • National Language Support (NLS)

Device drivers

  • Configuration settings

    • Power Panel default ActiveSync connection

    • Power Panel desktop style

  • Display

    • Power Panel Geode graphics card driver with rotation support (Win CE 4.1)

  • Networking

    • Local Area Networking (LAN) devices

      • Power Panel DP83815/DP83816 network card

  • PCI bus

  • Power Panel touch controller

  • Storage devices

    • Power Panel ATAPI driver update

      • Storage devices

      • ATAPI PCI/IDE storage block driver

  • Input devices

    • NOP (stub) keyboard/mouse - English

  • Power Panel AutoRun

  • Power Panel Control Center

  • Power Panel system DLL

  • Power Panel touch calibration utility

  • Printer devices

    • PCL printer driver

  • Serial

    • Power Panel 3 serial communication ports

  • USB host

    • OHCI

Platform manager

  • Base engine

    • Transports

      • ActiveSync
      • TCP/IP

<< Previous Topic
V1.5

Start Page

Next Topic >>
V2.1


V2.1

Base operating system

  • Microsoft Windows CE 4.2

Display drivers

  • Power Panel Geode graphics card driver with rotation support

Security

  • Authentication Services (SSPI)

    • NTLM
    • Schannel (SSL/TLS)
    • Kerberos

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)
    • Diffie-Hellman/DSS provider

Shell and user interface

  • Shell

    • Command shell

      • Command processor
      • Console window
      • Standard shell

  • User interface

    • Mouse

    • Network user interface

    • Customizable UI

      • Windows XP-like sample skin

    • Software input panel

      • Software-based input panel driver
      • SIP for large screens
      • SIP for small screens

Application and services development

  • XML

    • XML Core Services and Document Object Model (DOM)
    • XML SAX

  • .NET Compact Framework

    • .NET Compact Framework 1.0 - SP2
    • OS dependencies for .NET Compact Framework 1.0
    • Smart device authentication utility

  • Active Template Library (ATL)

  • Component services (COM and DCOM)

    • DCOM
    • COM storage
    • DCOM remote access

  • Microsoft Foundation Classes (MFC)

  • C libraries and runtimes

    • C++ Exception Handling
    • Runtime type information
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)

Communication services and networking

  • Networking features

    • Network utilities (IpConfig, Ping, Route)
    • TCP/IP
    • IP Helper API
    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock support

  • Universal Plug and Play (UPnP)

    • Control Point API
    • Device Host API

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Servers

    • Core server support
    • File server
    • FTP server
    • RAS server/PPTP server (incoming)
    • Simple Network Time Protocol (SNTP) service
    • Telnet server
    • Web server (HTTPD)
      • Active Server Pages (ASP) support
      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

  • Networking - Wide Area Network (WAN)

    • Dial-up networking (RAS/PPP)
      • Auto-dial

    • Point-to-Point Protocol over Ethernet (PPPoE)

    • Telephony API (TAPI 2.0)
      • Unimodem support

    • Virtual Private Networking
      • PPTP

Core OS services

  • Minimal power management

  • Serial port support

  • USB host support

    • USB human input device (HID) class driver

      • USB HID keyboard and mouse
      • USB HID keyboard only
      • USB HID mouse only

    • USB printer class driver

    • USB storage class driver

    • USB remote NDIS class driver

  • Debugging tools

    • LMemDebug memory debugging hooks

    • Toolhelp API

  • Kernel features

    • Fiber API

    • Parallel port support

Internet client services

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer browser control host

    • Internet Explorer HTML/DHTML API

    • Internet Explorer multiple-language base API

    • URL moniker services

    • Windows Internet services

    • Sample Internet Explorer 6.0 Internet Options Control Panel

  • Internet Explorer 6.0 for Windows CE - Standard components

    • Internet Explorer 6.0 sample browser

  • Scripting

    • JScript 5.5
    • VBScript 5.5

Applications - End user

  • ActiveSync

    • File sync

  • CAB file installer/uninstaller

  • Help

  • Wordpad

  • Remote Desktop Connection

    • Remote Desktop Protocol (RDP)

      • User interface dialog boxes
      • Cut / copy / paste clipboard redirection
      • File storage redirection
      • Printer redirection
      • Serial and parallel port redirection
      • Smart card redirection

Fonts

  • Arial

    • Arial (Subset 1_30)

    • Arial Black

    • Arial Italic

  • Verdana

  • Comic Sans MS

  • Georgia

  • Symbol

  • Times New Roman

    • Times New Roman (Subset 1_30)

    • Times New Roman Italic

  • Wingding

  • Tahoma (Subset 1_07)

  • Courier New (Subset 1_30)

Multimedia technologies

  • Multimedia components

    • DirectDraw

    • Windows Media Player

      • Windows Media Player application
      • Windows Media Player OCX

    • Windows Media technologies

      • DirectShow

        • DirectShow core
        • DMO wrapper filter
        • Media formats
          • AVI filter
          • MPEG-1 parser/splitter
        • Video codecs and renderers
          • DirectShow video renderer
          • MPEG-1 video codec
          • MS RLE video codec
          • Video/Image compression manager
          • WMV/MPEG-4 video codec
        • Audio codecs and renderers
          • WMA codec
      • Audio
        • Waveform audio

File systems and data storage

  • Bit-based

  • Hive-based registry

  • RAM and ROM file system

  • Storage manager

    • FAT file system

    • CD/UDFS file system

    • Transaction-safe FAT file system (TFAT)

Bernecker + Rainer-specific tools

  • Configuration settings

    • File extensions

    • Run history

  • Control Panel applets

    • Server applet

    • Configuration manager

  • Driver

    • 5IF760.9 aPCI module

    • MXC

  • Programs

    • Registry Editor

    • RegSvrCE

    • Full-screen Web browser

    • DCOMCnfg

    • PVI

  • SCADA package support

    • COPA-DATA zenOn

International

  • National Language Support (NLS)

Device drivers

  • Configuration settings

    • Power Panel default ActiveSync connection

    • Power Panel desktop style

  • Display

    • Power Panel Geode graphics card driver with rotation support (Win CE 4.1)

  • Networking

    • Local Area Networking (LAN) devices

      • Power Panel DP83815/DP83816 network card

  • PCI bus

  • Power Panel touch controller

  • Storage devices

    • Power Panel ATAPI driver update

      • Storage devices

      • ATAPI PCI/IDE storage block driver

  • Input devices

    • NOP (stub) keyboard/mouse - English

  • Power Panel AutoRun

  • Power Panel Control Center

  • Power Panel system DLL

  • Power Panel touch calibration utility

  • Printer devices

    • PCL printer driver

  • Serial

    • Power Panel 3 serial communication ports

  • USB host

    • OHCI

Platform manager

  • Base engine

    • Transports

      • ActiveSync
      • TCP/IP

<< Previous Topic
V2.0

Start Page

Next Topic >>
V3.0


V3.0

Base operating system

  • Microsoft Windows CE 4.2

Display drivers

  • Power Panel Geode graphics card driver with rotation support

Security

  • Authentication Services (SSPI)

    • NTLM
    • Schannel (SSL/TLS)
    • Kerberos

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)
    • Diffie-Hellman/DSS provider

Shell and user interface

  • Shell

    • Command shell

      • Command processor
      • Console window
      • Standard shell

  • User interface

    • Mouse

    • Network user interface

    • Customizable UI

      • Windows XP-like sample skin

    • Software input panel

      • Software-based input panel driver
      • SIP for large screens
      • SIP for small screens

Application and services development

  • XML

    • XML Core Services and Document Object Model (DOM)
    • XML SAX
    • XML HTTP
    • XML Query Languages (XQL)
    • XML Stylesheet Language Transformation (XSLT)

  • .NET Compact Framework

    • .NET Compact Framework 1.0 - SP2
    • OS dependencies for .NET Compact Framework 1.0
    • Smart device authentication utility

  • Active Template Library (ATL)

  • Component services (COM and DCOM)

    • DCOM
    • COM storage
    • DCOM remote access

  • Microsoft Foundation Classes (MFC)

  • C libraries and runtimes

    • C++ Exception Handling
    • Runtime type information
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)

Communication services and networking

  • Networking features

    • Network utilities (IpConfig, Ping, Route)
    • TCP/IP
    • IP Helper API
    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock support

  • Universal Plug and Play (UPnP)

    • Control Point API
    • Device Host API

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Servers

    • Core server support
    • File server
    • FTP server
    • RAS server/PPTP server (incoming)
    • Simple Network Time Protocol (SNTP) service
    • Telnet server
    • Web server (HTTPD)
      • Active Server Pages (ASP) support
      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

  • Networking - Wide Area Network (WAN)

    • Dial-up networking (RAS/PPP)
      • Auto-dial

    • Point-to-Point Protocol over Ethernet (PPPoE)

    • Telephony API (TAPI 2.0)
      • Unimodem support

    • Virtual Private Networking
      • PPTP

Core OS services

  • Minimal power management

  • Serial port support

  • USB host support

    • USB human input device (HID) class driver

      • USB HID keyboard and mouse
      • USB HID keyboard only
      • USB HID mouse only

    • USB printer class driver

    • USB storage class driver

    • USB remote NDIS class driver

  • Debugging tools

    • LMemDebug memory debugging hooks

    • Toolhelp API

  • Kernel features

    • Fiber API

    • Parallel port support

Internet client services

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer browser control host

    • Internet Explorer HTML/DHTML API

    • Internet Explorer multiple-language base API

    • URL moniker services

    • Windows Internet services

    • Sample Internet Explorer 6.0 Internet Options Control Panel

  • Internet Explorer 6.0 for Windows CE - Standard components

    • Internet Explorer 6.0 sample browser

  • Scripting

    • JScript 5.5
    • VBScript 5.5

Applications - End user

  • ActiveSync

    • File sync

  • CAB file installer/uninstaller

  • Help

  • Wordpad

  • Remote Desktop Connection

    • Remote Desktop Protocol (RDP)

      • User interface dialog boxes
      • Cut / copy / paste clipboard redirection
      • File storage redirection
      • Printer redirection
      • Serial and parallel port redirection
      • Smart card redirection

Fonts

  • Arial

    • Arial (Subset 1_30)

    • Arial Black

    • Arial Italic

  • Verdana

  • Comic Sans MS

  • Georgia

  • Symbol

  • Times New Roman

    • Times New Roman (Subset 1_30)

    • Times New Roman Italic

  • Wingding

  • Tahoma (Subset 1_07)

  • Courier New (Subset 1_30)

Multimedia technologies

  • Multimedia components

    • DirectDraw

    • Windows Media Player

      • Windows Media Player application
      • Windows Media Player OCX

    • Windows Media technologies

      • DirectShow

        • DirectShow core
        • DMO wrapper filter
        • Media formats
          • AVI filter
          • MPEG-1 parser/splitter
        • Video codecs and renderers
          • DirectShow video renderer
          • MPEG-1 video codec
          • MS RLE video codec
          • Video/Image compression manager
          • WMV/MPEG-4 video codec
        • Audio codecs and renderers
          • WMA codec
      • Audio
        • Waveform audio

File systems and data storage

  • Bit-based

  • Hive-based registry

  • RAM and ROM file system

  • Storage manager

    • FAT file system

    • CD/UDFS file system

    • Transaction-safe FAT file system (TFAT)

Bernecker + Rainer-specific tools

  • Configuration settings

    • File extensions

    • Run history

  • Control Panel applets

    • Server applet

    • Configuration manager

  • Driver

    • 5IF760.9 aPCI module

    • Automation Device Interface

  • Programs

    • Registry Editor

    • RegSvrCE

    • Full-screen Web browser

    • DCOMCnfg

    • PVI

  • SCADA package support

    • COPA-DATA zenOn

International

  • National Language Support (NLS)

Device drivers

  • Configuration settings

    • Power Panel default ActiveSync connection

    • Power Panel desktop style

  • Display

    • Power Panel Geode graphics card driver with rotation support (Win CE 4.1)

  • Networking

    • Local Area Networking (LAN) devices

      • Power Panel DP83815/DP83816 network card

  • PCI bus

  • Power Panel touch controller

  • Storage devices

    • Power Panel ATAPI driver update

      • Storage devices

      • ATAPI PCI/IDE storage block driver

  • Input devices

    • NOP (stub) keyboard/mouse - English

  • Power Panel AutoRun

  • Power Panel Control Center

  • Power Panel touch calibration utility

  • Printer devices

    • PCL printer driver

  • Serial

    • Power Panel 3 serial communication ports

  • USB host

    • OHCI

Platform manager

  • Base engine

    • Transports

      • ActiveSync
      • TCP/IP

<< Previous Topic
V2.1

Start Page

Next Topic >>
V5.0


V5.0

Base operating system

  • Microsoft Windows CE 5.0

Device drivers

  • Input devices
    • 8042 keyboard/mouse - English
    • NOP (stub) keyboard/mouse - English

  • Networking
    • Wide Area Networking (WAN) devices

      • Asyncmac NDIS driver

  • PCI bus
  • Printer devices
    • PCL printer devices

  • Serial
    • Com16550
    • Com16550 (second instance)
    • Com16550 (third instance)
    • Com card

  • Smart card
    • Smart card

  • Storage devices
    • Storage devices

      • ATAPI PCI/IDE storage block driver
      • Promise Controller ATAPI driver

  • USB host
    • OHCI
  • Power Panel Geode graphics card driver with rotation support

Application - End user

  • ActiveSync
    • File sync

  • CAB file installer/uninstaller
  • Help
  • Remote Desktop Connection
    • Remote Desktop Protocol

      • Cut / copy / paste clipboard redirection
      • File storage redirection
      • Printer redirection
      • Serial and parallel port redirection
      • Smart card redirection
      • User interface dialog boxes

  • Wordpad

Application and services development

  • .NET Compact Framework

    • .NET Compact Framwork 1.0
    • OS dependencies for .NET Compact Framework 1.0
    • Smart device authentication utility

  • Active Template Library (ATL)
  • C libraries and runtimes
    • C++ runtime support for exception handling and runtime type information
    • Full C runtime
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)
    • Standard string functions - ASCII (corestra)
    • String safe utility functions

  • Component services (COM and DCOM)

    • Component object model

      • DCOM

        • COM storage
        • DCOM remote access

  • Microsoft Foundation Classes (MFC)
  • XML
    • MSXML 3.0
    • XML Core Services and Document Object Model (DOM)

      • XML error strings
      • XML HTTP
      • XML Query Languages (XQL)

        • XML Stylesheet Language Transformations (XSLT)

      • XML SAX

    • XML minimal parser

Communication services and networking

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Networking - Wide Area Network (WAN)
    • Dial-up networking (RAS/PPP)

      • AutoDial
      • Standard modem support for dial-up networking

    • Point-to-Point Protocol over Ethernet (PPPoE)
    • Telephony API (TAPI2.0)

      • Unimodem support

    • Virtual Private Networking

      • PPTP

  • Networking - Features
    • NDIS user-mode I/O driver
    • Network driver architecture (NDIS)
    • Network utilities (IpConfig, Ping, Route)
    • TCP/IP

      • IP Helper API

    • Universal Plug and Play (UPnP)

      • Control Point API
      • Device Host API

    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock support

  • Servers
    • Core server support
    • File server
    • FTP server
    • RAS server/PPTP server (incoming)
    • Simple Network Time Protocol (SNTP)

      • SNTP client with DST

    • Telnet server
    • Web Server *HTTPD

      • Active Server Pages (ASP) support

        • JScript 5.6
        • VBScript 5.6

      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

Core OS services

  • Debugging tools
    • LMemDebug memory debugging hooks
    • Toolelp API

  • Device manager
  • Display support
  • Kernel features

    • Fiber API
    • FormatMessage API
    • Memory mapped files
    • Message queue - point-to-point

  • Parallel port support
  • PNP notification
  • Power management (full)
  • Serial port support
  • UI-based notification
  • USB host support
    • USB printer class driver
    • USB remote NDIS class driver
    • USB storage class driver

File systems and data storage

  • Bit-based
  • Compression
  • Database support
  • Hive-based registry
  • ROM-only file system
  • Storage manager

    • CD/UDFS file system
    • FAT file system
    • Partition driver
    • Storage Manager Control Panel applet

  • System password

Fonts

  • Arial

    • Arial (Subset 1_30)
    • Arial Black
    • Arial Italic

  • Comic Sans MS
    • Comic Sans MS

  • Courier New
    • Courier New (Subset 1_30)

  • Georgia
    • Georgia

  • Symbol
  • Tahoma

    • Tahoma (Subset 1_07)

  • Times New Roman

    • Times New Roman (Subset 1_30)
    • Times New Roman Italic

  • Verdana

    • Verdana

  • Wingding

Graphics and multimedia technologies

  • Audio

    • Waveform audio

  • Graphics
    • DirectDraw
    • Gradient fill support
    • Imaging

      • Still image codec support (encode and decode)
      • Sill image decoders
      • BMP decoder
      • GIF decoder
      • JPG decoder
      • PNG decoder

  • Media
    • DirectShow

      • DirectShow core
      • DirectShow display
      • DMP wrapper filter

    • Media formats

      • AVI filter
      • MPEG-1 parser/splitter

    • Video codecs and renderers
    • DirectShow video renderer

      • MPEG-1 video codec
      • MS RLE video codec
      • Video/Image compression manager

    • Windows Media Player

      • Windows Media Player
      • Windows Media Player OCX

International

  • Input Method Manager (IMM)
  • National Language Support (NLS)
  • Multilingual User Interface (MUI)

Internet client services

  • Browser application
    • Internet Explorer 6.0 for Windows CE - Standard components

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer browser control host
    • Internet Explorer HTML/DTHML API
    • Internet Explorer multiple-language base API
    • URL moniker services
    • Windows Internet services

      • Passport SSI 1.4 authentication
      • Platform for Privacy Preferences (P3P)

  • Internet Options Control Panel
  • Scripting

    • JScript 5.6

      • Script authoring (Jscript)
      • Script encode (Jscript)

    • VBScript 5.6

      • MsgBox and InputBox support
      • Script authoring (VBScript)
      • Script encode (VBScript)

Security

  • Authentication Services (SSPI)

    • Kerberos
    • NTLM
    • Schannel (SSL/TLS)

  • Credential Manager

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)

      • Cryptographic messaging (PKCS#7)

    • Diffie-Hellman/DSS provider

Shell and user interface

  • Graphics, windowing, and events
    • Minimal GDI configuration
    • Minimal GWES configuration
    • Minimal input configuration
    • Minimal window manager configuration

  • Shell

    • Command shell

      • Command processor
      • Console window

    • Standard shell

  • User interface

    • Common controls

      • Common control

    • Common dialog support
    • Control Panel applets
    • Customizable UI

      • Windows XP-like sample skin

    • Mouse
    • Network user interface
    • Software input panel

      • SIP for large screens
      • SIP for small screens
      • Software-based input panel driver

Platform manager

  • Platform manager

Bernecker + Rainer-specific tools

  • APIs
    • Automation Device Interface
    • Screensaver

  • Control Panel applets
    • Server applet
    • Configuration manager
    • PVI

  • Programs
    • Registry Editor
    • RegSvrCE
    • DCOMCnfg

  • aPCI cards
    • 5IF760.9 aPCI module

<< Previous Topic
V3.0

Start Page

Next Topic >>
Mobile Panel 100/200


Mobile Panel 100/200

In this section the following topics are discussed:

Mobile Panel 100/200

V1.5

V2.0

V2.1

V3.0

V5.0

<< Previous Topic
V5.0

Start Page

Next Topic >>
V1.5


V1.5

Base operating system

  • Microsoft Windows CE 4.1

Display drivers

  • VGA Linear (Flat) Frame buffer (Rotation Support)
  • Geode/MediaGX (Rotation Support)

Serial interfaces

  • Com16550 (COM 1, available for usage)
  • Com16550 (COM 2, internal touch controller)
  • Com16550 (COM 3, internal matrix controller)

Input Devices

  • NOP (Stub) Keyboard/Mouse German
  • NOP (Stub) Keyboard/Mouse English

PCI Bus Driver

  • PCI bus

Storage Devices

  • ATAPI PCI/IDE storage block driver

USB Host

  • OHCI

Network card driver

  • National Semiconductor DP83815 (MacPhyter)

Multimedia technologies

  • Waveform Audio
  • DirectDraw
  • WMA Codec
  • DirectShow Core
  • DMO Wrapper Filter
  • AVI Filter
  • MPEG-1 Parser/Splitter
  • Cinepak Video Codec
  • DirectShow Video Renderer
  • MPEG-1 Video Codec
  • MS RLE video codec
  • QuickTime V2 video codec
  • WMV / MPEG-4 video codec
  • Windows Media Player application
  • Windows Media Player OCX
  • Windows Media technologies

Security

  • Authentication Services (SSPI)

    • NTLM
    • Schannel (SSL/TLS)

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)

Shell and user interface

  • Command processor
  • Console window
  • Landscape (480x240 and larger)
  • Standard shell
  • Mouse
  • Network user interface
  • Software-based input panel driver
  • SIP for large screens
  • SIP for small screens
  • Windows XP-like sample skin

Application & Service Development

  • .Net Compact Framework V1.0
  • Active Template Library (ATL)
  • C++ Exception Handling
  • Runtime type information
  • Standard I/O (STDIO)
  • Standard I/O ASCII (STDIOA)
  • DCOM
  • Microsoft Foundation Classes (MFC)
  • XML Core Services and Document Object Model (DOM)
  • XML SAX

Internet client services

  • Internet Explorer 5.5 for Windows CE - Standard Components
  • Internet Explorer 5.5 sample browser
  • JScript 5.5
  • VBScript 5.5
  • Internet Explorer browser control host
  • Internet Explorer HTML/DHTML API
  • Internet Explorer multiple-language base API
  • URL moniker services
  • Windows Internet services
  • Pocket Internet Explorer HTML view (WEBVIEW)
  • Sample IE 5.5 Internet Options Control Panel

Communication services and networking

  • Wired Local Area Network (802.3, 802.5)
  • Dial-up networking (RAS/PPP)
  • AutoDial
  • Point-to-Point Protocol over Ethernet (PPPoE)
  • Telephony API (TAPI 2.0)
  • Virtual Private Networking (PPTP)
  • Unimodem support
  • Network utilities (IpConfig, Ping, Route)
  • Control Point API
  • Windows Networking API/Redirector (SMB/CIFS)
  • Winsock support
  • Core server support
  • Web server (HTTPD)
  • FTP server
  • RAS server / PPTP server (incoming)
  • Telnet server
  • Web Server Administration ISAPI
  • Active Server Pages (ASP) support
  • Device Management ISAPI Extension

Core OS services

  • LMemDebug memory debugging hooks
  • Toolhelp API
  • Fiber API
  • FormatMessage APIHelp
  • Minimal power management
  • Serial port support
  • USB host support
  • USB human input device (HID) class driver
  • USB printer class driver
  • USB remote NDIS class driver
  • USB storage class driver

Fonts

  • Arial (Subset 1_30)
  • Arial Black
  • Arial Italic
  • Impact
  • Times New Roman Italic
  • Times New Roman (Subset 1_30)
  • Icon
  • Verdana
  • Comic Sans MS
  • Wingding
  • Tahoma (Subset 1_07)
  • Courier New (Subset 1_30)

File systems and data storage

  • Bit-based
  • Hive-based registry
  • RAM and ROM file system
  • Storage manager
  • FAT file system
  • CD/UDFS file system

Applications - End user

  • ActiveSync
  • Help
  • Remote Desktop Protocol (RDP)

International

  • National Language Support (NLS)
  • Input Method Selector Sample Application

Platform manager

  • Base engine
  • Transports
  • ActiveSync
  • TCP/IP

Printer Devices

  • PCL Printer Driver

Additional B&R Tools and Drivers

  • PVI
  • Driver for the 5IF760.9 aPCI module
  • Full-screen Web browser
  • B&R RegistryEditor
  • SNTP Client
  • Tool for Registering ActiveX Controls
  • Tool for Rotating the Desktop
  • START.DAT parser
  • Settings.reg Parser
  • Configuration manager
  • Power Panel Control Center
  • Mobile Panel Control Center
  • B&R Notepad
  • Power Panel system DLL
  • Mobile Panel system DLL
  • Server applet
  • MXC Driver

<< Previous Topic
Mobile Panel 100/200

Start Page

Next Topic >>
V2.0


V2.0

Base operating system

  • Microsoft Windows CE 4.2

Display drivers

  • Mobile Panel Geode graphics card driver with rotation support

Security

  • Authentication Services (SSPI)

    • NTLM
    • Schannel (SSL/TLS)
    • Kerberos

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)
    • Diffie-Hellman/DSS provider

Shell and user interface

  • Shell

    • Command shell

      • Command processor
      • Console window
      • Standard shell

  • User interface

    • Mouse

    • Network user interface

    • Customizable UI

      • Windows XP-like sample skin

    • Software input panel

      • Software-based input panel driver
      • SIP for large screens
      • SIP for small screens

Application and services development

  • XML

    • XML Core Services and Document Object Model (DOM)
    • XML SAX

  • .NET Compact Framework

    • .NET Compact Framework 1.0 SP2
    • OS dependencies for .NET Compact Framework 1.0
    • Smart device authentication utility

  • Active Template Library (ATL)

  • Component services (COM and DCOM)

    • DCOM
    • COM storage
    • DCOM remote access

  • Microsoft Foundation Classes (MFC)

  • C libraries and runtimes

    • C++ Exception Handling
    • Runtime type information
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)

Communication services and networking

  • Networking features

    • Network utilities (IpConfig, Ping, Route)
    • TCP/IP
    • IP Helper API
    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock support

  • Universal Plug and Play (UPnP)

    • Control Point API
    • Device Host API

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Servers

    • Core server support
    • File server
    • FTP server
    • RAS server/PPTP server (incoming)
    • Simple Network Time Protocol (SNTP) service
    • Telnet server
    • Web server (HTTPD)
      • Active Server Pages (ASP) support
      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

  • Networking - Wide Area Network (WAN)

    • Dial-up networking (RAS/PPP)
      • Auto-dial

    • Point-to-Point Protocol over Ethernet (PPPoE)

    • Telephony API (TAPI 2.0)
      • Unimodem support

    • Virtual Private Networking
      • PPTP

Core OS services

  • Minimal power management

  • Serial port support

  • USB host support

    • USB human input device (HID) class driver

      • USB HID keyboard and mouse
      • USB HID keyboard only
      • USB HID mouse only

    • USB printer class driver

    • USB storage class driver

    • USB remote NDIS class driver

  • Debugging tools

    • LMemDebug memory debugging hooks

    • Toolhelp API

  • Kernel features

    • Fiber API

    • Parallel port support

Internet client services

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer browser control host

    • Internet Explorer HTML/DHTML API

    • Internet Explorer multiple-language base API

    • URL moniker services

    • Windows Internet services

    • Sample Internet Explorer 6.0 Internet Options Control Panel

  • Internet Explorer 6.0 for Windows CE - Standard components

    • Internet Explorer 6.0 sample browser

  • Scripting

    • JScript 5.5
    • VBScript 5.5

Applications - End user

  • CAB file installer/uninstaller

  • Help

  • Wordpad

  • Remote Desktop Connection

    • Remote Desktop Protocol (RDP)

      • User interface dialog boxes
      • Cut / copy / paste clipboard redirection
      • File storage redirection
      • Printer redirection
      • Serial and parallel port redirection

Fonts

  • Arial

    • Arial (Subset 1_30)

    • Arial Black

    • Arial Italic

  • Verdana

  • Comic Sans MS

  • Georgia

  • Symbol

  • Times New Roman

    • Times New Roman (Subset 1_30)

    • Times New Roman Italic

  • Wingding

  • Tahoma (Subset 1_07)

  • Courier New (Subset 1_30)

Multimedia technologies

  • Multimedia components

    • DirectDraw

    • Windows Media Player

      • Windows Media Player application
      • Windows Media Player OCX

    • Windows Media technologies

      • DirectShow

        • DirectShow core
        • DMO wrapper filter
        • Media formats
          • AVI filter
          • MPEG-1 parser/splitter
        • Video codecs and renderers
          • DirectShow video renderer
          • MPEG-1 video codec
          • MS RLE video codec
          • Video/Image compression manager
          • WMV/MPEG-4 video codec
        • Audio codecs and renderers
          • WMA codec
      • Audio
        • Waveform audio

File systems and data storage

  • Bit-based

  • Hive-based registry

  • RAM and ROM file system

  • Storage manager

    • FAT file system

    • CD/UDFS file system

    • Transaction-safe FAT file system (TFAT)

Bernecker + Rainer-specific tools

  • Configuration settings

    • File extensions

    • Run history

  • Control Panel applets

    • Server applet

    • Configuration manager

  • Driver

    • 5IF760.9 aPCI module

    • MXC

  • Programs

    • Registry Editor

    • RegSvrCE

    • Full-screen Web browser

    • DCOMCnfg

    • PVI

  • SCADA package support

    • COPA-DATA zenOn

International

  • National Language Support (NLS)

Device drivers

  • Configuration settings

    • Mobile Panel desktop style

  • Display

    • Mobile Panel Geode graphics card driver with rotation support (Win CE 4.1)

  • Networking

    • Local Area Networking (LAN) devices

      • Mobile Panel DP83815/DP83816 network card

  • PCI bus

  • Mobile Panel touch controller

  • Storage devices

    • Mobile Panel ATAPI driver update

      • Storage devices

      • ATAPI PCI/IDE storage block driver

  • Input devices

    • NOP (stub) keyboard/mouse - English

  • Mobile Panel AutoRun

  • Mobile Panel Control Center

  • Mobile Panel system DLL

  • Mobile Panel touch calibration utility

  • Printer devices

    • PCL printer driver

  • Serial

    • Mobile Panel 3 serial communication ports

  • USB host

    • OHCI

Platform manager

  • Base engine

    • Transports

      • ActiveSync
      • TCP/IP

<< Previous Topic
V1.5

Start Page

Next Topic >>
V2.1


V2.1

Base operating system

  • Microsoft Windows CE 4.2

Display drivers

  • Mobile Panel Geode graphics card driver with rotation support

Security

  • Authentication Services (SSPI)

    • NTLM
    • Schannel (SSL/TLS)
    • Kerberos

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)
    • Diffie-Hellman/DSS provider

Shell and user interface

  • Shell

    • Command shell

      • Command processor
      • Console window
      • Standard shell

  • User interface

    • Mouse

    • Network user interface

    • Customizable UI

      • Windows XP-like sample skin

    • Software input panel

      • Software-based input panel driver
      • SIP for large screens
      • SIP for small screens

Application and services development

  • XML

    • XML Core Services and Document Object Model (DOM)
    • XML SAX

  • .NET Compact Framework

    • .NET Compact Framework 1.0 SP2
    • OS dependencies for .NET Compact Framework 1.0
    • Smart device authentication utility

  • Active Template Library (ATL)

  • Component services (COM and DCOM)

    • DCOM
    • COM storage
    • DCOM remote access

  • Microsoft Foundation Classes (MFC)

  • C libraries and runtimes

    • C++ Exception Handling
    • Runtime type information
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)

Communication services and networking

  • Networking features

    • Network utilities (IpConfig, Ping, Route)
    • TCP/IP
    • IP Helper API
    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock support

  • Universal Plug and Play (UPnP)

    • Control Point API
    • Device Host API

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Servers

    • Core server support
    • File server
    • FTP server
    • RAS server/PPTP server (incoming)
    • Simple Network Time Protocol (SNTP) service
    • Telnet server
    • Web server (HTTPD)
      • Active Server Pages (ASP) support
      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

  • Networking - Wide Area Network (WAN)

    • Dial-up networking (RAS/PPP)
      • Auto-dial

    • Point-to-Point Protocol over Ethernet (PPPoE)

    • Telephony API (TAPI 2.0)
      • Unimodem support

    • Virtual Private Networking
      • PPTP

Core OS services

  • Minimal power management

  • Serial port support

  • USB host support

    • USB human input device (HID) class driver

      • USB HID keyboard and mouse
      • USB HID keyboard only
      • USB HID mouse only

    • USB printer class driver

    • USB storage class driver

    • USB remote NDIS class driver

  • Debugging tools

    • LMemDebug memory debugging hooks

    • Toolhelp API

  • Kernel features

    • Fiber API

    • Parallel port support

Internet client services

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer browser control host

    • Internet Explorer HTML/DHTML API

    • Internet Explorer multiple-language base API

    • URL moniker services

    • Windows Internet services

    • Sample Internet Explorer 6.0 Internet Options Control Panel

  • Internet Explorer 6.0 for Windows CE - Standard components

    • Internet Explorer 6.0 sample browser

  • Scripting

    • JScript 5.5
    • VBScript 5.5

Applications - End user

  • CAB file installer/uninstaller

  • Help

  • Wordpad

  • Remote Desktop Connection

    • Remote Desktop Protocol (RDP)

      • User interface dialog boxes
      • Cut / copy / paste clipboard redirection
      • File storage redirection
      • Printer redirection
      • Serial and parallel port redirection
      • Smart card redirection

Fonts

  • Arial

    • Arial (Subset 1_30)

    • Arial Black

    • Arial Italic

  • Verdana

  • Comic Sans MS

  • Georgia

  • Symbol

  • Times New Roman

    • Times New Roman (Subset 1_30)

    • Times New Roman Italic

  • Wingding

  • Tahoma (Subset 1_07)

  • Courier New (Subset 1_30)

Multimedia technologies

  • Multimedia components

    • DirectDraw

    • Windows Media Player

      • Windows Media Player application
      • Windows Media Player OCX

    • Windows Media technologies

      • DirectShow

        • DirectShow core
        • DMO wrapper filter
        • Media formats
          • AVI filter
          • MPEG-1 parser/splitter
        • Video codecs and renderers
          • DirectShow video renderer
          • MPEG-1 video codec
          • MS RLE video codec
          • Video/Image compression manager
          • WMV/MPEG-4 video codec
        • Audio codecs and renderers
          • WMA codec
      • Audio
        • Waveform audio

File systems and data storage

  • Bit-based

  • Hive-based registry

  • RAM and ROM file system

  • Storage manager

    • FAT file system

    • CD/UDFS file system

    • Transaction-safe FAT file system (TFAT)

Bernecker + Rainer-specific tools

  • Configuration settings

    • File extensions

    • Run history

  • Control Panel applets

    • Server applet

    • Configuration manager

  • Driver

    • 5IF760.9 aPCI module

    • MXC

  • Programs

    • Registry Editor

    • RegSvrCE

    • Full-screen Web browser

    • DCOMCnfg

    • PVI

  • SCADA package support

    • COPA-DATA zenOn

International

  • National Language Support (NLS)

Device drivers

  • Configuration settings

    • Mobile Panel desktop style

  • Display

    • Mobile Panel Geode graphics card driver with rotation support (Win CE 4.1)

  • Networking

    • Local Area Networking (LAN) devices

      • Mobile Panel DP83815/DP83816 network card

  • PCI bus

  • Mobile Panel touch controller

  • Storage devices

    • Mobile Panel ATAPI driver update

      • Storage devices

      • ATAPI PCI/IDE storage block driver

  • Input devices

    • NOP (stub) keyboard/mouse - English

  • Mobile Panel AutoRun

  • Mobile Panel Control Center

  • Mobile Panel system DLL

  • Mobile Panel touch calibration utility

  • Printer devices

    • PCL printer driver

  • Serial

    • Mobile Panel 3 serial communication ports

  • USB host

    • OHCI

Platform manager

  • Base engine

    • Transports

      • ActiveSync
      • TCP/IP

<< Previous Topic
V2.0

Start Page

Next Topic >>
V3.0


V3.0

Base operating system

  • Microsoft Windows CE 4.2

Display drivers

  • Mobile Panel Geode graphics card driver with rotation support

Security

  • Authentication Services (SSPI)

    • NTLM
    • Schannel (SSL/TLS)
    • Kerberos

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)
    • Diffie-Hellman/DSS provider

Shell and user interface

  • Shell

    • Command shell

      • Command processor
      • Console window
      • Standard shell

  • User interface

    • Mouse

    • Network user interface

    • Customizable UI

      • Windows XP-like sample skin

    • Software input panel

      • Software-based input panel driver
      • SIP for large screens
      • SIP for small screens

Application and services development

  • XML

    • XML Core Services and Document Object Model (DOM)
    • XML SAX
    • XML HTTP
    • XML Query Languages (XQL)
    • XML Stylesheet Language Transformations (XSLT)

  • .NET Compact Framework

    • .NET Compact Framework 1.0 SP2
    • OS dependencies for .NET Compact Framework 1.0
    • Smart device authentication utility

  • Active Template Library (ATL)

  • Component services (COM and DCOM)

    • DCOM
    • COM storage
    • DCOM remote access

  • Microsoft Foundation Classes (MFC)

  • C libraries and runtimes

    • C++ Exception Handling
    • Runtime type information
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)

Communication services and networking

  • Networking features

    • Network utilities (IpConfig, Ping, Route)
    • TCP/IP
    • IP Helper API
    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock support

  • Universal Plug and Play (UPnP)

    • Control Point API
    • Device Host API

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Servers

    • Core server support
    • File server
    • FTP server
    • RAS server/PPTP server (incoming)
    • Simple Network Time Protocol (SNTP) service
    • Telnet server
    • Web server (HTTPD)
      • Active Server Pages (ASP) support
      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

  • Networking - Wide Area Network (WAN)

    • Dial-up networking (RAS/PPP)
      • Auto-dial

    • Point-to-Point Protocol over Ethernet (PPPoE)

    • Telephony API (TAPI 2.0)
      • Unimodem support

    • Virtual Private Networking
      • PPTP

Core OS services

  • Minimal power management

  • Serial port support

  • USB host support

    • USB human input device (HID) class driver

      • USB HID keyboard and mouse
      • USB HID keyboard only
      • USB HID mouse only

    • USB printer class driver

    • USB storage class driver

    • USB remote NDIS class driver

  • Debugging tools

    • LMemDebug memory debugging hooks

    • Toolhelp API

  • Kernel features

    • Fiber API

    • Parallel port support

Internet client services

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer browser control host

    • Internet Explorer HTML/DHTML API

    • Internet Explorer multiple-language base API

    • URL moniker services

    • Windows Internet services

    • Sample Internet Explorer 6.0 Internet Options Control Panel

  • Internet Explorer 6.0 for Windows CE - Standard components

    • Internet Explorer 6.0 sample browser

  • Scripting

    • JScript 5.5
    • VBScript 5.5

Applications - End user

  • CAB file installer/uninstaller

  • Help

  • Wordpad

  • Remote Desktop Connection

    • Remote Desktop Protocol (RDP)

      • User interface dialog boxes
      • Cut / copy / paste clipboard redirection
      • File storage redirection
      • Printer redirection
      • Serial and parallel port redirection
      • Smart card redirection

Fonts

  • Arial

    • Arial (Subset 1_30)

    • Arial Black

    • Arial Italic

  • Verdana

  • Comic Sans MS

  • Georgia

  • Symbol

  • Times New Roman

    • Times New Roman (Subset 1_30)

    • Times New Roman Italic

  • Wingding

  • Tahoma (Subset 1_07)

  • Courier New (Subset 1_30)

Multimedia technologies

  • Multimedia components

    • DirectDraw

    • Windows Media Player

      • Windows Media Player application
      • Windows Media Player OCX

    • Windows Media technologies

      • DirectShow

        • DirectShow core
        • DMO wrapper filter
        • Media formats
          • AVI filter
          • MPEG-1 parser/splitter
        • Video codecs and renderers
          • DirectShow video renderer
          • MPEG-1 video codec
          • MS RLE video codec
          • Video/Image compression manager
          • WMV/MPEG-4 video codec
        • Audio codecs and renderers
          • WMA codec
      • Audio
        • Waveform audio

File systems and data storage

  • Bit-based

  • Hive-based registry

  • RAM and ROM file system

  • Storage manager

    • FAT file system

    • CD/UDFS file system

    • Transaction-safe FAT file system (TFAT)

Bernecker + Rainer-specific tools

  • Configuration settings

    • File extensions

    • Run history

  • Control Panel applets

    • Server applet

    • Configuration manager

  • Driver

    • 5IF760.9 aPCI module

    • Automation Device Interface

  • Programs

    • Registry Editor

    • RegSvrCE

    • Full-screen Web browser

    • DCOMCnfg

    • PVI

  • SCADA package support

    • COPA-DATA zenOn

International

  • National Language Support (NLS)

Device drivers

  • Configuration settings

    • Mobile Panel desktop style

  • Display

    • Mobile Panel Geode graphics card driver with rotation support (Win CE 4.1)

  • Networking

    • Local Area Networking (LAN) devices

      • Mobile Panel DP83815/DP83816 network card

  • PCI bus

  • Mobile Panel touch controller

  • Storage devices

    • Mobile Panel ATAPI driver update

      • Storage devices

      • ATAPI PCI/IDE storage block driver

  • Input devices

    • NOP (stub) keyboard/mouse - English

  • Mobile Panel AutoRun

  • Mobile Panel Control Center

  • Mobile Panel touch calibration utility

  • Printer devices

    • PCL printer driver

  • Serial

    • Mobile Panel 3 serial communication ports

  • USB host

    • OHCI

Platform manager

  • Base engine

    • Transports

      • ActiveSync
      • TCP/IP

<< Previous Topic
V2.1

Start Page

Next Topic >>
V5.0


V5.0

Base operating system

  • Microsoft Windows CE 5.0

Device drivers

  • Input devices
    • 8042 keyboard/mouse - English
    • NOP (stub) keyboard/mouse - English

  • Networking

    • Wide Area Networking (WAN) devices

      • Asyncmac NDIS driver

  • PCI bus
  • Printer devices
    • PCL printer devices

  • Serial
    • Com16550
    • Com16550 (second instance)
    • Com16550 (third instance)
    • Com card

  • Smart card
    • Smart card

  • Storage devices
    • Storage devices

      • ATAPI PCI/IDE storage block driver
      • Promise Controller ATAPI driver

  • USB host
    • OHCI
  • Power Panel Geode graphics card driver with rotation support

Application - End user

  • ActiveSync
    • File sync

  • CAB file installer/uninstaller
  • Help
  • Remote Desktop Connection
    • Remote Desktop Protocol

      • Cut / copy / paste clipboard redirection
      • File storage redirection
      • Printer redirection
      • Serial and parallel port redirection
      • Smart card redirection
      • User interface dialog boxes

  • Wordpad

Application and services development

  • .NET Compact Framework

    • .NET Compact Framwork 1.0
    • OS dependencies for .NET Compact Framework 1.0
    • Smart device authentication utility

  • Active Template Library (ATL)
  • C libraries and runtimes
    • C++ runtime support for exception handling and runtime type information
    • Full C runtime
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)
    • Standard string functions - ASCII (corestra)
    • String safe utility functions

  • Component services (COM and DCOM)

    • Component object model

      • DCOM

        • COM storage
        • DCOM remote access

  • Microsoft Foundation Classes (MFC)
  • XML
    • MSXML 3.0
    • XML Core Services and Document Object Model (DOM)

      • XML error strings
      • XML HTTP
      • XML Query Languages (XQL)

        • XML Stylesheet Language Transformations (XSLT)

      • XML SAX

    • XML minimal parser

Communication services and networking

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Networking - Wide Area Network (WAN)
    • Dial-up networking (RAS/PPP)

      • AutoDial
      • Standard modem support for dial-up networking

    • Point-to-Point Protocol over Ethernet (PPPoE)
    • Telephony API (TAPI2.0)

      • Unimodem support

    • Virtual Private Networking

      • PPTP

  • Networking - Features
    • NDIS user-mode I/O driver
    • Network driver architecture (NDIS)
    • Network utilities (IpConfig, Ping, Route)
    • TCP/IP

      • IP Helper API

    • Universal Plug and Play (UPnP)

      • Control Point API
      • Device Host API

    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock support

  • Servers
    • Core server support
    • File server
    • FTP server
    • RAS server/PPTP server (incoming)
    • Simple Network Time Protocol (SNTP)

      • SNTP client with DST

    • Telnet server
    • Web Server *HTTPD

      • Active Server Pages (ASP) support

        • JScript 5.6
        • VBScript 5.6

      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

Core OS services

  • Debugging tools
    • LMemDebug memory debugging hooks
    • Toolelp API

  • Device manager
  • Display support
  • Kernel features

    • Fiber API
    • FormatMessage API
    • Memory mapped files
    • Message queue - point-to-point

  • Parallel port support
  • PNP notification
  • Power management (full)
  • Serial port support
  • UI-based notification
  • USB host support
    • USB printer class driver
    • USB remote NDIS class driver
    • USB storage class driver

File systems and data storage

  • Bit-based
  • Compression
  • Database support
  • Hive-based registry
  • ROM-only file system
  • Storage manager

    • CD/UDFS file system
    • FAT file system
    • Partition driver
    • Storage Manager Control Panel applet

  • System password

Fonts

  • Arial

    • Arial (Subset 1_30)
    • Arial Black
    • Arial Italic

  • Comic Sans MS
    • Comic Sans MS

  • Courier New
    • Courier New (Subset 1_30)

  • Georgia
    • Georgia

  • Symbol
  • Tahoma

    • Tahoma (Subset 1_07)

  • Times New Roman

    • Times New Roman (Subset 1_30)
    • Times New Roman Italic

  • Verdana

    • Verdana

  • Wingding

Graphics and multimedia technologies

  • Audio

    • Waveform audio

  • Graphics
    • DirectDraw
    • Gradient fill support
    • Imaging

      • Still image codec support (encode and decode)
      • Sill image decoders
      • BMP decoder
      • GIF decoder
      • JPG decoder
      • PNG decoder

  • Media
    • DirectShow

      • DirectShow Core
      • DirectShow display
      • DMP wrapper filter

    • Media formats

      • AVI filter
      • MPEG-1 parser/splitter

    • Video codecs and renderers
    • DirectShow video renderer

      • MPEG-1 video codec
      • MS RLE video codec
      • Video/Image compression manager

    • Windows Media Player

      • Windows Media Player
      • Windows Media Player OCX

International

  • Input Method Manager (IMM)
  • National Language Support (NLS)
  • Multilingual User Interface (MUI)

Internet client services

  • Browser application
    • Internet Explorer 6.0 for Windows CE - Standard components

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer browser control host
    • Internet Explorer HTML/DTHML API
    • Internet Explorer multiple-language base API
    • URL moniker services
    • Windows Internet services

      • Passport SSI 1.4 authentication
      • Platform for Privacy Preferences (P3P)

  • Internet Options Control Panel
  • Scripting

    • JScript 5.6

      • Script authoring (Jscript)
      • Script encode (Jscript)

    • VBScript 5.6

      • MsgBox and InputBox support
      • Script authoring (VBScript)
      • Script encode (VBScript)

Security

  • Authentication Services (SSPI)

    • Kerberos
    • NTLM
    • Schannel (SSL/TLS)

  • Credential Manager

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)

      • Cryptographic messaging (PKCS#7)

    • Diffie-Hellman/DSS provider

Shell and user interface

  • Graphics, windowing, and events
    • Minimal GDI configuration
    • Minimal GWES configuration
    • Minimal input configuration
    • Minimal window manager configuration

  • Shell

    • Command shell

      • Command processor
      • Console window

    • Standard shell

  • User interface

    • Common controls

      • Common control

    • Common dialog support
    • Control Panel applets
    • Customizable UI

      • Windows XP-like sample skin

    • Mouse
    • Network user interface
    • Software input panel

      • SIP for large screens
      • SIP for small screens
      • Software-based input panel driver

Platform manager

  • Platform manager

Bernecker + Rainer-specific tools

  • APIs
    • Automation Device Interface
    • Screensaver

  • Control Panel applets
    • Server applet
    • Configuration manager
    • PVI

  • Programs
    • Registry Editor
    • RegSvrCE
    • DCOMCnfg

  • aPCI cards
    • 5IF760.9 aPCI module

<< Previous Topic
V3.0

Start Page

Next Topic >>
Commissioning


Commissioning

In this section the following topics are discussed:

Commissioning

Configuration

Installation

Cloning

Booting B&R Windows CE for the first time

<< Previous Topic
V5.0

Start Page

Next Topic >>
Configuration


Configuration

In this section the following topics are discussed:

Configuration

Creating a boot logo

Editing the registry

Touch calibration

Setting brightness and contrast

Configuring keys

Saving the registry

<< Previous Topic
Commissioning

Start Page

Next Topic >>
Creating a boot logo


Creating a boot logo

General

B&R Windows CE displays a boot logo with a progress indicator while booting. This section will show you how to create a boot logo for the B&R Windows CE device. To do so, we will be using Corel Photopaint 10.

How to create a boot logo

  • Create a new image with the following parameters:
Parameter | Value
Color mode | 8-bit paletted
Width | 640 pixels
Height | 480 pixels
Resolution | 72 DPI

Creating a new image
Creating a new image

  • We won't be changing the color palette at this time. Click OK without making any changes.

The color palette is not changed
The color palette is not changed

  • Now draw your boot logo.

Draw your boot logo
Draw your boot logo

Note:
If you want to create a logo for QVGA devices, divide the bitmap into 4 equal squares, each with a size of 320x200. Then fill in each square with the desire QVGA logo.

Boot logo for a QVGA device
Example: Boot logo for a QVGA device
  • The boot logo must be flipped for it to be displayed correctly. To do this, select Flip Vertically from the Image->Flip menu.

The image must be flipped
The image must be flipped

  • Once you have created your boot logo, you have to set the colors for the progress bar and background. The following palette colors (indices) are used for this:
Color | Color index
Progress bar (Windows CE 5.0) | 1
Progress bar (Windows CE 4.X) | 30
Background | 0

To adjust the palette you need to change the mode for the boot logo in Corel Photopaint (Image > Mode > Paletted (8-bit)). Only by changing the image format can the palette colors be moved and adjusted. Use the functions under the Processed Palette tab.

  • Finally, the boot logo must be saved. Select the Export command from the File menu.

Saving the bitmap
Saving the bitmap

The following settings must be set in the Export Image to Disk dialog box:

Property | Value
Filename for boot logos with QVGA resolution | LogoQVGA.bmp
Filename for boot logos with a resolution higher than QVGA | LogoXRes.bmp
File type | BMP - Windows bitmap
Compression type | Uncompressed
  • You can now copy both the LogoXRes.bmp and LogoQVGA.bmp files into the main directory of your CompactFlash card.

See also:

Why do I have to flip the boot logo?

<< Previous Topic
Configuration

Start Page

Next Topic >>
Editing the registry


Editing the registry

General

B&R Windows CE provides three ways to edit the registry of your B&R CE device:

  • B&R Registry Editor
  • Windows CE Remote Registry Editor
  • SETTINGS.REG. configuration file

Starting the B&R Registry Editor

  • Start the B&R Windows CE device.
  • Select Start > Programs > Accessories > B&R Registry Editor.

The B&R Windows CE 4.1 Registry Editor "RegEdit"

Note:
The registry must be saved after the B&R Registry Editors is closed. Use the Configuration Manager applet in the Control Panel for this.

Starting the Windows CE Remote Registry Editor

  • Establish a connection to the CE device (either ActiveSync or a manual TCP/IP connection).
  • Select the Tools > Remote Registry Editor menu item in Microsoft eMbedded Visual C++.

    Remote Registry Editor link under the Tools menu in eVC4

    Microsoft Remote Registry Editor

Requirements

B&R Windows CE version: V1.0 and higher

See also:

    B&R Registry Editor, Settings.reg, Configuration Manager

<< Previous Topic
Creating a boot logo

Start Page

Next Topic >>
Touch calibration


Touch calibration

General

B&R Windows CE starts the touch calibration sequence during its first boot in the default configuration / delivered state. This guarantees that the touch screen is calibrated correctly. If it becomes necessary to recalibrate touch somewhere down the line, B&R Windows CE offers the following methods:

  • Starting the calibration with the Touchscreen applet in the Control Panel.
  • Starting the calibration with the TOUCHCAL keyword.
  • Starting the calibration with the Mode/Node switch.

Starting calibration from the Control Panel Touchscreen applet

  • Select Start > Settings > Control Panel and double-click on the Touchscreen icon.
  • Switch to the Calibration tab.

    The Touchscreen applet

  • Click on the Calibrate / Recalibrate button.

  • Now follow the instructions on the screen.

Starting calibration with the TOUCHCAL keyword

If the keyword TOUCHCAL=1 is set in the START.DAT configuration file configuration file, then each time it's booted, B&R Windows CE checks whether the touch screen has already been calibrated successfully. If it hasn't, then calibration is started automatically.

  • Insert TOUCHCAL=1 keyword into the START.DAT configuration file.
  • Reboot the Windows CE device.
  • If touch hasn't yet been calibrated, then the calibration program is started automatically.
  • Now follow the instructions on the screen.

Starting calibration with the mode/node switch

If your B&R Windows CE device has a mode/node switch (e.g. Power Panel BIOS 100), it can be used to activate the calibration process.
  • Make sure that the TOUCHCAL=1 keyword is included in the START.DAT configuration file.
  • Put the mode/node switch to the 0-0 position (service mode).
  • Reboot the Windows CE device.
  • Calibration is started automatically during booting regardless of whether the touch screen has already been calibrated.
  • Now follow the instructions on the screen.

Mode/Node switches on the Power Panel
Mode/Node switches on the Power Panel

Mode/Node switches on the Mobile Panel
Mode/Node switches on the Mobile Panel

Note:

More information about the mode/node switches can be found in the Power Panel 100/200 and Mobile Panel User's Manual which can be downloaded from the B&R homepage.

Requirements

B&R Windows CE version:V1.0 and higher

See also:

START.DAT, Control Panel Touchscreen applet

<< Previous Topic
Editing the registry

Start Page

Next Topic >>
Setting brightness and contrast


Setting brightness and contrast

General

During the first boot, B&R Windows CE uses the factory setting brightness and contrast values for the display being used. Since these are only mean values, you usually have to set brightness and contrast according to your own requirements.

Changing brightness and contrast

  • Open up the Start > Settings > Control Panel > Control Center dialog box.
  • Select the Display tab.

Note:
The appearance of the Control Center may vary depending on the B&R Windows CE image.

  • Deselect the Auto checkbox in the Brightness frame.

  • Move the slide tool to the brightness value that your display should have.
  • Deselect the Auto checkbox in the Contrast frame.

Note:
Contrast settings can only be configured with passive displays. Changing contrast has no effect on active displays (TFT).
  • Move the slide tool to the contrast value that your display should have.

  • Close the dialog box by clicking OK
    .

    Note:
    If you have configured brightness and contrast in such a way that you can no longer see anything on the screen, it is possible to boot the Power Panel with the Mode/Node switches set to 0-0 (Service mode). Instead of the settings you have made, B&R Windows CE uses the factory settings with this configuration.

See also:

Control Center

<< Previous Topic
Touch calibration

Start Page

Next Topic >>
Configuring keys


Configuring keys

General

If your Windows CE device comes with keys (e.g. Mobile Panel 5MP181.0843-07), then these keys can be assigned many different functions. To configure, you just need the B&R Key Editor program that can be downloaded from the B&R homepage.

Configuring keys on a Mobile Panel

  • Install B&R Key Editor on your desktop PC.

  • Connect the Mobile Panel with your desktop PC using ActiveSync.

  • Start the B&R Key Editor program and check whether it can connect to the CE device.

  • Create a new project for your Windows CE device. Choose Mobile Panel 100, 200 as your target system.

  • If you are using a Windows CE device that supports the Automation Device Interface (B&R Windows CE 4.X V3.0 or higher), then select the Automation Device Interface checkbox.

  • Now select the Windows CE device being used.

  • Your project has been built successfully!

  • Now configure the desired keys as described in the B&R Key Editor documentation.

  • Save and create your project.

  • Finally, transfer the created output file (.kcf or .cod file) to the Windows CE device.

    There are several methods available for doing this:

    1. If your Windows CE device is connected with the B&R Key Editor over ActiveSync, then you can use the Transfer command to install your project.
    2. Or you could create an installation diskette with the B&R Key Editor and use it to boot your Windows CE device.

Requirements

B&R Windows CE version: V1.5 and higher

<< Previous Topic
Setting brightness and contrast

Start Page

Next Topic >>
Saving the registry


Saving the registry

General

Windows CE has been developed for devices which are always connected to the network (PDAs use a battery to meet this requirement).
This allows you to eliminate the time-consuming process of saving the registry on the hard drive while being able to manage the registry exclusively in RAM.

Typical HMI devices like the B&R Power Panel do not have this battery backup. For this reason, it is sometimes necessary to save the registry on the hard drive so that settings are not lost after a power failure.

Configuration manager

Saving the registry on the B&R Windows device takes place using the Configuration Manager. This applet is found in your Windows CE device's Control Panel.

Saving the registry

  • Open up the Start > Settings > Control Panel > Configuration Manager dialog box.
  • Select the Save tab.
  • Click on Save settings.

    Saving the registry

See also:

RegSave, Configuration Manager, B&R Registry Editor

<< Previous Topic
Configuring keys

Start Page

Next Topic >>
Installation


Manual installation

In this section the following topics are discussed:

Installation

Requirements for installing B&R Windows CE

Partitioning the CompactFlash card

B&R eMbedded OS Installer

Installing B&R Windows CE

<< Previous Topic
Saving the registry

Start Page

Next Topic >>
Requirements for installing B&R Windows CE


Requirements for installing B&R Windows CE

Previous knowledge

Section | Description
Use of USB devices | Make sure that USB drives are disabled before they are connected (see Windows operating instructions).

Required hardware

Section | Description
B&R Power Panel 100 BIOS B&R Mobile Panel 100 BIOS | Automation Runtime panels (e.g. Power Panel 100 embedded, Power Panel 15, etc.) are not supported.
RAM | The Windows CE device must have at least 64 MB of RAM.
Compact Flash card | The Compact Flash card must be at least 32 MB. We recommend a 64 MB card.
USB Compact Flash adapter | This adapter is used for writing to the Compact Flash card.

Required software

Section | Description
NK.BIN file | The B&R Windows CE image.
BLDR file | The B&R Windows CE bootloader.
LogoQVGA.bmp file | Boot logo for QVGA devices.
LogoXRes.bmp file | Boot logo for devices with a resolution higher than QVGA.
B&R eMbedded OS Installer | Windows XP program that installs B&R Windows CE. This software package can be downloaded at no charge from the B&R homepage (http://www.br-automation.com).
Windows XP | This operating system is supported by the B&R eMbedded OS Installer.

Note:
NK.BIN, BLDR, LogoQVGA.bmp, and LogoXRes.bmp cannot be downloaded from the B&R homepage. You have to backup these files from an already functioning B&R Windows CE installation. If you don't already have a functioning B&R Windows CE installation, please contact your B&R representative.

See also:

B&R eMbedded OS Installer

<< Previous Topic
Installation

Start Page

Next Topic >>
Partitioning the CompactFlash card


Partitioning the CompactFlash card

General

How to partition the CompactFlash card varies between the different versions of B&R Windows CE. Be aware of these difference when installing B&R Windows CE with the B&R eMbedded OS Installer.

B&R Windows CE V3.0 and lower

With B&R Windows CE V3.0 and lower, only a single visible partition (SYSTEM) was needed on the CompactFlash card. This partition always contains the operating system (NK.BIN, BLDR, LOGOQVGA.BMP, and LOGOXRES.BMP), the registry, and the configuration files. It is also possible to install the application data here as well. However, it's recommended that a second partition be created for this application data.

No. | Description | Description | Hidden | Minimum size | Required
1 | SYSTEM | Contains the operating system, registry, and configuration files. May also contain application data. | No | Size of the operating system + Size of the configuration files + 1 MB | Yes

In the B&R eMbedded OS Installer, the recommended partitioning for a 64 MB CompactFlash card looks like this:

Note:
The size of the SYSTEM partition depends largely on the size of the operating system being used.

B&R Windows CE V5.0 and higher

Beginning with V5.0, B&R Windows CE requires at least 2 partitions (SYSTEM and STORAGE) with the first partition being hidden. The first partition (SYSTEM - hidden) contains the operating system (NK.BIN, LOGOQVGA.BMP, and LOGOXRES.BMP), the registry, and the configuration files. Since this partition is hidden, the Windows CE user cannot access it, thereby protecting the operating system.

The second partition (STORAGE) is used to store the storage memory. This means that each file that you store in the B&R Windows CE storage memory is saved to the second partition and retained after shutdown. In order for the storage memory to be saved faultlessly, you need to ensure that the STORAGE partition is at least as large as you configured it to be in the System applet (Control Panel) in B&R Windows CE.

Be aware of the following:

  • Microsoft Windows CE divides a device's existing RAM into storage and program memory. If you enlarge the storage memory from the System Control Panel applet, then you will need a larger STORAGE partition on the CompactFlash card, and the available program memory is reduced.
  • The first time that B&R Windows CE 5.0 is booted, the storage memory is configured at 5 MB. This results in a minimum size of 5 MB for the STORAGE partition. This value can be adjusted in the System Control Panel applet or with the keyword STORAGEMEMORY in the START.DAT configuration file.
No. | Name | Description | Hidden | Minimum size | Required
1 | SYSTEM | Contains the operating system, registry, and configuration files. May also contain application data. | Yes | Size of the operating system + Size of the configuration files + 1 MB | Yes
2 | STORAGE | Contains the files that are copied to storage memory. | No | 5 MB | Yes

We also recommend creating a separate partition for application data (APPLICATION) in B&R Windows CE 5.0. The recommended partitioning of B&R Windows CE 5.0 would then look like then on a 64 MB CompactFlash card:

Note:
The size of the SYSTEM partition primarily depends on the size of the operating system being used and whether the Compress B&R Windows CE image option has been selected in the B&R eMbedded OS Installer.

See also:

Requirements for installing B&R Windows CE, Installing B&R Windows CE 5.0, B&R eMbedded OS Installer

<< Previous Topic
Requirements for installing B&R Windows CE

Start Page

Next Topic >>
B&R eMbedded OS Installer


B&R eMbedded OS Installer

General

B&R eMbedded OS Installer makes it possible to install B&R Windows in Windows XP. The B&R Windows CE image is written directly to the CompactFlash card. It is also possible to create several partitions or to copy the customer application to the CompactFlash card during the installation.

B&R eMbedded OS Installer

Detailed instructions about installing B&R Windows CE using the B&R eMbedded OS Installer are available in the online help for the B&R eMbedded OS Installer. This program can be downloaded from the B&R homepage (http://www.br-automation.com).

See also:

Requirements for installing B&R Windows CE, Partitioning the CompactFlash card

<< Previous Topic
Partitioning the CompactFlash card

Start Page

Next Topic >>
Installing B&R Windows CE


Installing B&R Windows CE

General

This section will demonstrate how to install B&R Windows CE. Make sure that all of the requirements in the Requirements for installing B&R Windows CE section have been met.

Installing B&R Windows CE

  • Copy the NK.BIN, BLDR, LOGOQVGA.BMP, and LOGOXRES.BMP files of an existing B&R Windows CE installation to any directory on your hard drive. Make sure that you have write access to this folder.

  • Start the B&R eMbedded OS Installer and select the desired removable drive. Make sure that you are using a CompactFlash card that has at least 32 MB.

  • Switch to the B&R Windows CE tab.
  • Select the version of the Microsoft Windows CE operating system that your B&R Windows CE image is based on. See the Components / Functions / Drivers section.
  • Now select the folder that contains the NK.BIN, BLDR, LOGOQVGA.BMP, and LOGOXES.BMP files.

  • With B&R Windows CE 5.0 and higher, it's possible to copy a compressed version of the NK.BIN file to the CompactFlash card. This makes it possible to save space on the CompactFlash card. Select the Compress the Windows CE image checkbox.

  • Select the Hide system files a Create identification file checkboxes.

  • Switch to the Configuration tab. Make sure that the START.DAT checkbox and the Automatic configuration options are selected.

  • Switch to the Partitions & Data tab.Configure the partitions as needed by your B&R Windows CE image. See the Partitioning the CompactFlash card section.

  • Then click on Create the CF.

See also:

B&R eMbedded OS Installer, Partitioning the CompactFlash card, Requirements for installing B&R Windows CE

<< Previous Topic
B&R eMbedded OS Installer

Start Page

Next Topic >>
Cloning


Cloning an image

In this section the following topics are discussed:

Cloning

Creating an image

Restoring an image

<< Previous Topic
Installing B&R Windows CE

Start Page

Next Topic >>
Creating an image


Creating an image

General

This section details which steps are important when creating a B&R Windows CE 4.1/4.2 image.

Components

Images are successfully created using the components in the following table.

    Component | Description
B&R IPC 5600C | The IPC5600C is used to create images. This provides 2 IDE slots where CF and a hard drive can be inserted.
CF card with installed B&R Windows CE 4.1/4.2 | The CF card with a functioning copy of B&R Windows CE 4.1/4.2 to be cloned
Silicon disk adapter | This adapter can be used to operate CF on the IDE bus.
PowerQuest Drive Image 4.0 (PQDI) | Well-suited software for creating an image. This program cannot be ordered from B&R. It has to be purchased directly from the manufacturer.
Hard Drive | Used to record the new image.

CF on IDE

PQDI can only create images from IDE devices. In other words, you need to connect your CF to the IPC's IDE bus using a CF adapter (Silicon Disk Adapter CF 1Slot, 5A5002.03). To do so, insert the CF into the adapter and then connect the adapter to one of the two IDE interfaces.

Hard disk, CF, and CF adapter
Hard disk, CF, and CF adapter

Now connect the hard drive with the second IDE interface. Master/Slave settings are of no importance.

IDE interfaces on the IPC5600
IDE interfaces on the IPC5600

CHS mode for CF

B&R Power Panels and B&R Mobile Panels can only read CF which has been partitioned and formatted in CHS mode. For the IPC5600C to be able to use CHS mode, it needs to be set in the BIOS for the corresponding IDE device. Open the setup page Standard CMOS Features in BIOS and set the mode to Normal (or CHS).

Reboot the IPC and pay attention to the BIOS summary screen. The mode being used now has to be set to Normal (or CHS) for the CF.

Note:
More information on this subject can be found in the Provit 5000 User's Manual MAPRV5000-0.
This can be downloaded from the B&R Homepage.

Power Quest Drive Image (PQDI)

Boot the IPC5600C with the first diskette from PQDI. Once booting is complete, select Create Image to begin creating an image. Since you can use the default settings, you just have to follow the instruction on the screen to successfully create the image.

Screenshot – Power Quest Drive Image
Screenshot – PowerQuest Drive Image

See also:

  • Restoring an image
  • PowerQuest Homepage - Manufacturer of PQDI
  • Provit 5000 User's Manual - from the B&R Homepage

<< Previous Topic
Cloning

Start Page

Next Topic >>
Restoring an image


Restoring an image

General

This section details which steps are important when restoring a B&R Windows CE 4.1/4.2 image.

Components

Images are successfully restored using the components in the following table.

    Component | Description
B&R IPC 5600C | The IPC5600C is used to restore images. This provides 2 IDE slots where CF and a hard drive can be inserted.
Silicon disk adapter | This adapter can be used to operate CF on the IDE bus.
PowerQuest Drive Image 4.0 (PQDI) | Well-suited software for creating/restoring images. This program cannot be ordered from B&R. It has to be purchased directly from the manufacturer.
Hard Drive | Used to record the new image.

CF on IDE

PQDI can only restore images on IDE devices. In other words, you need to connect your empty CF to the IPC's IDE bus using a CF adapter (Silicon Disk Adapter CF 1Slot, 5A5002.03). To do so, insert the CF into the adapter and then connect the adapter to one of the two IDE interfaces.

Hard disk, CF, and CF adapter
Hard disk, CF, and CF adapter

Connect the hard drive containing the image (*.pqi file) to the second IDE interface. Master/Slave settings are of no importance.

IDE interfaces on the IPC5600
IDE interfaces on the IPC5600

CHS mode for CF

B&R Power Panels and B&R Mobile Panels can only read CF which has been partitioned and formatted in CHS mode. For the IPC5600C to be able to use CHS mode, it needs to be set in the BIOS for the corresponding IDE device. Open the setup page Standard CMOS Features in BIOS and set the mode to Normal (or CHS).

Reboot the IPC and pay attention to the BIOS summary screen. The mode being used now has to be set to Normal (or CHS) for the CF.

Note:
Make sure that the image you are using has been created in CHS mode!
See the Creating an Image section.

Note:
More information on this subject can be found in the Provit 5000 User's Manual MAPRV5000-0.
This can be downloaded from the B&R Homepage.

Power Quest Drive Image (PQDI)

Boot the IPC5600C with the first diskette from PQDI. Once booting is complete, select Restore Image to begin restoring an image. Since you can use the default settings, you just have to follow the instructions on the screen to successfully copy the image to the CF.

Screenshot – Power Quest Drive Image
Screenshot – PowerQuest Drive Image

See also:

  • Creating an image
  • PowerQuest homepage - Manufacturer of PQDI
  • Provit 5000 User's Manual - from the B&R homepage

<< Previous Topic
Creating an image

Start Page

Next Topic >>
Booting B&R Windows CE for the first time


Booting B&R Windows CE for the first time

General

Booting a B&R Windows CE device for the first time is a special procedure. During this operation, for example, the resolution of the device is detected, the registry is created, and the touch calibration program is started.

How the initial B&R Windows CE device boot works

  • Once the CompactFlash card has been created successfully (see the Installing B&R Windows CE section) insert it into the Windows CE device and turn it on.
  • After the BIOS summary screen, the B&R Windows CE boot logo appears.

Windows CE 4.1 boot logo

Note:
The boot logo differs depending on the version of B&R Windows CE.
  • A progress bar moves from left to right while the boot loader (BLDR) copies the image (NK.BIN) to RAM.

Note:
These additional functions (only performed when booting for the first time) cause the initial boot procedure to last a little longer than usual!

  • The image is activated once it has been successfully copied to the RAM.
  • The registry is created when the screen darkens.
  • The display resolution is then automatically detected.
  • The size of the SIP is configured.
  • If necessary, the touch calibration program is started.

    Software for touch calibration starts automatically.

    Note:

    • If a touch action doesn't take place within 15 seconds, then the calibration process ends automatically.
    • The touch calibration procedure starts each time the device is booted until it is correctly calibrated once.
  • After the touch screen has been calibrated successfully, the B&R Windows CE desktop appears.
        • Standard CE desktop

See also:

Touch calibration, Setting brightness and contrast, Creating a boot logo

<< Previous Topic
Restoring an image

Start Page

Next Topic >>
Software development


Software development

In this section the following topics are discussed:

Software development

.NET compact framework (managed code development)

eMbedded Visual C++ 4.0 (native code development)

<< Previous Topic
Booting B&R Windows CE for the first time

Start Page

Next Topic >>
.NET compact framework (managed code development)


.NET Compact Framework

In this section the following topics are discussed:

.NET compact framework (managed code development)

Requirements

"Hello World"

<< Previous Topic
Software development

Start Page

Next Topic >>
Requirements


Requirements

General

The following software components are necessary to develop .NET applications for the B&R Windows CE device:

B&R Windows CE V1.1 or higher

.NET Compact Framework in included in the image beginning with V1.1. Earlier versions of B&R Windows CE do not support B&R Windows CE!
See the Components / Functions / Drivers section. You can get a new version of B&R Windows CE from your B&R representative.

Visual Studio.Net 2003

Microsoft Visual Studio.Net 2003 can be purchased from Microsoft.

Windows CE Utilities for Visual Studio .NET 2003 Add-on Pack

Microsoft Visual Studio.NET 2003 experiences a few problems when establishing a connection to devices which are not Pocket PC compliant. These problems are solved with this add-on pack. This program package can be downloaded at no charge from the Microsoft homepage (http://www.microsoft.com).

SDK

Make sure that you use the correct SDK for your installed image:

    Windows CE image version | SDK version | SDK file name
V1.0 | - | -
V1.1 | V1.1 | X86BR410_NET_SDK.msi
V1.2 | V1.2 | X86BR410_NET_V12_SDK.msi
V1.3 | V1.3 | X86BR410_NET_V13_SDK.msi
V1.4 | V1.4 | X86BR410_NET_V14_SDK.msi
V1.5 | V1.5 | X86BR410_NET_V15_SDK.msi
V2.0 | V2.0 | BR Power Panel (100,200) CE4.20 V2.0 SDK.msi, BR Mobile Panel (100,200) CE4.20 V2.0 SDK.msi
V2.1 | V2.1 | BR Power Panel (100,200) CE4.20 V2.1 SDK.msi, BR Mobile Panel (100,200) CE4.20 V2.1 SDK.msi
V3.0 | V3.0 | BR Power Panel (100,200) CE4.20 V3.0 SDK.msi, BR Mobile Panel (100,200) CE4.20 V3.0 SDK.msi
V5.0 | V5.0 | BR Power and Mobile Panel (100,200) CE5.00 V5.0 SDK.msi

Note:

  • An emulator is not included in SDK versions V2.0 and higher.

  • Before you install a new SDK, you should uninstall any existing SDKs.

Checking the version of an installed SDK

  • Open up the Start > Control Panel > Add/Remove Programs dialog box.
  • Look for the Bernecker + Rainer Software Development Kit entry.
  • The version number is included in the name.

    Version number of an installed B&R (eMbedded Visual C++) SDK

See also:

Active Sync, Manual TCP/IP connection, Where is eMbedded Visual Basic?

<< Previous Topic
.NET compact framework (managed code development)

Start Page

Next Topic >>
"Hello World"


"Hello World" in .NET

"Hello World"

General

In this example, we'll see how to create a simple Visual Basic .NET application for B&R Windows CE. The hardware and software components needed for this example can be found in the Requirements section.

Establishing an ActiveSync connection

We will be using ActiveSync as the transport method in this example. The ActiveSync and ActiveSync transport sections explain how to set up this connection successfully.

Creating a new project

  • To create a new project with Visual Studio .NET, select New > Project from the File menu.

Creating a new project with Visual Studio .NET

  • Then select Smart Device Application from the list of Visual Basic projects. Give your project a name ("Test" is used in our example) and select a directory for it.

Specifying the type, name, and directory

  • Now define you platform - Windows CE. Select Windows Application as the project type.

Defining the platform and project type

Placing and configuring a label

  • Now place a label control on the created form. To do so, double-click on the Label element in the toolbox.

Placing a label

The newly created label

  • Now assign the value Hello World to the Caption property of the Label control.

The Properties dialog box for the Label control

Establishing a connection to the target

Note:
This steps requires that Windows CE Utilities for Visual Studio .NET 2003 Add-on Pack has already been installed. See Required software.
  • Visual Studio .NET 2003 must now be changed to Compact Framework for x86 CPUs. To do this, open the Select Windows CE Device CPU dialog box from the Tools menu. In the drop-down box, select the CPU type X86 and confirm your selection by clicking Configure.

The "Select Windows CE CPU" dialog box

  • After changing the Device architecture, the registry must be saved on the B&R CE device. A connection to the B&R CE device can now be established by clicking on Connect to device.

Connect to device

Note:
The initial connection can take several minutes!
  • The message Device connected appears in the status bar once the connection has been made successfully.

The B&R CE4.1 device has been connected successfully.

Deploying and transferring to the target

  • The project now has to be deployed. This is done by clicking on the filing cabinet icon in the toolbar.

  • Once deployed, the project can be transferred to the B&R Windows device with F5. The Windows CE .NET device still needs to be selected as the deployment target.

Select your target!

See also:

Requirements, ActiveSync

<< Previous Topic
Requirements

Start Page

Next Topic >>
eMbedded Visual C++ 4.0 (native code development)


eMbedded Visual C++ 4.0 (native code development)

In this section the following topics are discussed:

eMbedded Visual C++ 4.0 (native code development)

Requirements

"Hello World"

<< Previous Topic
"Hello World"

Start Page

Next Topic >>
Requirements


Requirements

General

With Microsoft eMbedded Visual C++ 4.0 (eVC4), Microsoft offers a powerful IDE for developing native code applications for Windows CE. The following requirements must be met so that eVC4 can be used to create programs for B&R Windows CE:

Desktop operating system

Supported desktop operating systems: Microsoft Windows 2000 and Microsoft Windows XP

Compiler / IDE

Microsoft provides the IDE Microsoft eMbedded Visual C++ 4.0 as a compiler. This software package contains all of the tools necessary for developing native code applications. These include remote tools like the Remote Registry Editor, the Remote Process Viewer, and Remote Zoomin, an IDE familiar from Visual Studio 6.0, as well as a connection to the Platform Manager.

Microsoft eMbedded Visual C++ 4.0 can be downloaded at no cost from the Microsoft homepage at www.microsoft.com.

Note:
Make sure that you have installed the latest Service Pack for Microsoft eMbedded Visual C++ 4.0. At least Service Pack 4 must be installed.

Platform manager

The Platform Manager establishes the connection between the programming tools and the Windows CE target. It uses connections like ActiveSync or a manual TCP/IP connection. The Platform Manager is installed along with eMbedded Visual C++ 4.0.

SDK (Software Development Kit)

Make sure that you use the correct SDK for your B&R Windows CE image:

    Windows CE image version | SDK version | SDK filename
V1.0 | V1.0 | X86BR410_SDK.msi
V1.1 | V1.1 | X86BR410_EVC4_SDK.msi
V1.2 | V1.2 | X86BR410_EVC4_V12_SDK.msi
V1.3 | V1.3 | X86BR410_EVC4_V13_SDK.msi
V1.4 | V1.4 | X86BR410_EVC4_V14_SDK.msi
V1.5 | V1.5 | X86BR410_EVC4_V15_SDK.msi
V2.0 | V2.0 | BR Power Panel (100,200) CE4.20 V2.0 SDK.msi, BR Mobile Panel (100,200) CE4.20 V2.0 SDK.msi
V2.1 | V2.1 | BR Power Panel (100,200) CE4.20 V2.1 SDK.msi, BR Mobile Panel (100,200) CE4.20 V2.1 SDK.msi
V3.0 | V3.0 | BR Power Panel (100,200) CE4.20 V3.0 SDK.msi, BR Mobile Panel (100,200) CE4.20 V3.0 SDK.msi
V5.0 | V5.0 | BR Power and Mobile Panel (100,200) CE5.00 V5.0 SDK.msi

    Note:

    • An emulator is not included in SDK versions V2.0 and higher.
    • Only a single SDK is necessary for .NET and eVC4 development for images based on Microsoft Windows CE 4.2.
    • Before you install a new SDK, you should uninstall any existing SDKs.

Checking the version of an installed SDK

  • Open up the Start > Control Panel > Add/Remove Programs dialog box.
  • Look for the Bernecker + Rainer Software Development Kit entry.
  • The version number is included in the name.

    Version number of an installed B&R (eMbedded Visual C++) SDK

ActiveSync

If you want to transfer your program to the CE device using ActiveSync, then you first need to install the software for it. More information about installation and establishing a connection can be found in the ActiveSync section.

See also:

Active Sync, Manual TCP/IP connection, Where is eMbedded Visual Basic?

<< Previous Topic
eMbedded Visual C++ 4.0 (native code development)

Start Page

Next Topic >>
"Hello World"


"Hello World" (native code development)

"Hello World"

General

In this example, you'll learn how to create a simple eMbedded Visual C++ 4.0 application for B&R Windows CE.

Establishing an ActiveSync connection

We will be using ActiveSync as the transport provider in this example. The ActiveSync section explains how to set up this connection successfully.

Creating a new project with the WCE MFC AppWizard

  • To create a new project with eMbedded Visual C++ 4.0, select New from the File menu.

File->New creates a new project.

  • In the next dialog box, select WCE MFC AppWizard (exe) as the project type. Give your project a name ("Test" is used in our example) and select a directory for it.

Specifying the type, name, and directory

  • In the Step 1 of 4 window, you have to change the type of application to Dialog-based.

Select "Dialog Based".

  • Continue from the Step 1 of 4 window by clicking Next >. This opens the Step 2 of 4 dialog box.

Don't make any changes to the settings in this dialog box

  • Leave the settings unchanged in the Step 2 of 4 dialog box and click Next > to continue to the Step 3 of 4 dialog box.

Don't make any changes to the settings in this dialog box

  • Settings in this dialog box also remain unchanged. The Step 4 of 4 dialog box opens after clicking on Next >.

Click on "Finish" to create the project

  • Now click on Finish to create the project.

Changing static elements

  • Switch to the Resource Tree and open the IDD_TEST_DIALOG dialog box.

The open IDD_TEST_DIALOG window

  • Select the static element with the caption TO DO: Dialog box field - control elem. here.

Selecting the static element

  • Open the properties dialog box for the element and change the caption to Hello World!

The Caption property has been changed.

Configuring the Platform Manager

  • The configuration dialog box for the Platform Manager can be opened with Configure Platform Manager under the Tools menu.

  • Now select the B&R Windows CE device as the platform.

Select the B&R device.

Note:
The name of the platform or B&R device depends on the version of the installed SDK. Use the platform that fits best with your B&R Windows CE device.

  • Open the device's Properties.

Select the second ActiveSync.

  • In this window, you have to select Microsoft ActiveSync for both Transport and Startup Server.

Transferring the project

  • Start the build procedure with the Build > Rebuild All command.

Run "Rebuild All"

  • Now you can transfer the project. Press F5 to start debugging. Close the Find local module dialog boxes with Cancel.

Close the "Find local module" dialog boxes with Cancel.

  • The Hello World! application appears on the B&R CE device.

An eVC 4.0 MFC "Hello World" application!

See also:

Active Sync, Requirements

<< Previous Topic
Requirements

Start Page

Next Topic >>
Establishing a connection to the CE device


Establishing a connection to the CE device

General

There are basically two ways to connect a Windows CE device with a desktop PC: ActiveSync and Platform Manager. If you want to create software for the CE device, then you need to select the Platform Manager and a supported transport method. If you just want to connect your B&R Windows CE device to the desktop PC e.g. to copy files, then a simple ActiveSync connection will suffice.

In this section the following topics are discussed:

Establishing a connection to the CE device

Platform manager

ActiveSync

<< Previous Topic
"Hello World"

Start Page

Next Topic >>
Platform manager


Platform manager

General

The Platform manager establishes the connection between a Windows CE device and various development tools (e.g. Microsoft eMbedded Visual C++ or .NET Compact Framework). The platform manager allows these development tools to transfer, execute, or debug programs. The platform manager uses different transport methods to handle transferring. On B&R Windows CE devices, the TCP/IP transport and ActiveSync transport are supported.

In this section the following topics are discussed:

Platform manager

ActiveSync transport

TCP/IP transport

<< Previous Topic
Establishing a connection to the CE device

Start Page

Next Topic >>
ActiveSync transport


ActiveSync transport

General

You must first install Microsoft ActiveSync in order to use it as the transport method for the Platform Manager. Please read the ActiveSync section in this documentation.

Configuring ActiveSync transport

Note!

The following requirements must be met before you start with this tutorial.

  1. Microsoft eMbedded Visual C++ 4.0 must be installed (the Platform Manager is installed with Visual C++ 4.0).
  2. A B&R Windows CE SDK must be installed.
  3. Microsoft ActiveSync must be installed.
  4. The B&R Windows CE device must be connected to the desktop PC with ActiveSync.
  • Open up Microsoft eMbedded Visual C++ 4.0.
  • Select the Tools > Configure Platform Manager... menu item.

The Configure Platform Manager menu item under the Tools menu in the eVC4

  • Select the B&R device and open up the Properties... dialog box.

Configuring the Platform Manager

Note:
The name of the platform or B&R device depends on the version of the installed SDK. Use the platform that fits best with your B&R Windows CE device.
  • Select Microsoft ActiveSync as the transport method.
  • Select Microsoft ActiveSync as the startup server.

See also:

Platform Manager, TCP/IP transport, ActiveSync

<< Previous Topic
Platform manager

Start Page

Next Topic >>
TCP/IP transport


TCP/IP transport

General

Setting up a TCP/IP transport (manual TCP/IP connection) is the simplest way to communicate with a B&R Windows CE device.

Configuring the TCP/IP transport

Note!

The following requirements must be met before you start with this tutorial.

  1. Microsoft eMbedded Visual C++ 4.0 must be installed (the Platform Manager is installed with Visual C++ 4.0).
  2. A B&R Windows CE SDK must be installed.
  3. The Windows CE device and the desktop PC must be connected over Ethernet/LAN. Test whether the connection is valid with PING.
  • Open up Microsoft eMbedded Visual C++ 4.0.
  • Select the Tools > Configure Platform Manager... menu item.

The Configure Platform Manager menu item under the Tools menu in the eVC4

  • Select the B&R device and open up the Properties... dialog box.

Configuring the Platform Manager

Note:
The name of the platform or B&R device depends on the version of the installed SDK. Use the platform that fits best with your B&R Windows CE device.

  • Select TCP/IP Transport for Windows CE as the transporter.
  • Select Manual Server as the startup server.

    Configuring the manual TCP/IP connection

Testing the TCP/IP transport

We'll use the Remote Zoom-in program to test the TCP/IP transport, This program can be used to take screenshots of the Windows CE target.

  • Open up Microsoft eMbedded Visual C++ 4.0.
  • Select Tools > Remote Zoomin.

  • Select the B&R device and click on OK.

The "Select a Windows CE device" dialog box in Remote Zoomin

Note:
The name of the platform or B&R device depends on the version of the installed SDK. Use the platform that fits best with your B&R Windows CE device.

  • Open the Start > Run... dialog box on the Windows CE device.
  • Enter the text bordered in red ("Manual server action" window) into the Run... dialog box on the B&R Windows CE device.

Starting the communication

Note:
If Remote Zoomin doesn't establish the connection automatically, then click on this icon [image].

Starting CEMGRC.EXE on the CE device

  • Confirm the Manual server action dialog box on the desktop PC.
  • Confirm the Run... dialog box on the Windows CE device.

    Remote Zoomin has successfully created a screenshot

  • After a short time, Remote Zoomin will display a snapshot of the CE device.

See also:

Requirements, ActiveSync transport, Platform manager

<< Previous Topic
ActiveSync transport

Start Page

Next Topic >>
ActiveSync


ActiveSync

General

With ActiveSync, Microsoft provides a program that you can use to connect your desktop PC to a Windows CE device. ActiveSync makes it possible to copy data, synchronize directories, and transfer and debug programs. One of the core functions of Microsoft ActiveSync is the seamless integration of the mobile device into the Windows user interface:

Accessing the mobile device directly from Windows Explorer

ActiveSync can be downloaded at no cost from Microsoft. The easiest way to find the program on the Microsoft homepage http://www.microsoft.com is to run a search for ActiveSync Download.

Note:
Please use ActiveSync version 3.8 or higher.

Important!

Microsoft ActiveSync causes problems if 2 LAN connections are active. If communication problems do occur, you should disable all unnecessary LAN connections.

ActiveSync causes problems when more than one LAN connection is active.

The following Microsoft ActiveSync connection types are available:

  • Serial
  • Ethernet

<< Previous Topic
TCP/IP transport

Start Page

Next Topic >>
Serial


Serial

General

An RS232 serial cable is needed in order to establish a serial ActiveSync connection between your CE device and your desktop PC. Different pin assignments are needed depending on the CE device being used.

Power Panel 100/200 pin assignment

9-PIN D-SUB FEMALE (Computer 1) |  | 9-PIN D-SUB FEMALE (Computer 2)
Name | Pin | Pin | Name
Receive Data | 2 | 3 | Transmit Data
Transmit Data | 3 | 2 | Receive Data
Data Terminal Ready | 4 | 6+1 | Data Set Ready + Data Carrier Detect
System Ground | 5 | 5 | System Ground
Data Set Ready + Carrier Detect | 6+1 | 4 | Data Terminal Ready
Request to Send | 7 | 8 | Clear to Send
Clear to Send | 8 | 7 | Request to Send

For the Power Panel 100/200, B&R offers the suitable RS232 DB9 null modem cable:

Null modem cable 9A0017.0x
Null modem cable 9A0017.0x

RS232 DB9 null modem cable | 9A0017.01 | 9A0017.02
Length | 0.6 meters | 1.8 meters

Mobile Panel 100/200 pin assignment

RS232 switching cabinet cable | 9 PIN D-SUB FEMALE
- | Pin | Name
Receive Data (Pink) | 3 | Transmit Data
Transmit Data (Gray) | 2 | Receive Data
System Ground (White-Yellow) | 5 | System Ground
- | 6+1+4 | Data Set Ready + Data Carrier Detect + Data Terminal Ready
 | 7+8 | Clear to Send + Request to Send

Establishing an ActiveSync connection

  • Using the serial cable listed above, connect COM1 on your CE device with COM1 of your desktop PC. Then start the Microsoft ActiveSync program by double-clicking on the icon.

  • Now select Get Connected... from the File menu.

Establishing a connection to the CE device

  • Confirm the Get connected dialog box by clicking Next >.

Skip over this dialog box by clicking <B>Next ></B>.

  • ActiveSync will now try to find the CE device attached to your desktop PC.

Looking for the CE device

  • While ActiveSync is searching for the CE device, you must start the ActiveSync server Repllog.exe on the CE device. On its side, this program attempts to establish a connection with the desktop PC with ActiveSync. This program can be started very easily by using the Start > Programs > Accessories > ActiveSync Connection Default shortcut.

Note:
If you are using B&R Windows CE 5.0 on a Power Panel, then you don't have to start the ActiveSync server Repllog.exe manually. The B&R Windows CE image detects an ActiveSync request and starts the server automatically.

  • Once the CE device has been found, ActiveSync asks if you want to establish a partnership. Select Yes and close the window with Next >.

Dialog box for setting up a partnership with the CE device

Note:
It is not absolutely mandatory to set up a partnership since there are no programs installed on the B&R CE device which absolutely need this function. However, if you want to use ActiveSync over Ethernet (for programming .NET applications), this partnership must be created.
  • The next dialog box lets you define which components should be synchronized between your Windows CE device and your desktop PC.

  • If the connection has been established successfully, then Connected appears in the ActiveSync window.

Connected as a "guest" to your CE device

  • This icon in the system tray indicates an active ActiveSync connection on the CE device:

Tray icon for an active ActiveSync connection on the CE device

  • Double-clicking on the system tray icon opens up a window where the ActiveSync connection can be disabled.

CE dialog box for disconnecting the ActiveSync connection

  • Finally, you need to save the registry on the CE device. To do so, open up the Configuration manager with Start > Settings > Control Panel > Configuration manager and click on the Save settings button under the Save tab.

See also:

ActiveSync, ActiveSync transport, ActiveSync Ethernet

<< Previous Topic
ActiveSync

Start Page

Next Topic >>
Ethernet


Ethernet

Important!

To establish an Ethernet connection using ActiveSync, it is absolutely mandatory to first create a partnership with the CE device. Otherwise, ActiveSync won't be able to find the CE device via Ethernet.

Information about how to create a partnership with a serial connection is available here.

Creating an ActiveSync connection with Ethernet

  • Check whether your Ethernet connection is working. This is indicated with the following system tray icon:

  • If a partnership has been established with a desktop PC, you can start ActiveSync via Ethernet with the command repllog.exe /remote or the Start > Programs > Accessories -> ActiveSync Connection Remote shortcut on the CE device.

Starting the ActiveSync Ethernet connection from the Start menu

  • In the next window, select the computer that you want to connect to.

  • After the connection is set up successfully, this dialog box is displayed on the CE device:

Ethernet connection successful

See also:

ActiveSync, Serial, ActiveSync Transport

<< Previous Topic
Serial

Start Page

Next Topic >>
B&R-specific expansions


B&R Windows CE Tools

B&R-specific expansions

In this section the following topics are discussed:

B&R-specific expansions

Libraries

Configuration files

Control Panel applets

Tools

<< Previous Topic
Ethernet

Start Page

Next Topic >>
Libraries


Libraries

In this section the following topics are discussed:

Libraries

Automation Device Interface

<< Previous Topic
B&R-specific expansions

Start Page

Next Topic >>
Automation Device Interface


Automation Device Interface

General

The B&R Automation Device Interface (ADI) is the interface to B&R devices like the Power Panel 100 or Automation PC 620. It can be used to e.g. set LEDs of change brightness settings on B&R displays. The Automation Device Interface replaces the Windows CE-specific libraries Mobile Panel System DLL and Power Panel System DLL.

In order for the B&R Automation Device Interface to be used in your application, you first have to download the ADI Development Kit software package from the B&R homepage (http://www.br-automation.com). This package contains the necessary definition and help files.

Requirements

The B&R Automation Device Interface is integrated in the B&R Windows CE image in V3.0 and up. Older image versions do not support this function. You have to use the Power Panel System DLL and Mobile Panel System DLL libraries instead. If you need a new version of the B&R Windows CE image, please contact your B&R representative.

B&R Windows CE version: V3.0 or higher

See also:

Power Panel System DLL, Mobile Panel System DLL, Where do I find a description of ADI functions?

<< Previous Topic
Libraries

Start Page

Next Topic >>
Configuration files


Configuration files

In this section the following topics are discussed:

Configuration files

SETTINGS.REG

START.DAT

<< Previous Topic
Automation Device Interface

Start Page

Next Topic >>
SETTINGS.REG


SETTINGS.REG

General

The SETTINGS.REG ASCII file makes it possible for the user to modify the registry during the first boot. This allows e.g. the computer name to be defined during the initial boot.

Format

The format of the SETTINGS.REG file corresponds to all .REG files used in Windows 9x/NT/2000/XP. These files can be created manually with a text editor or with the export function of the Remote Registry Editor.

The export function in the Remote Registry Editors
The export function in the Remote Registry Editors

SETTINGS.REG file example:

REGEDIT4

[HKEY_LOCAL_MACHINE\Ident]
"Name"="Test"

Memory location

The SETTINGS.REG must be saved to the root directory of the first primary partition on the CompactFlash card.

Execution

  • During booting, B&R Windows CE checks whether there is a file named SETTINGS.REG in the root directory of the primary partition on the CompactFlash card.
  • If SETTINGS.REG is found, then it is parsed and its registry keys are inserted into the registry.
  • After all keys have been inserted, the file is renamed SETTINGS.BAK.
  • If there is already a file named SETTINGS.BAK, it will be deleted and replaced with the new SETTINGS.BAK.
  • The device will reboot.

Features

  • String and DWORD values

    [HKEY_LOCAL_MACHINE\Comm\PCI\DP838151\Parms\TCPIP]
    "EnableDHCP"=dword:00000000
    "IPAdr"="172.33.22.22"

  • MULTI_SZ Werte

    [HKEY_LOCAL_MACHINE\Comm\PCI\DP838151\Parms\TCPIP]
    "WINS"=hex(7):\
    31,37,32,2e,34,33,2e,33,32,2e,34,31,00,31,37,32,2e,34,33,2e,33,32,2e,34,32,\
    00,00,00,00,00,00

  • Defaultkeys

    [HKEY_LOCAL_MACHINE\Software\Microsoft]
    @="A default value"

  • Registry keys without accompanying values

    [HKEY_LOCAL_MACHINE\Software\Microsoft]

    [HKEY_LOCAL_MACHINE\Software\Microsoft\Shell]

See also:

START.DAT

<< Previous Topic
Configuration files

Start Page

Next Topic >>
START.DAT


START.DAT

General

The START.DAT configuration file can be compared to the Autoexec.bat file in MS-DOS. It allows programs to be started and the image to be configured to your individual requirements when booting B&R Windows CE. START.DAT is usually used instead of Explorer to start your own applications.

Memory location

The START.DAT ASCII file must be located in the root directory of the first primary partition on the CompactFlash card (in the same directory as NK.BIN). It can only be found and executed by B&R Windows CE if located here.

START.DAT must be in the root directory of the CF card.

Specifications

  • Individual commands are executed asynchronously.
  • START.DAT is an ASCII file.

Syntax

The syntax of the START.DAT file depends on the version of the B&R Windows CE image being used:

  • B&R Windows CE V5.0
  • B&R Windows CE V1.0-V3.0

See also:

SETTINGS.REG

<< Previous Topic
SETTINGS.REG

Start Page

Next Topic >>
B&R Windows CE V5.0


B&R Windows CE V5.0

In this section the following topics are discussed:

B&R Windows CE V5.0

Keywords

Syntax

<< Previous Topic
START.DAT

Start Page

Next Topic >>
Keywords


Keywords

In this section the following topics are discussed:

Keywords

WAIT

RUN

COPYFILE

REGFONT

TOUCHCAL

DEBUGCOMPORT

BINFILE

STORAGEMEMORY

<< Previous Topic
B&R Windows CE V5.0

Start Page

Next Topic >>
WAIT


WAIT

WAIT

Wait time in milliseconds between two keywords.

WAIT=Time

Parameters

Time
Time in milliseconds.

Remarks

;
; Wait 5 seconds
;
WAIT=5000

Requirements

B&R Windows CE version: V5.0 and higher

<< Previous Topic
Keywords

Start Page

Next Topic >>
RUN


RUN

RUN

Starts the specified application.

RUN="FileName"

Parameters

FileName:
Path and file name of the desired application. This parameter must be enclosed in quotes.

Remarks

;
; Shell
;
RUN="\Windows\Explorer.exe"

*Requirements

B&R Windows CE version: V5.0 and higher

<< Previous Topic
WAIT

Start Page

Next Topic >>
COPYFILE


COPYFILE

COPYFILE

Copies a file to a certain directory.

COPYFILE="SourceFile" "DestinationFile"

Parameter

SourceFile
Name and path of the source file to be copied. This parameter must be enclosed in quotes.

DestinationFile
 Name and path of the destination file where the source file should be copied. This parameter must be enclosed in quotes.

Remarks

;
; Copy a file
;
COPYFILE "\Hard Disk\logoqvga.bmp" "\Windows\MyLogo.bmp"

Requirements

B&R Windows CE version: V5.0 and higher

<< Previous Topic
RUN

Start Page

Next Topic >>
REGFONT


REGFONT

REGFONT

Registers a font file with the system.

REGFONT="FileName"

Parameters

FileName:
Path and file name of the desired font. This parameter must be enclosed in quotes.

Remarks

;
; Register MyUnicode.ttf font
;
REGFONT="\HardDrive\MyUnicode.ttf"

Requirements

B&R Windows CE version: V5.0 and higher

<< Previous Topic
COPYFILE

Start Page

Next Topic >>
TOUCHCAL


TOUCHCAL

TOUCHCAL

Defines whether a device has a touch screen or not.

TOUCHCAL=Yes/No

Parameters

Yes/No
1 = The device has a touch screen. Touch calibration is started automatically during the first boot.
0 = The device doesn't have a touch screen.

Remarks

;
; Touch calibration
;
TOUCHCAL=1

Requirements

B&R Windows CE version: V5.0 and higher

<< Previous Topic
REGFONT

Start Page

Next Topic >>
DEBUGCOMPORT


DEBUGCOMPORT

DEBUGCOMPORT

Defines the serial interface used to output debugging information.

DEBUGCOMPORT=COMPORT

Parameter

COM Port
The number of the COM port. If 0, output is disabled.

Requirements

B&R Windows CE version: V5.0 and higher

<< Previous Topic
TOUCHCAL

Start Page

Next Topic >>
BINFILE


BINFILE

BINFILE

Defines the filename of the Windows CE image file.

BINFILE=NK.bin

Parameter

Always NK.bin.

Remarks

This keyword is reserved for use in later versions of B&R Windows CE.

;
; BIN Filename
;
BINFILE=NK.bin

Requirements

B&R Windows CE version: V5.0 and higher

<< Previous Topic
DEBUGCOMPORT

Start Page

Next Topic >>
STORAGEMEMORY


STORAGEMEMORY

STORAGEMEMORY

Defines the size of the storage memory.
STORAGEMEMORY=Size

Parameter

Size
Size of the storage memory in kilobytes.

Remarks

If this keyword is set, then the setting in the System Control Panel applet is overwritten.

Requirements

B&R Windows CE version: V5.0 and higher

<< Previous Topic
BINFILE

Start Page

Next Topic >>
Syntax


Syntax

Comments

Comments are introduced with a semicolon - ";".

;
; Shell
;
RUN="\Windows\Explorer.exe"

Keywords and their functions

The following rules generally apply to keywords:

  • All keywords must be written in capital letters.
  • An equals sign "=" always follows a keyword.
  • A space may not come between the keyword and the equals sign.
  • If paths to files in the Windows CE file system are specified, then the paths must always be included in quotation marks (exception: BINFILE).

START.DAT example

;
; NK.BIN
;
BINFILE=NK.BIN

;
; The system has a touch screen
;
TOUCHCAL=1

;
; Set storage memory
;
STORAGEMEMORY=10000

;
; Wait 5 seconds
;
WAIT=5000

;
; Register MyUnicode.ttf font
;
REGFONT="\HardDrive\MyUnicode.ttf"

;
; Copy a file
;
COPYFILE "\Hard Disk\logoqvga.bmp" "\Windows\MyLogo.bmp"

;
; Start application
;
RUN="\Windows\MyApp.exe"

<< Previous Topic
STORAGEMEMORY

Start Page

Next Topic >>
B&R Windows CE V1.0-V3.0


B&R Windows CE V1.0-V3.0

In this section the following topics are discussed:

B&R Windows CE V1.0-V3.0

Syntax

<< Previous Topic
Syntax

Start Page

Next Topic >>
Syntax


B&R Windows CE Images V1.0-V3.0

Comments

Comments are introduced with semicolons.

; Application started from hard disk
\windows\explorer.exe

Keywords and their functions

Keyword | Description
$S=Value | Defines the size of the data memory
WAIT=Value | Delay time between executing two commands. This unit is is milliseconds.
REGFONT=Path | Registers a desired font on the CE system
TOUCHCAL | Starts touch calibration if the touch screen is not yet configured
COPYFILE | Copies a file to a certain directory.

START.DAT example

;Start touch calibration
TOUCHCAL

;Set memory
$S=10000

;Wait 5 seconds
WAIT=5000

;Register MyUnicode.ttf on the CE system
REGFONT=\HardDrive\MyUnicode.ttf

;Copy a file
COPYFILE \Harddisk\logoqvga.bmp \Windows\MyLogo.bmp

;Start application
\Windows\MyApp.exe

Requirements

B&R Windows CE version: V1.0-V3.0

See also:

SETTINGS.REG, START.DAT

<< Previous Topic
B&R Windows CE V1.0-V3.0

Start Page

Next Topic >>
Control Panel applets


Control Panel applets

In this section the following topics are discussed:

Control Panel applets

Screensaver

B&R Control Center

Configuration manager

Server

Touch screen

<< Previous Topic
Syntax

Start Page

Next Topic >>
Screensaver


Screensaver

General

The Screensaver applet in the Control Panel can be used to configure the screensaver on the B&R Windows CE device.

Enabling the screensaver

  • Select Start > Settings > Control Panel and double-click on the Screensaver icon.
  • Switch to the Configuration tab.
  • Select the Enable screensaver checkbox.
  • Define the idle time that must pass before the screensaver is started.
  • Select the desired screen saver in the Type drop-down box.
  • Close the dialog box by clicking OK.

The following screensavers are available:

  • Floating picture
  • Blank

Requirements

B&R Windows CE version: V5.0 and higher

<< Previous Topic
Control Panel applets

Start Page

Next Topic >>
B&R Control Center


B&R Control Center

The B&R Control Center is used to configure and display information about a B&R device. The applet is opened via the Control Panel. At present, B&R Power Panel and B&R Mobile Panel devices are supported. Depending on the B&R device used, the applet is shown with the appropriate icon.

The B&R Control Center in the Control Panel
The B&R Control Center in the Control Panel

The following tabs can be selected:

  • Display
  • Keys
  • LEDs
  • Interfaces
  • Temperatures
  • User Boot Logo
  • Factory Settings
  • Versions

Requirements

B&R Windows CE version: V3.0 and higher

<< Previous Topic
Screensaver

Start Page

Next Topic >>
Display


Display

You can set the brightness and contrast of the display online and perform additional display settings here here.

The "Display" tab in the B&R Control Center
The "Display" tab in the B&R Control Center

The contrast can only be set for a passive display. Depending on the display type used the contrast input fields are disabled.

You can change brightness and contrast only in the range given by the display. That means, changes with the same percent value have different effect at different display types.

To change the brightness

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. On the Display tab, under Brightness, clear the Auto check box.
  3. Move the slider to the brightness value, which shall be used by the display.

To set the brightness to the factory setting

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. On the Display tab, under Brightness, select the Auto check box.

To change the contrast

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. On the Display tab, under Contrast, clear the Auto check box.
  3. Move the slider to the contrast value, which shall be used by the display.

To set the contrast to the factory setting

  1. Select Start > Settings > Control Panel and double-click on B&R Power Panel Control Center or B&R Mobile Panel Control Center.
  2. On the Display tab, under Contrast, select the Auto check box.

Notes:
The percent values for brightness and contrast are phased out depending on the possible range of the display (see also Factory Settings). That means, for example percent values 16, 17 und 18 can result in the same physical value written to the display and therefore achieve the same brightness or contrast setting.

The changed values are displayed online, but saved in the system (and used after a system restart) only if the Control Center is closed with OK.

The values set here are independent from the values set in the BIOS Setup. That means, the values set in the BIOS are used until Windows is started (see BIOS Setup Menu Motherboard Device Configuration > Video and Flat Panel Configuration).
Values set by BIOS are applied only when the B&R Control Center is opened for the first time.

Advanced Display Settings

You can perform additional display settings by clicking on Advanced.

The "Advanced Display Settings" dialog in the B&R Control Center
The "Advanced Display Settings" dialog in the B&R Control Center

To change the rotation angle of the display

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. Select the Display tab and click on Advanced.
  3. Select the desired rotation angle in the Advanced Display Settings dialog, box Screen Rotation, from the Rotation Angle list. You can choose between "0 degrees", "90 degrees", "180 degrees" and "270 degrees".
  4. Close the dialog with OK.

Warning: The selected rotation angle is set immediately after closing the dialog with OK. This can make mouse operations difficult due to the modified view. Additionally the touch screen calibration is started automatically after a change of the rotation angle. The recalibration can be switched off by clearing the Calibrate Touch Screen after change check box.

If the display driver being used doesn't support a change in the display angle, "Not Supported" is displayed in the Rotation Angle box and making a selection is not possible.

To activate the font smoothing

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. Select the Display tab and click on Advanced.
  3. Select the Enable Antialiased Fonts check box.
  4. Close the dialog with OK.

To disable the font smoothing clear the Enable Antialiased Fonts check box.

Note: If font smoothing is changed, the computer must be rebooted before the change takes effect. A dialog box will appear when you close the B&R Control Center requesting you to do just that.

To hide the mouse pointer

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. Select the Display tab and click on Advanced.
  3. Select the Hide pointer check box.
  4. Close the dialog with OK.

To show the mouse pointer clear the Hide pointer check box.

Note: If the mouse pointer display is changed, the computer must be rebooted before the change takes effect, if a B&R Windows CE version less than V5.0 is used. A dialog box will appear when you close the B&R Control Center requesting you to do just that.

Requirements

B&R Windows CE version: V3.0 and higher

<< Previous Topic
B&R Control Center

Start Page

Next Topic >>
Keys


Keys

You can configure and view information about optional device specific keys here.

Note: This tab is displayed if the device has keys or LEDs only. That means, a Matrix Controller (MXC) must exist.

The "Keys" tab in the B&R Control Center
The "Keys" tab in the B&R Control Center

The keys can be operated in up to four layers. The active layer can be changed here. The scan codes of the keys and the mode for switching between the layers must be configured with a key configuration file. This file can be generated with the B&R Key Editor and downloaded or uploaded here.

To change the active key layer

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. On the Keys tab, under Key Layer enter a new Number between 1 and 4 and click on Apply. The active layer number is displayed to the right of the entered number.

Note: If no valid key configuration is loaded, the layer number cannot be changed.

To download a new configuration to the device

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. On the Keys tab, click under Scan Codes on Download.

    The "Key Configuration Download" dialog in the B&R Control Center
    The "Key Configuration Download" dialog in the B&R Control Center

  3. Enter or select a key configuration file under File.
  4. Click on Start.

Note: The status of the scan codes is displayed on the Keys tab after this dialog is closed.

To upload a configuration from the device

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. On the Keys tab, click under Scan Codes on Upload.

    The "Key Configuration Upload" dialog in the B&R Control Center
    The "Key Configuration Upload" dialog in the B&R Control Center

  3. Enter or select a key configuration file under File.
  4. Click on Start.

To display the states of device specific keys

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. On the Keys tab, click under Key Matrix on Show.

The "Key Matrix" dialog in the B&R Control Center
The "Key Matrix" dialog in the B&R Control Center

Pressed keys are shown with a "1", released keys with a "0". The number of the first pressed key is shown in the last line of the dialog. The dialog is updated automatically if a key is pressed or released.

Note: The scan codes must not be configured for showing the key matrix. The handling of already configured scan codes is switched off during display of the key matrix, to allow pressing keys without a response of Windows.

Requirements

B&R Windows CE version: V3.0 and higher

<< Previous Topic
Display

Start Page

Next Topic >>
LEDs


LEDs

You can turn on or off optional device specific LEDs here.

Note: This tab is displayed if the device has keys or LEDs only. That means, a Matrix Controller (MXC) must exist.

The "LED" tab in the B&R Control Center
The "LEDs" tab in the B&R Control Center

The LEDs can be turned on or off in up to four layers (see key layers on the Keys tab).

To set a LED

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. Select the LEDs tab.
  3. Enter a LED Number between 0 and 127. The current LED state is displayed when the number is changed.
  4. Enter a number between 1 and 4 for the Layer, in which the LED should be set. The current LED state is displayed when the number is changed.
  5. Click on one of the LED states Off, Slow blinking, Fast blinking, On to change the current LED state.

To show the new LED state immediately when the entered layer is not the active layer select the Automatic layer change check box.

To set all LEDs in all layers to the same state, click on All LEDs.

Requirements

B&R Windows CE version: V3.0 and higher

<< Previous Topic
Keys

Start Page

Next Topic >>
Temperatures


Temperatures

The temperature values of the B&R device are shown here.

The "Temperatures" tab in the B&R Control Center
The "Temperatures" tab in the B&R Control Center

To view temperature values of the device

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. Select the Temperatures tab.

The temperature of the CPU is displayed next to CPU Internal. The temperature of the motherboard is displayed under Board I/O. The displayed values are updated once every second.

Requirements

B&R Windows CE version: V3.0 and higher

<< Previous Topic
LEDs

Start Page

Next Topic >>
Interfaces


Interfaces

You can view information about B&R device interfaces and turn on/off the User LED here.

The "Interfaces" tab in the B&R Control Center
The "Interfaces" tab in the B&R Control Center

Information about the Mode / Node switches and optional interface modules plugged in aPCI Slot 1 and aPCI Slot 2 is displayed. The displayed Mode / Node settings are updated automatically at changes.

To turn the User LED on or off

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. On the Interfaces tab, select or clear the User LED check box.

To view information about firmware for aPCI modules (B&R Power Panel devices only)

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. Select the Interfaces tab and under aPCI Slot 1 or aPCI Slot 2, click on Firmware.

The "aPCI Firmware" dialog in the B&R Control Center
The "aPCI Firmware" dialog in the B&R Control Center

A dialog is shown where you can view information about the firmware installed on the B&R device (optional).

The following data about the firmware is displayed: brief Info (by default, this is the module ID, date and version), the Status of the boot procedure and additional data from the deader of the burned FPGA file under Extended Info. If there is no firmware in the flash memory, "None" is shown under Info.

Note: Additional interface modules (aPCI modules) can be inserted on some B&R Power Panel types. Some aPCI modules have to be programmed by BIOS with suitable firmware before they are recognized as "normal" PCI devices. To this end, this suitable firmware must have been burned into the flash memory of the B&R Power Panel.

Requirements

B&R Windows CE version: V3.0 and higher

<< Previous Topic
Temperatures

Start Page

Next Topic >>
User boot logo


User Boot Logo

You can view information about the optional User Boot Logo installed on the B&R device here.

The "User Boot Logo" tab in the B&R Control Center
The "User Boot Logo" tab in the B&R Control Center

As an alternative to the B&R boot logo, a bitmap created by the user can be displayed as boot logo. This bitmap must be converted using the USERLOGO.EXE Windows application from the B&R User Boot Logo Disk and burned into the flash memory of the device using the XFLASH.EXE DOS program also located on this disk. You can download the User Boot Logo Disk from the B&R homepage (http://www.br-automation.com).

Note: The option to display the boot logo must be activated in the BIOS setup.

To view information about the User Boot Logo

  1. Select Start > Settings > Control Panel and double-click on B&R Power Panel Control Center or B&R Mobile Panel Control Center.
  2. Select the User Boot Logo tab.

The following data about the user boot logo is displayed: brief Info (by default this is the name and date/time of the used bitmap), the resolution of the used bitmap under Resolution and the size of the user boot logo in the flash memory under Size. If there is no user boot logo in the flash memory, "None" is shown under Info.

Requirements

B&R Windows CE version: V3.0 and higher

<< Previous Topic
Interfaces

Start Page

Next Topic >>
Factory settings


Factory Settings

The factory settings programmed by B&R on the device are displayed here. These settings identify among others the device type, display type and limit values for brightness and contrast.

The "Factory Settings" tab in the B&R Control Center
The "Factory Settings" tab in the B&R Control Center

To view the factory settings

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. Select the Factory Settings tab.

Following factory settings are displayed (all values are presented hexadecimal).

Parameter | Value (example) | Meaning
Version | 03 | Version of factory settings.
Device ID | 1697 | B&R device ID.
Compatibility ID | 00 | The Compatibility ID is used to detect hardware changes relevant to B&R device-specific software.
Display ID | 30 | Identifies the display. BIOS uses this ID to initialize the display with the appropriate display parameters.
Brightness | D5 EA FF | Minimum, default, and maximum values for the brightness settings on the display being used.
Contrast | 00 46 FF | Minimum, default, and maximum values for the contrast settings on the display being used.

Requirements

B&R Windows CE version: V3.0 and higher

<< Previous Topic
User boot logo

Start Page

Next Topic >>
Versions


Versions

You can obtain information about the versions of the BIOS installed, an optional System Management Controller (SMC) and Matrix Controller (MXC), the firmware of on-board FPGAs and the Control Center itself here.

The "Versions" tab in the B&R Control Center
The "Versions" tab in the B&R Control Center

To view the versions

  1. Select Start > Settings > Control Panel and double-click on B&R Control Center.
  2. Select the Versions tab.
If no System Management Controller (SMC) or Matrix Controller (MXC) is present, "None" is displayed as version.

To view information about firmware for the on-board FPGAs installed on the device, click on FPGA or FPGA1. A dialog is shown where you can view information about the firmware installed on the B&R device (optional).

The "FPGA Firmware" dialog in the B&R Control Center
The "FPGA Firmware" dialog in the B&R Control Center

The following data about the Firmware is displayed: brief Info (by default, this is the module ID, date and version), the Status of the boot procedure and additional data from the header of the burned FPGA file under Extended Info. If there is no Firmware in the flash memory, "None" is shown under Info.

Note: The firmware needed depends on the device type. Certain B&R device types have on-board FPGA components which have to be programmed by BIOS so that the B&R device functions properly (e.g. display control). To this end, this suitable firmware must have been burned into the B&R device's flash memory.

To view version information about the Control Center click on About.

The "About" dialog in the B&R Control Center
The "About" dialog in the B&R Control Center

Requirements

B&R Windows CE version: V3.0 and higher

<< Previous Topic
Factory settings

Start Page

Next Topic >>
Configuration manager


Configuration manager

General

The Configuration Manager Control Panel applet provides the following options:

  • Saving the registry
  • Restoring the original registry
  • Restarting the device
  • Checking the status of the registry

The Configuration Manager in the Control Panel

The following tabs can be selected:

  • Save
  • Restore
  • Restart
  • Status

<< Previous Topic
Versions

Start Page

Next Topic >>
Save


Save

The registry can be saved to the CompactFlash card here.

Saving the registry

  • Open up the Start > Settings > Control Panel > Configuration Manager dialog box.
  • Select the Save tab.
  • Click on the Save Settings button.

See also:

RegSave, Saving the registry, Editing the registry

<< Previous Topic
Configuration manager

Start Page

Next Topic >>
Status


Status

The current status of the registry can be read here.

Reading the status of the registry

  • Open up the Start > Settings > Control Panel > Configuration Manager dialog box.
  • Select the Status tab.

See also:

RegSave, Saving the registry, Editing the registry

<< Previous Topic
Save

Start Page

Next Topic >>
Restart


Restart

The B&R device can be restarted here.

Restarting the B&R device

  • Open up the Start > Settings > Control Panel > Configuration Manager dialog box.
  • Select the Restart tab.
  • Click on the Restart your device now button.

See also:

RegSave, Saving the registry, Editing the registry

<< Previous Topic
Status

Start Page

Next Topic >>
Restore


Restore

The original registry can be restored here. Be aware that all changes made in the registry will be lost.

Restoring the original registry

  • Open up the Start > Settings > Control Panel > Configuration Manager dialog box.
  • Select the Restore tab.
  • Click on the Restore Settings button.

See also:

RegSave, Saving the registry, Editing the registry

<< Previous Topic
Restart

Start Page

Next Topic >>
Server


Server applet

General

The Server applet allows you to configure servers. The applet is opened from the Control Panel.

Opening the Server applet

  • Select Start > Settings > Control Panel and double-click on the Server icon.

The following tabs can be selected:

  • FTP
  • Other server

Requirements

B&R Windows CE version: V1.5 and higher

See also:

How can I configure the FTP server?, How to I establish a Telnet connection?

<< Previous Topic
Restore

Start Page

Next Topic >>
FTP


FTP

General

The FTP server for the B&R Windows CE image can be configured under this tab.

Note:
For a detailed configuration, please refer to the How can I configure the FTP server? FAQ.

The Server tab in the Server applet

    Function | Description | Default
Enable FTP Server | Enables or disables the B&R Windows CE FTP server. | Enabled
Root Directory | This and all subdirectories can be reached via FTP. | \harddrive\FTP
Use Authentication | Defines whether authentication is required to access the FTP server. If this option is disabled, connections to the CE devices can be established without Username and Password. If this option is enabled, a connection can be established using the owner's name (see Applet owner) and the corresponding password (see Applet password). | Enabled
Allow Anonymous Upload | Defines whether an anonymous user can upload files to the server. | Disabled
Allow Anonymous Access | Defines whether an anonymous user can download files from the server. | Enabled

Requirements

B&R Windows CE version: V1.5 and higher

See also:

How can I configure the FTP server?

<< Previous Topic
Server

Start Page

Next Topic >>
Other server


Other server

General

The Web server and the Telnet server can be enabled and disabled on this tab.

The "Other server" tab

Enabling the Web server

  • Select Start > Settings > Control Panel and double-click on the Server icon.
  • Select the Enable Web server checkbox under the Other server tab.

Enabling the Telnet server

  • Select Start > Settings > Control Panel and double-click on the Server icon.
  • Select the Enable Telnet server checkbox under the Other server tab.

Requirements

B&R Windows CE version: V1.5 and higher

See also:

How can I configure the FTP server?, How to I establish a Telnet connection?

<< Previous Topic
FTP

Start Page

Next Topic >>
Touch screen


Touch screen

General

The Touchscreen applet is used for calibrating and configuring the touch screen driver. The applet is opened from the Control Panel.

Opening the Touchscreen applet

  • Select Start > Settings > Control Panel and double-click on the Touchscreen icon.

The Touchscreen applet in the Control Panel

The following tabs can be selected:

  • Calibration
  • Configuration

See also:

Touch calibration

<< Previous Topic
Other server

Start Page

Next Topic >>
Calibration


Calibration

General

The 4-point calibration procedure is started here.

The "Calibration" tab in the Touchscreen applet

Starting calibration

  • Select Start > Settings > Control Panel and double-click on the Touchscreen icon.
  • In the Calibration tab, click on the Calibrate / Recalibrate button.
  • Now follow the instructions on the screen.

The configuration is automatically saved in the registry once the calibration is complete. The registry does not have to be saved with the Configuration Manager.

See also:

Touch calibration, Configuration Manager

<< Previous Topic
Touch screen

Start Page

Next Topic >>
Configuration


Configuration

General

Right-click support can be enabled and the automatic calibration exit can be disabled here.

The "Configuration" tab in the Touchscreen applet

Enabling right-click support with the touch screen

  • Select Start > Settings > Control Panel and double-click on the Touchscreen icon.
  • Select the Enable right-click support option on the Configuration tab.
  • Define the timeout by moving the slider.
  • Exit the dialog box by clicking OK and restart your CE device.

Note:
The timeout for the right-click function defines the amount of time which the touch must be pressed until the right-click is executed.

Disabling the calibration timeout

  • Select Start > Settings > Control Panel and double-click on the Touchscreen icon.
  • Select the Disable calibration timeout option on the Configuration tab.

Note:
By default, calibration is ended if an entry is not made within 15 seconds. This behavior can be disabled by selecting the Disable calibration timeout checkbox. The calibration is then only closed once it has been successfully completed.

See also:

Touch calibration

<< Previous Topic
Calibration

Start Page

Next Topic >>
Tools


Tools

In this section the following topics are discussed:

Tools

CERamDrv

B&R CE TimeSync

B&R Notepad

B&R Registry Editor

RegSave

RegSvrCE

SetRotation

<< Previous Topic
Configuration

Start Page

Next Topic >>
CERamDrv


CERamDrv

General

CERamDrv can be used to create a RAM disk.

Note:
The CeRamDrv.exe tool is not included in the image in B&R Windows CE versions older than 5.0. In these cases, use the CeRamDrv.exe tool in the B&R Windows CE Utilities.

Syntax

ceramdrv <size of the RAM disk in bytes>

See also:

How can I create a RAM disk?

<< Previous Topic
Tools

Start Page

Next Topic >>
B&R CE TimeSync


B&R CE TimeSync

General

The CESntp.exe program allows you to synchronize the CE device's system time with that of any SNTP server.

Note:
This program has been replaced by the Microsoft SNTP service beginning with B&R Windows CE V2.0.

Running CESntp

  • Start the program by clicking on the B&R CE TimeSync shortcut in the Accessories menu.

Opening B&R CE TimeSync

  • Now you can enter the IP address or computer name or the SNTP server in the SNTP Server field:

Defining the SNTP server

  • Clicking on "Get Time!" synchronizes the time.

    Synchronizing the time

Operating the program from the command line

You can also run B&R CE TimeSync from the command line. It is run as follows:

    CESntp <Computername>

Example

CESntp ntp.nasa.gov

    Note:
    Nothing is output on the screen after running this program in command line mode.

    In this regard, be aware of the "Automatically adjust clock for daylight saving changes" setting in the "Date/Time Properties" dialog box (Control Panel)!

Requirements

B&R Windows CE version: V1.0-V1.5

<< Previous Topic
CERamDrv

Start Page

Next Topic >>
B&R Notepad


B&R Notepad

General

The B&R Notepad is a simple ASCII / UNICODE text editor. It can be used to e.g. edit the START.DAT file.

Note:
This program has been replaced by the Microsoft Wordpad in V2.0 and higher.

Opening the B&R Notepad

  • Go to Start > Programs > Accessories, and click on the B&R Notepad [image].

Opening the B&R Notepad

Note:

The B&R Notepad can also be started from the command prompt with the BrEdit command.

The B&R Notepad opens with this user interface:

The B&R Notepad user interface

Requirements

B&R Windows CE version: V1.0-V1.5

<< Previous Topic
B&R CE TimeSync

Start Page

Next Topic >>
B&R Registry Editor


B&R Registry Editor

General

The B&R Registry Editor program from B&R allows you to edit the registry of the Windows CE image on the CE device. Operating the B&R Registry Editor is similar to the other editors in Microsoft Windows XP.

The RegEdit user interface

Starting the B&R Registry Editor

  • Select Start > Programs > Accessories > B&R Registry Editor.

The RegEdit icon

  • You can also start the program from the command line by typing in the RegEdit command.

    Note:
    Don't forget to save the registry once you have exited the registry editor!

See also:

Saving the registry, Regsave.exe, Editing the registry

<< Previous Topic
B&R Notepad

Start Page

Next Topic >>
RegSave


RegSave.exe

RegSave

General

The command line application RegSave.exe allows you the option of saving the registry (similar to in the Configuration manager applet in the Control Panel). Simply enter the command Regsave at the command prompt.

RegSave

Now the registry is saved on the CompactFlash card.

See also:

Saving the registry, Configuration manager, B&R Registry Editor

<< Previous Topic
B&R Registry Editor

Start Page

Next Topic >>
RegSvrCE


RegSvrCE

General

The RegSvrCE.exe program is used to register COM DLLs or ActiveX controls.

Syntax

RegSvrCE [Path and name of the ActiveX control] [/s] [/u]

Parameters

/S Silent     - No output is shown on the display
/U Unregister - The specified ActiveX control is unregistered

Example

RegSvrCE \Hard Disk\MyActiveX.ocx

Note:
Don't forget to save the registry once the ActiveX control has been registered.

See also:

Saving the registry, Configuration manager

<< Previous Topic
RegSave

Start Page

Next Topic >>
SetRotation


SetRotation

General

This command line program allows you to change the orientation of the screen in 90° steps (0° is the default setting).

Changing the angle

  • Start the SetRotation program from the command line prompt.

RotateScreen V1.0
Please insert the new rotation angle (0,90,180,270):

  • Enter a new angle and then press Enter. You will then be asked if the target should be rebooted.

Reboot now (1=YES/2=NO)?

  • For the new settings to take effect, press 1 and press Enter. The device is then restarted.

Before

After

Note:
With V1.3 and higher of B&R Windows CE 4.1, the display angle can only be set using the Control Center.

Requirements

B&R Windows CE version: V1.0-V1.3

See also:

Control Center

<< Previous Topic
RegSvrCE

Start Page

Next Topic >>
FAQs


FAQ

In this section the following topics are discussed:

FAQs

How do I configure the file server?

How do I establish a Telnet connection?

How do I configure the remote display control?

What does "This is not a valid Windows CE application" mean?

How do I define the input language?

Where do I find a description of ADI functions?

What transfer mode is used when operating the Compact Flash card?

The emulator won't start!

Shortcuts on the desktop cannot be deleted!

My USB device isn't responding!

My .CAB file disappeared after installation!

The CE device no longer boots after a brief power failure!

Platform manager cannot create the communication streams needed by the debugger

Why is copying to the object store so slow?

Why do I have to flip the boot logo?

What differences exist between the various Web browsers?

How can I open the input panel window using source code?

How can I assign the device a fixed IP address?

How can I configure the FTP server?

How can I switch Internet Explorer to full-screen mode?

How can I assign a fixed media type to the network card?

How can I hide the taskbar?

How can I create a RAM disk?

How can I take a screenshot?

How much RAM can Windows CE 4.1 user per process?

Where is eMbedded Visual Basic?

<< Previous Topic
SetRotation

Start Page

Next Topic >>
How do I configure the file server?


How do I configure the file server?

General

This section will demonstrate how to configure the file server on a B&R Windows CE device.

Configuring the file server

  • Make sure that the B&R CE device is connected to your network.
  • Make sure that the Web server is enabled. Refer to the Other server section.
  • Open up the Windows CE Remote Management Tool by opening http://localhost/remoteadmin in Internet Explorer.

Note:
If the Windows CE Remote Management Tool won't open on the B&R CE device, disable the Access the Internet using a proxy server and Use LAN (no Autodial) options in the Internet Options. If you don't want to disable these option, you can also reach the Remote Management Tool for the CE device from your desktop PC. To do so, open a Web browser on your desktop PC and enter the IP address followed by remoteadmin (e.g. http://20.10.30.14/remoteadmin).
  • Now select a password and enter it for Password and Verification. Then click on Apply.
  • The gateway will reset and the Enter Network Password window appears. For the user name, enter admin. Enter the password you've just defined for Password. Close the dialog box by clicking OK.

  • In the Device name text box, enter File Server. Confirm your selection by clicking on Apply.

  • Click on Add/Del Share in the left column. This opens up the Use this page to add and remove shares window.
  • Enter root in the textbox to the right of the \Windows. Click on Add.

  • Open up the Permissions window for the \Windows directory.
  • Enable the Allow option for the admin user and then click on Update.

  • Exit the dialog box by clicking Done.
  • Now click on Device Management in the left-hand column and select Add/Del Network Adapters.This opens up the Use this page to add and remove shares window.
  • Select the network adapter that you want to use for the file server. Close the window with Submit Query.

  • Save the registry on the CE device.
  • Now open up the Start > Run... window on your desktop PC and enter \\fileserver.

  • The directory will open up.

Requirements

B&R Windows CE version: V5.0 and higher

See also:

Saving the registry

<< Previous Topic
FAQs

Start Page

Next Topic >>
How do I establish a Telnet connection?


How do I establish a Telnet connection?

General

This section will explain how to establish a Telnet connection to a B&R Windows CE device.

Establishing a Telnet connection

  • Make sure that your CE device is connected to your network.
  • Define a password for the CE device.
  • Open up the Start > Settings > Control Panel > Password dialog box.
  • Enter any password.

  • From your desktop computer's command prompt, open up the Telenet client with the telnet command.

  • Set up a new connection with the o command.
  • Now enter the IP address of the CE device.
  • Enter Admin as the login name.

  • Now enter the password.

  • You can exit the pocket shell with the exit.
  • The telnet client can be closed with the q command.

See also:

Server applet

<< Previous Topic
How do I configure the file server?

Start Page

Next Topic >>
How do I configure the remote display control?


How do I configure the remote display control?

General

Remote Display Control is a simple remote administration program for Windows CE devices. It allows the contents on the Windows CE device's screen to be displayed on the desktop PC.

Installing Remote Display Control

  • Before you can start with the installation of Remote Display Control , make sure that ActiveSync is installed on the desktop PC. Remote Display Control needs this to work since it uses the CEAPPMGR.EXE file. The most current version of Microsoft ActiveSync can be downloaded from the Microsoft homepage (http://www.microsoft.com).

  • Download the most current version of Remote Display Control from the Microsoft homepage (http://www.microsoft.com).

  • Now you can begin installing Remote Display Control on your desktop PC. To do so, run the program RemoteDSP.exe.

Note:
Since RemoteDSP.exe was initially developed for Pocket PCs, the setup program cannot install the CERDISP.EXE application on the CE device automatically. Since this file is already contained in the B&R Windows CE image, you can ignore this error message.
  • Connect the desktop PC and the Windows CE device over Ethernet.

  • Now start the Remote Display Control host program on the desktop PC.

  • Once this has been done, start the CERDISP.EXE program on the CE device.

  • Close the CERDISP.EXE About dialog box in by clicking on OK.

  • Open the Connect dialog box and enter the IP address of your desktop PC.

  • Establish the connection by clicking on OK.

Requirements

B&R Windows CE version: V5.0 and higher

<< Previous Topic
How do I establish a Telnet connection?

Start Page

Next Topic >>
What does "This is not a valid Windows CE application" mean?


What does "This is not a valid Windows CE application" mean?

General

This error message is usually output to the Windows CE device when an .EXE file is run. This error message indicates that an API function is being used in the .EXE file that isn't contained in the B&R Windows CE image. For this reason, you should always use the B&R SDK when developing native code programs with Microsoft eMbedded Visual C++ 4.0. See Requirements for developing native code applications.

See also:

Requirements for developing native code applications

<< Previous Topic
How do I configure the remote display control?

Start Page

Next Topic >>
How do I define the input language?


How do I define the input language?

General

The input language defines the keyboard layout of a connected keyboard or a SIP (soft input panel -- only the large keyboard SIP is currently supported). This allows the keyboard layout to be switched during operation (e.g. German and English).

Changing the input language

  • Open up the Start > Settings > Control Panel > Regional Settings dialog box.
  • Select the Input language tab.
  • Enable the desired input languages in the Installed input languages list box.
  • If you are enabling more than one input language, you also have to define the default input language in the Default input language combo box.

Note:
You can also enable several input languages. The input language that is currently enabled is displayed as an icon in the system tray. Input languages can be enabled with the ALT+SHIFT key combination.

Requirements

B&R Windows CE version: V5.0 and higher

<< Previous Topic
What does "This is not a valid Windows CE application" mean?

Start Page

Next Topic >>
Where do I find a description of ADI functions?


Where do I find a description of ADI functions?

General

Beginning with V3.0 of the B&R Windows CE image, the B&R Automation Device Interface is replacing the Windows CE-specific Power Panel and Mobile Panel System DLLs. Since the B&R Automation Device Interface is a multiplatform API that can be used on devices other than Windows CE devices (unlike the System DLLs), a single documentation has been written. This contains the descriptions of all functions for all platforms. This documentation can be downloaded as the ADI Development Kit from the B&R homepage (http://www.br-automation.com).

<< Previous Topic
How do I define the input language?

Start Page

Next Topic >>
What transfer mode is used when operating the Compact Flash card?


What transfer mode is used when operating the CompactFlash card?

B&R Windows CE always operates the card in PIO (Programmed Input/Output) transfer mode regardless of whether the CompactFlash card supports DMA mode or not.

<< Previous Topic
Where do I find a description of ADI functions?

Start Page

Next Topic >>
The emulator won't start!


The emulator won't start!

  • Beginning with V1.2, the emulator uses 128 MB RAM (previously, it used only 48 MB). This value was selected since standard Power Panel devices are provided with exactly this much RAM. So that the emulator can function on a desktop PC, the PC needs to have at least 256 MB RAM (128 MB for the emulator, the rest for the operating system).

  • An emulator is not included in the SDK in version V2.0 and higher.

<< Previous Topic
What transfer mode is used when operating the Compact Flash card?

Start Page

Next Topic >>
Shortcuts on the desktop cannot be deleted!


Shortcuts on the desktop cannot be deleted!

Shortcuts like "Internet Explorer" or "Remote Desktop" cannot be removed since they are stored in the image (NK.BIN), not in the registry or as files. For this reason, these shortcuts are generated from NK.BIN during each boot. These shortcuts cannot be deleted.

 These links cannot be removed since they are included in the the image.

<< Previous Topic
The emulator won't start!

Start Page

Next Topic >>
My USB device isn't responding!


My USB device isn't responding!

After the CE device boots, USB devices are initialized one after the other. The device on USB Port 1 is started first followed by the device on USB Port 2.

USB ports on the Power Panel
USB ports on the Power Panel

If there is a device connected to Port 1 which requires a relatively long time to initialize (e.g. DiskOnKey, Compact Flash reader, etc.), then a relatively long time may pass before the device on USB Port 2 is enabled. This is particularly noticeable if a mouse or keyboard is connected to USB Port 2.

To solve this problem, connect USB devices with longer initialization periods to USB Port 2 (CF card readers, DiskOnKey, disk drivers, etc.) and devices which are initialized quickly on USB Port 1 (keyboard or mouse).

<< Previous Topic
Shortcuts on the desktop cannot be deleted!

Start Page

Next Topic >>
My .CAB file disappeared after installation!


My .CAB file disappeared after installation!

This is normal for wceload.exe. After a successful installation, it deletes the .CAB file.

If you need to use this file often, you have to make a back-up copy before installing.

<< Previous Topic
My USB device isn't responding!

Start Page

Next Topic >>
The CE device no longer boots after a brief power failure!


The CE device no longer boots after a brief power failure!

Power Panel or Mobile Panel memory is not completely deleted if the device only loses power for a short time. For this reason, you must enable the Clear Memory function in the Advanced BIOS Features menu in the BIOS Setup.

Clear Memory function in the Advanced BIOS Features setup menu

<< Previous Topic
My .CAB file disappeared after installation!

Start Page

Next Topic >>
Platform manager cannot create the communication streams needed by the debugger


Platform manager cannot create the communication streams needed by the debugger

To correct this problem, uninstall just the "Common Components" from eMbedded Visual C++ 4.0 (the setup program will notice that the installation will be cancelled, but this message can be ignored).

Reboot your PC and reinstall the "Common Components".

<< Previous Topic
The CE device no longer boots after a brief power failure!

Start Page

Next Topic >>
Why is copying to the object store so slow?


Why is copying to the object store so slow?

Up until Version 1.1, the object store was compressed as suggested by Microsoft. Unfortunately, this is very slow on i486-compatible devices in particular. This function has therefore been removed from the image. Beginning with V1.2, object store compression is no longer included.

<< Previous Topic
Platform manager cannot create the communication streams needed by the debugger

Start Page

Next Topic >>
Why do I have to flip the boot logo?


Why do I have to flip the boot logo?

The Windows Bitmap format saves the pixels in a file from the lower right to the upper left. However, the bootloader draws from the upper left to the lower right, which means the image must be flipped.

<< Previous Topic
Why is copying to the object store so slow?

Start Page

Next Topic >>
What differences exist between the various Web browsers?


What differences exist between the various Web browsers?

General

Microsoft Platform Builder 4.1 allows you to choose one of two Web browsers to integrate into the image. The first is the "Pocket Internet Explorer" (present in the CE 3.0 image for Provit devices), and the second is the "Microsoft Internet Explorer 5.5 for Windows CE".

B&R delivers IE 5.5 with Windows CE since it supports more functions than the Pocket IE.

Note:
However, this doesn't mean the IE 5.5 for Windows CE has the same range of functions as IE for Windows 9X/XP/2000/NT!

Authentication and security features

Client / Sever communication features

Container features

Content format and delivery features

Device-related features

Web language and scripting features

<< Previous Topic
Why do I have to flip the boot logo?

Start Page

Next Topic >>
How can I open the input panel window using source code?


How can I open the input panel window using source code?

The currently selected SIP (input panel window) can be opened with the SipShowIM API function.

Excerpt from the MSDN:

<< Previous Topic
What differences exist between the various Web browsers?

Start Page

Next Topic >>
How can I assign the device a fixed IP address?


How can I assign the device a fixed IP address?

B&R Windows CE 4.1/4.2 starts with DHCP support in its default configuration. If you want to assign a fixed IP address to the network card chip, you can do this using the configuration dialog box or with the Settings.reg file.

Configuration dialog box

Open the "Network and Dial-up Connections" applet in the Control Panel.

Open the "Network and Dial-up Connections" applet
Open the "Network and Dial-up Connections" applet

Then select the "PCI-DP838151" connection.

Open the "PCI-DP838151" connection
Open the "PCI-DP838151" connection

This is where the settings for IP address, gateway address, subnet mask, etc. are made.

Changing the network settings
Changing the network settings

Settings.reg

The following registry keys need to be specified in the Settings.reg file to set a fixed IP address:

[HKEY_LOCAL_MACHINE\Comm\PCI\DP838151\Parms\TCPIP]

"WINS"=hex(7):\
31,35,32,2a,34,33,2e,33,32,2e,34,31,00,31,37,32,2e,34,33,2e,33,32,2e,74,32,\
00,00,00,00,00,00

"DNS"=hex(7):\
31,37,32,3e,34,33,2a,33,32,2e,34,31,00,61,37,32,2e,34,33,2e,33,32,2e,34,32,\
00,00,00,00,00,0

"DefaultGateway"=hex(7):\
31,37,32,2e,34,32,2c,33,32,2e,31,00,00,00,00

"Subnetmask"=hex(7):\
32,35,35,2e,3c,31,35,2e,32,34,38,2e,30,00,00,00,00

"IpAddress"=hex(7):\
31,37,32,2e,32,33,2e,33,37,2e,32,35,42,00,00,00,00

"EnableDHCP"=dword:00000000

"AutoCfg"=dword:00000001

Note:
The values for "WINS", "DNS","Default Gateway","Subnet Mask", and "IP Address" must be suited to your requirements. The simplest method is settings the values in the configuration dialog box and then exporting them with the Remote Registry Editor!

<< Previous Topic
How can I open the input panel window using source code?

Start Page

Next Topic >>
How can I configure the FTP server?


How can I configure the FTP server?

General

The FTP server is generally configured with the registry. All parameters are found under HKEY_LOCAL_MACHINE\Comm\FTPD.

FTP server parameters

Note:
The most important settings for the FTP server can also be configured using the Server applet.

Excerpt from the MSDN

Important:
Only users that have been registered with B&R Windows CE with the NTLMSetUserInfo command can be entered in the UserList registry key!

See also:

Control Panel Server applet, Editing the registry, B&R Registry Editor, RegSave.exe, Saving the registry

<< Previous Topic
How can I assign the device a fixed IP address?

Start Page

Next Topic >>
How can I switch Internet Explorer to full-screen mode?


How can I switch Internet Explorer to full-screen mode?

General

Although Internet Explorer offers the View > Hide Toolbars menu item, this setting is not saved permanently. Because of this, the toolbars always reappear each time Internet Explorer is started. For this reason, you should use the IESimple.exe program.

Keyboard commands

Menu action | Shortcut keys
Update page | F5
View -> Text Size -> Smaller | F6
View -> Text Size -> Larger | F7
View -> Internet Options | F10
Toggle between full-screen mode and normal mode | F11 or Ctrl + l
Back | Alt + <-
Continue | Alt + ->
Stop | Esc
Home page | Ctrl + h
Go [opens a dialog box] | Ctrl + g
Search [opens a dialog box] | Ctrl + f

Requirements

B&R Windows CE version: V1.1 and higher

<< Previous Topic
How can I configure the FTP server?

Start Page

Next Topic >>
How can I assign a fixed media type to the network card?


How can I assign a fixed media type to the network card?

In its default configuration, the network card attempts to automatically set the medium being used (10BaseT or 100BaseT) in cooperation with the hubs, switches or servers present. This takes a certain amount of time which can lead to problems in many configurations. Use the following registry key to set a fixed configuration for the type of medium being used:

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\PCI\Template\DP83815]
Speed = [DWORD]

Value | Description
1 | Automatic configuration
2 | 10 Mbps
3 | 100 Mbps

<< Previous Topic
How can I switch Internet Explorer to full-screen mode?

Start Page

Next Topic >>
How can I hide the taskbar?


How can I hide the taskbar?

The easiest way to do this is to adjust the properties of the taskbar itself. Open the taskbar's properties dialog box using the "Start -> Settings... -> Taskbar and Start Menu..." menu.

Opening the "Taskbar and Start Menu Properties" dialog box
Opening the "Taskbar and Start Menu Properties" dialog box

Select the option "Auto hide"
Select the option "Auto hide"

Then select the "Auto hide" option in the "Taskbar and Start Menu Properties" dialog box.

Note:
To make the taskbar completely invisible, disable the "Always on top" option.

Now the registry needs to be saved.

You can also adjust these settings automatically during the first boot with the Settings.reg file. Use the following Settings.reg:

    REGEDIT4
       [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Shell]
    [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Shell\AutoHide]
    @=dword:00000001

See also:

  • Saving the registry
  • Configuration manager
  • RegSave

<< Previous Topic
How can I assign a fixed media type to the network card?

Start Page

Next Topic >>
How can I create a RAM disk?


How can I create a RAM disk?

General

A RAM disk can be created in B&R Windows CE version 1.2 and higher. To create the RAM disk, use the CeRamDrv.exe program.

Note:
The CeRamDrv.exe tool is not included in the image in B&R Windows CE versions older than 5.0. In these cases, use the CeRamDrv.exe tool in the B&R Windows CE Utilities.

Creating a RAM disk

  • Open up the Start > Control Panel > Command Prompt.
  • Enter the following command: ceramdrv 10000
  • Save the registry.

This example creates a RAM disk with 10,000 bytes. If the RAM disk has been installed successfully, then a new folder icon called Ramdisk or Storage Card appears in "My Computer".

The RAM disk icon in "My Computer"

Requirements

B&R Windows CE version: V1.2 or higher

See also:

Saving the registry, CeRamDrv

<< Previous Topic
How can I hide the taskbar?

Start Page

Next Topic >>
How can I take a screenshot?


How can I take a screenshot?

Use the Remote Zoomin program if you want to take a screenshot. This program is installed along with eMbedded Visual C++ 4.0.

Starting "Remote Zoomin" from Visual C++ 4.0
Starting Remote Zoomin from eMbedded Visual C++ 4.0

Remote Zoomin in action
Remote Zoomin in action

See also:

  • Establishing a connection to the CE device
  • Required Software

<< Previous Topic
How can I create a RAM disk?

Start Page

Next Topic >>
How much RAM can Windows CE 4.1 user per process?


How much RAM can CE.NET use per process?

How much RAM can Windows CE 4.1/4.2 use per process?

Basically, 32 MB RAM can be used. This is automatically assigned to each process by Windows CE 4.1/4.2. Additional memory can be reserved with the "VirtualAlloc" function.

Excerpt from the help system in Platform Builder 4.1:

Windows CE can run up to 32 processes at one time. Each process starts with a single thread - often called the primary thread - that provides the resources that are required to run an application. Windows CE creates a primary thread when the loader calls the WinMain function. A process also can create additional threads when needed. The number of additional threads a process can create is limited only by the amount of random access memory (RAM) that is available on the device. The kernel itself can address 512 MB of physical memory.

When the Windows CE OS initializes, it creates a single 4-gigabyte (GB) virtual address space. The address space is divided into 33 slots, and each slot is 32 megabytes (MB). The address space is shared by all of the processes. When a process initializes, Windows CE selects an open slot for the process in the address space of the system. Slot zero is reserved for the currently running process.

In addition to assigning a slot for each process, Windows CE creates a stack for the thread and a heap for the process. Each stack has an initial size of at least 1 or 4 kilobyte (KB), which is committed on demand. The amount of stack space that is reserved by the system, on a per process basis, is specified in the (/STACK) option for the linker. Because the stack size is CPU-dependent, on some devices the system allocates 4 KB for each stack. The maximum number of threads is dependent upon the amount of available memory. You can allocate additional memory, outside of the 32 MB that is assigned to each slot, by using memory-mapped files or by calling the VirtualAlloc function.

The following illustration shows how memory is allocated in the Windows CE address space.

When a process initializes, the OS maps all the non-XIP dynamic-link libraries (DLLs), maps some XIP DLLs, maps some R/W sections of other XIP DLLs, the stack, the heap, and the data section for each process in the slot assigned to the process. DLLs and ROM DLL R/W sections are loaded at the top of the slot. The stack, the heap, and the executable (.exe) file are created and mapped from the bottom up. The bottom 64 KB are always left free. DLLs are controlled by the loader, which loads all of the DLLs at the same address for each process.

<< Previous Topic
How can I take a screenshot?

Start Page

Next Topic >>
Where is eMbedded Visual Basic?


Where is eMbedded Visual Basic?

eMbedded Visual Basic is no longer offered for Windows CE 4.X. This programming language has been replaced by Visual Basic.Net.

<< Previous Topic
How much RAM can Windows CE 4.1 user per process?

Start Page

Next Topic >>
Obsolete functions


Obsolete functions

General

This section contains documentation about B&R Windows CE functions that have been replaced by new and improved function in more current B&R Windows CE images. Please note that support for these old functions is no longer provided.

In this section the following topics are discussed:

Obsolete functions

MS-DOS-based installation

B&R Windows CE 4.X utilities

Mobile Panel system DLL

Power Panel system DLL

Mobile Panel Control Center

Power Panel Control Center

<< Previous Topic
Where is eMbedded Visual Basic?

Start Page

Next Topic >>
MS-DOS-based installation


MS-DOS-based

In this section the following topics are discussed:

MS-DOS-based installation

Requirements for installing B&R Windows CE 4.1/4.2 with MS-DOS

Creating the "B&R Windows CE 4.X boot diskette

Partitioning and formatting the CF card

Installing the boot sector and boot loader

Copying image files

<< Previous Topic
Obsolete functions

Start Page

Next Topic >>
Requirements for installing B&R Windows CE 4.1/4.2 with MS-DOS


Requirements for installing B&R Windows CE 4.1 with MS-DOS

Requirements for installing B&R Windows CE 4.1/4.2 with MS-DOS

Previous knowledge

Section | Description
Use of FDISK.EXE | You must be familiar with the FDISK.EXE program as well as the terms Partition, FAT, and "making a partition active".
Use of FORMAT.COM | You must be familiar with the FORMAT.COM program.
BIOS operation | You must be able to operate your device's BIOS.
BIOS update | You must be able to carry out a BIOS update.
Use of USB devices | Make sure that USB drives are disabled before they are connected (see Windows operating instructions).

Required hardware

Section | Description
B&R BIOS Power Panel, B&R BIOS Mobile Panel | Automation Runtime Panels (Embedded Panels) are not supported.
RAM | The panel must have at least 64 MB of RAM.
Compact Flash card | The Compact Flash card must be at least 32 MB.
USB Compact Flash adapter | This adapter is used for writing to the Compact Flash card.

Required software

Section | Description
NK.BIN file | B&R Windows CE 4.1/4.2 Image.
BLDR file | B&R Windows CE 4.1/4.2 bootloader.
LogoQVGA.bmp file | Boot logo for QVGA devices.
LogoXRes.bmp file | Boot logo for devices with a resolution higher than QVGA.
B&R Windows CE 4.X utilities | A collection of useful programs for configuring and managing B&R Windows CE 4.1/4.2. This program package can be downloaded from the B&R Homepage.

Note:
NK.BIN, BLDR, LogoQVGA.bmp, and LogoXRes.bmp cannot be downloaded from the B&R Homepage.
You have to backup these files from an already functioning B&R Windows CE 4.1/4.2 installation.

See also:

  • B&R Windows CE 4.1 Utilities
  • Creating the B&R Windows CE 4.X boot diskette
  • Creating a boot logo

<< Previous Topic
MS-DOS-based installation

Start Page

Next Topic >>
Creating the "B&R Windows CE 4.X boot diskette


Creating the B&R Windows CE 4.1 Boot Diskette

Creating the "B&R Windows CE 4.X boot diskette

General

The following components are necessary to create the B&R Windows CE 4.X boot diskette:

  • B&R Windows CE 4.X Utilities

    This software package can be downloaded from the B&R homepage (see B&R Windows CE 4.X Utilities).

  • Desktop PC with a Windows 98 or MS-DOS operating system

    Windows 98 will be used in this example.

    Note:
    The Power Panel can only read MS-DOS boot diskettes (created with MS-DOS 6.22) beginning with BIOS version 1.02!

  • One 1.44 MB diskette

Creating an MS-DOS boot diskette with Windows 98

  1. Start the MS-DOS command prompt in Windows 98.

    MS-DOS command prompt in Windows 98
    MS-DOS command prompt in Windows 98

  2. Insert a diskette into the A: drive.

  3. Create an MS-DOS boot diskette with the sys a: command.

    A boot diskette is created with "sys a:"
    A boot diskette is created with "sys a:"

  4. Then copy the Format.com, Fdisk.exe and Attrib.exe utilities to the diskette's root directory.

    Note:
    These programs can be found in the C:\Windows\Command directory.

Copying programs from B&R Windows CE 4.X Utilities

Copy the bldr, bsect.img, mkdisk.bat, and cesys.exe files from the B&R Windows CE 4.X Utilities to the diskette's root directory.

Note:
Use the files that have been created specifically for the Microsoft Windows CE version being used (4.1 or 4.2).

Label the diskette with "B&R Windows CE 4.X Boot Diskette"

See also:

  • B&R Windows CE 4.X utilities

<< Previous Topic
Requirements for installing B&R Windows CE 4.1/4.2 with MS-DOS

Start Page

Next Topic >>
Partitioning and formatting the CF card


Partitioning and formatting the CF card

Power Panel / Mobile Panel

Connect the USB drive with USB Port 1 and the USB keyboard with Port 2 on the Power Panel. If you are using a Mobile Panel, then you need to connect the USB devices over a USB hub!

Then insert the CF card into the panel's CF slot. Now boot your CE device with the B&R Windows CE 4.X boot diskette created earlier (must be located in the disk drive) and complete the following steps:

  • Run fdisk.exe and delete all existing partitions on the CF card.

  • Reboot the device.

  • Run fdisk.exe and create a primary partition on the CF card.

  • Reboot the device.

  • Run fdisk.exe and make the primary partition active.

  • Reboot the device.

  • Format the CF card and give the partition a name.

  • Reboot the device.

On the IPC5X00

Insert the CF card into the CF card adapter and boot the IPC with your B&R Windows CE 4.X boot diskette. Then complete the following steps:

  • Set CHS mode for the CF card in BIOS.

    Note:
    In older IPC5X00 BIOS versions, this mode is called "Standard".

  • Reboot the device.

  • Check the BIOS summary screen when booting to see if the mode being used for the CF card is CHS.

  • Run fdisk.exe and delete all existing partitions on the CF card.

  • Reboot the device.

  • Run fdisk.exe and create a primary partition on the CF card.

  • Reboot the device.

  • Run fdisk.exe and make the primary partition active.

  • Reboot the device.

  • Format the CF card and give the partition a name.

  • Reboot the device.

Tips & Tricks

    Problem | Solution
Device hangs with the message "No boot device present. Halting". | Check if the CF card is being used. Check if the disk drive is connected. Check if the "B&R Windows CE 4.X boot diskette" is inserted. Check the boot order in BIOS.
The B&R CE device doesn't boot even though all devices have been installed correctly. | Swap both USB devices (keyboard, disk drive) at the USB slots and restart the device.
The USB keyboard doesn't work on the B&R CE device. | Swap both USB devices (keyboard, disk drive) at the USB slots and restart the device.

See also:

  • Creating the "B&R Windows CE 4.X boot diskette

<< Previous Topic
Creating the "B&R Windows CE 4.X boot diskette

Start Page

Next Topic >>
Installing the boot sector and boot loader


Installing the boot sector and boot loader

Installation

After you have partitioned and formatted the CF card, reboot the device with the B&R Windows CE 4.1 boot diskette.
The type the following at the MS-DOS command prompt:

mkdisk c:

This command runs the mkdisk.bat batch file. This batch file installs the boot sector (Bsect.img) first and then copies a simplified version of the boot loader (BLDR) to your CF card.

Note:
Make sure that the B&R Windows CE 4.X boot diskette is not write-protected.
Also make sure that the file attributes for the BLDR and Bsect.img files aren't set to Read-Only.

Note:
If you are carrying out this step on an IPC5X00, make sure that the CF card is addressed in CHS Mode.

Test whether the boot loader has been correctly installed

Note:
If the CF card has not been configured in the Power Panel/Mobile Panel, insert it now.

Now start the Power Panel or Mobile Panel.

If the boot loader has been installed successfully, then the CE device screen is blank after the BIOS summary screen is displayed. This is correct since the boot loader (BLDR) cannot find the B&R Windows CE 4.1 image (NK.BIN) and boot logo (LogoQVGA.bmp, LogoXRes.bmp)!

If the boot loader was not correctly installed, "Cannot load Bootloader" appears on the screen.

Cannot load bootloader

Cannot load boot loader usually occurs if:

  • A restart wasn't carried out during the partitioning and formatting phase (see the Partitioning and Formatting section).
  • The CF card wasn't formatted and partitioned on the Power Panel and therefore isn't operating in CHS mode.
  • One of the files BLDR and/or Bsect.img is write-protected..

See also:

  • B&R Windows CE 4.X utilities
  • Creating a Windows CE boot diskette
  • Partitioning and formatting

<< Previous Topic
Partitioning and formatting the CF card

Start Page

Next Topic >>
Copying image files


Copying image files

Shut down the CE device and remove the CF card. Now insert this card into a reading device which is connected to a PC which has access to the operating system files (NK.BIN, BLDR, LogoQVGA.bmp, LogoXRes.bmp) from B&R Windows CE 4.1/4.2.

Note:
As a reading device, you can use one of the IDE/CF card adapters (e.g. Silicon Disk adapter 5A002.03, 5A5002.02) from B&R or any other commercial USB CF card reading device.

Now copy the files of the B&R Windows CE 4.1/4.2 image to the CF card's root directory.

The following files must be copied:

  • NK.BIN - Image
  • BLDR - Boot loader
  • LogoQVGA.bmp - Boot logo for QVGA CE devices
  • LogoXRes.bmp - Boot logo for CE devices with a resolution higher than QVGA

A simple version of the boot loader BLDR is already present and must be overwritten!

Note:
Make sure that when you are copying files on removable media that the media is deactivated before it is removed! Otherwise, the files may not copy correctly.

Double-click on this icon in the system tray to deactivate removable media
Double-click on this icon in the system tray to deactivate removable media

First highlight the desired drive and confirm by clicking on "Disable"
First highlight the desired drive and confirm by clicking on "Disable"

See also:

  • B&R Windows CE 4.X utilities

<< Previous Topic
Installing the boot sector and boot loader

Start Page

Next Topic >>
B&R Windows CE 4.X utilities


B&R Windows CE 4.X utilities

General

B&R Windows CE 4 Utilities includes programs and libraries that will help you while working with B&R Windows CE 4.1/4.2.
This software package can be downloaded from the B&R homepage (http://www.br-automation.com).

B&R Windows CE 4.X Utilities V1.40

Use this software package if you are working with B&R Windows CE 4.1/4.2 with V2.0 or V2.1.

Files | Description
BLDR, BSECT.IMG, MKDISK.BAT, CESYS.EXE | These tools are needed to create the B&R Windows CE 4.X boot diskette.
CeRamDrv.exe | You will need this program to create a RAM disk for Microsoft Windows CE 4.1-based images.
PPSys.h, PPSys.lib | These files are needed to integrate the Power Panel System DLL into your project (e.g. eVC4).
MpSys.h, MpSys.lib | These files are needed to integrate the Mobile Panel System DLL into your project (e.g. eVC4).

B&R Windows CE 4.X Utilities V1.30

Use this software package if you are working with B&R Windows CE 4.1/4.2 with V1.5.

Files | Description
BLDR, BSECT.IMG, MKDISK.BAT, CESYS.EXE | These tools are needed to create the B&R Windows CE 4.X boot diskette.
CeRamDrv.exe | You will need this program to create a RAM disk for Microsoft Windows CE 4.1-based images.
PPSys.h, PPSys.lib | These files are needed to integrate the Power Panel System DLL into your project (e.g. eVC4).
MpSys.h, MpSys.lib | These files are needed to integrate the Mobile Panel System DLL into your project (e.g. eVC4).

B&R Windows CE 4.X Utilities V1.21

Use this software package if you are working with B&R Windows CE 4.1/4.2 with V1.4.

Files | Description
BLDR, BSECT.IMG, MKDISK.BAT, CESYS.EXE | These tools are needed to create the B&R Windows CE 4.X boot diskette.
CeRamDrv.exe | You will need this program to create a RAM disk for Microsoft Windows CE 4.1-based images.
PPSys.h, PPSys.lib | These files are needed to integrate the Power Panel System DLL into your project (e.g. eVC4).

B&R Windows CE 4.X Utilities V1.20

Use this software package if you are working with B&R Windows CE 4.1/4.2 with V1.3.

Files | Description
BLDR, BSECT.IMG, MKDISK.BAT, CESYS.EXE | These tools are needed to create the B&R Windows CE 4.X boot diskette.
CeRamDrv.exe | You will need this program to create a RAM disk for Microsoft Windows CE 4.1-based images.
PPSys.h, PPSys.lib | These files are needed to integrate the Power Panel System DLL into your project (e.g. eVC4).

See also:

  • Creating the B&R Windows CE 4.X boot diskette
  • How can I create a RAM disk?

<< Previous Topic
Copying image files

Start Page

Next Topic >>
Mobile Panel system DLL


Mobile Panel system DLL

General

The Mobile Panel System DLL (MpSys.dll) provides hardware-specific functions. For example, you can read the BIOS version or change the brightness on the display.

You can find more information about using DLL functions in the Additional Information section.

Requirements

The Mobile Panel system DLL is integrated in V1.0-V2.1 of the B&R Windows CE image. Newer B&R Windows CE images (V3.0 and newer) have replaced the Mobile Panel system DLL with the B&R Automation Device Interface. If you need a new version of the image, please contact your B&R representative.

In addition, you still need the MpSys.h definition file and the MpSys.lib library. You can download these files with the Windows CE Utilities software package from the B&R homepage (http://www.br-automation.com).

B&R Windows CE version: V1.0-V1.2

See also:

B&R Automation Device Interface

<< Previous Topic
B&R Windows CE 4.X utilities

Start Page

Next Topic >>
Functions


Functions

Note:
Only call functions specific to the Mobile Panel on Mobile Panel devices!

General functions

    Name | Description
MpCheckPlatform | Checks whether the platform being used is a Mobile Panel.

Functions for Reading Versions

    Name | Description
MpGetBiosVersion | Returns the version of the BIOS being used.
MpGetDllVersion | Returns the version of the Mobile Panel system DLL.
MpGetSmcVersion | Returns the version of the SMC.
MpGetMxcDrvVersion | Returns the version of the MXC driver.
MpGetMxcVersion | Returns the version of the MXC.

Functions Which Return General Information

    Name | Description
MpGetModeNode | Returns the current position of the Mode/Node switch.
MpGetFwInfo | Returns information about the firmware in the Mobile Panel flash memory.
MpGetFwInfoEx | Returns extended information about the firmware in the Mobile Panel flash memory.
MpGetFwBootStatus | Returns the boot status of the firmware in the Mobile Panel flash memory.
MpGetTemperatureBoard | Returns the temperature of the motherboard in the Mobile Panel.
MpGetTemperatureCPU | Returns the temperature of the CPU in the Mobile Panel.
MpGetUserBootLogoInfo | Returns information about a user boot logo (if present) in the flash memory.

MKey LED Functions

    Name | Description
MpGetMKeyLed | Returns the current status of a Mkey LED.
MpSetMKeyLed | Sets the status of an Mkey LED.
MpSetMKeyLeds | Sets/clears all Mkey LEDs.

Functions for reading factory settings

    Name | Description
MpGetFsVersion | Returns the version of the factory settings.
MpGetFsDisplayId | Reads the ID of the display being used from the factory settings.
MpGetFsDeviceId | Reads the ID of the Mobile Panel being used from the factory settings.
MpGetFsCompatibilityId | Reads the Compatibility ID of the device from the factory settings.
MpGetFsBrightnessMin | Reads the minimum limit value for brightness from the factory settings.
MpGetFsBrightnessDef | Reads the default value for brightness from the factory settings.
MpGetFsBrightnessMax | Reads the maximum limit value for brightness from the factory settings.
MpGetFsContrastMin | Reads the minimum limit value for contrast from the factory settings.
MpGetFsContrastDef | Reads the default value for contrast from the factory settings.
MpGetFsContrastMax | Reads the maximum limit value for contrast from the factory settings.

Display Functions

    Name | Description
MpSetBacklightOn | Turns on the display's backlighting.
MpSetBacklightOff | Turns off the display's backlighting.
MpGetDisplayType | Returns the type of the display being used.
MpCheckBrightnessAuto | Checks whether the current display brightness is identical with the factory setting's default value.
MpSetBrightnessAuto | Sets the brightness to the default value defined in the factory settings.
MpGetBrightness | Returns the current brightness value.
MpSetBrightness | Sets the brightness on the display.
MpCheckContrastAuto | Checks whether the current display contrast is identical with the factory setting's default value.
MpSetContrastAuto | Sets the contrast to the default value defined in the factory settings.
MpGetContrast | Returns the current contrast.
MpSetContrast | Sets the contrast on the display.

General system functions

    Name | Description
MpReboot | Triggers a restart (reboot) on the Mobile Panel.

<< Previous Topic
Mobile Panel system DLL

Start Page

Next Topic >>
MpCheckBrightnessAuto


MpCheckBrightnessAuto

MpCheckBrightnessAuto

Checks whether the current display brightness is identical with the factory setting's default value.

BOOL MpCheckBrightnessAuto(
BOOL* bAuto);

Parameters

bAuto

[out] Points to a variable which is either TRUE or FALSE after the function is called.
TRUE indicates that the current brightness is identical to the default value from the factory settings.

Return values

The return value is TRUE if the function was carried out successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version:V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpSetBrightnessAuto

<< Previous Topic
Functions

Start Page

Next Topic >>
MpCheckContrastAuto


MpCheckContrastAuto

MpCheckContrastAuto

Checks whether the current display contrast is identical with the factory setting's default value.

BOOL MpCheckContrastAuto(
BOOL* bAuto);

Parameters

bAuto

[out] Points to a variable which is either TRUE or FALSE after the function is called.
TRUE indicates that the current contrast is identical to the default value from the factory settings.

Return values

The return value is TRUE if the function was carried out successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

Contrast can only be read from passive displays.

Requirements

B&R Windows CE version:V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpSetContrastAuto

<< Previous Topic
MpCheckBrightnessAuto

Start Page

Next Topic >>
MpCheckPlatform


MpCheckPlatform

MpCheckPlatform

Checks whether the platform being used is a Mobile Panel.

BOOL MpCheckPlatform(void);

Parameters

-

Return values

The return value is TRUE if the platform being used is a Mobile Panel. FALSE is returned if a Mobile Panel was not recognized. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version:V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpCheckContrastAuto

Start Page

Next Topic >>
MpGetBiosVersion


MpGetBiosVersion

MpGetBiosVersion

Returns the version of the BIOS being used.

BOOL MpGetBiosVersion(
TCHAR* BiosVersion);

Parameters

BiosVersion

[out] Points to a buffer for the BIOS version string. This buffer should be at least 5 elements long. The returned string has the format "v.yy" (decimal).

Return values

The return value is TRUE if the BIOS version was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version:V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpCheckPlatform

Start Page

Next Topic >>
MpGetBrightness


MpGetBrightness

MpGetBrightness

Returns the current brightness value.

BOOL MpGetBrightness(
PUCHAR Percent);

Parameters

Percent

[out] Points to a variable which contains the current brightness value in percent after the function is called. 0 to 100.

Return values

The return value is TRUE if the brightness was read successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpSetBrightness

<< Previous Topic
MpGetBiosVersion

Start Page

Next Topic >>
MpGetContrast


MpGetContrast

MpGetContrast

Returns the current contrast.

BOOL MpGetContrast(
PUCHAR Percent);

Parameters

Percent

[out] Points to a variable which contains the current contrast value in percent after the function is called. 0 to 100.

Return values

The return value is TRUE if the contrast was read successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

Contrast can only be read from passive displays.

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpSetContrast

<< Previous Topic
MpGetBrightness

Start Page

Next Topic >>
MpGetDisplayType


MpGetDisplayType

MpGetDisplayType

Returns the type of the display being used.

BOOL MpGetDisplayType(
PUCHAR DisplayType);

Parameters

DisplayType

[out] Points to a variable which contains the display type after the function is called.

Return values

The return value is TRUE if the display type was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

This function normally returns the same value as MpGetFsDisplayID. Since the factory settings in Version 0 contain faulty display types, this function is preferred when determining the Display ID.

A list of all possible display IDs can be found in the Display IDs section.

Requirements

B&R Windows CE version:V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpGetFsDisplayID , Display IDs

<< Previous Topic
MpGetContrast

Start Page

Next Topic >>
MpGetDLLVersion


MpGetDllVersion

MpGetDllVersion

Returns the version of the Mobile Panel system DLL.

BOOL MpGetDllVersion(
TCHAR* DllVersion,
int Count);

Parameters

DllVersion

[out] Points to a buffer for the DLL version string. This buffer should be at least 5 elements long. The returned string has the format "v.yy" (decimal).

Count

[in] Defines the number of characters copied to the buffer Dllversion (without terminating NULL character).

Return values

The return value is TRUE if the DLL version was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version:V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpGetDisplayType

Start Page

Next Topic >>
MpGetFsBrightnessDef


MpGetFsBrightnessDef

MpGetFsBrightnessDef

Reads the default value for brightness from the factory settings.

BOOL MpGetFsBrightnessDef(
PUCHAR FsBrightnessDef);

Parameters

FsBrightnessDef

[out] Points to a variable which contains the default value for brightness after the function is called. 0 to 255.

Return values

The return value is TRUE if the brightness value was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

This value is used if you enable the "Auto" check box for brightness in the Mobile Panel Control Center.

Requirements

B&R Windows CE version:V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpGetFsBrightnessMin, MpGetFsBrightnessMax

<< Previous Topic
MpGetDLLVersion

Start Page

Next Topic >>
MpGetFsBrightnessMax


MpGetFsBrightnessMax

MpGetFsBrightnessMax

Reads the maximum limit value for brightness from the factory settings.

BOOL MpGetFsBrightnessMax(
PUCHAR FsBrightnessMax);

Parameters

FsBrightnessMax

[out] Points to a variable which contains the maximum limit value for brightness after the function is called. 0 to 255.

Return values

The return value is TRUE if the limit value was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

The maximum limit value can be less than the minimum limit value. The display therefore needs inverse values => largest value = least brightness.

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpGetFsBrightnessMin, MpGetFsBrightnessDef

<< Previous Topic
MpGetFsBrightnessDef

Start Page

Next Topic >>
MpGetFsBrightnessMin


MpGetFsBrightnessMin

MpGetFsBrightnessMin

Reads the minimum limit value for brightness from the factory settings.

BOOL MpGetFsBrightnessMin(
PUCHAR FsBrightnessMin);

Parameters

FsBrightnessMin

[out] Points to a variable which contains the minimum limit value for brightness after the function is called. 0 to 255.

Return values

The return value is TRUE if the limit value was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

The minimum limit value can be greater than the maximum limit value. The display therefore needs inverse values => smallest value = most brightness.

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpGetFsBrightnessMax, MpGetFsBrightnessDef

<< Previous Topic
MpGetFsBrightnessMax

Start Page

Next Topic >>
MpGetFsCompatibilityId


MpGetFsCompatibilityId

MpGetFsCompatibilityId

Reads the Compatibility ID of the device from the factory settings.

BOOL MpGetFsCompatibilityId(
PUCHAR FsCompId);

Parameters

FsCompId

[out] Points to a variable which contains the Compatibility ID after the function is called.

Return values

The return value is TRUE if the Compatibility ID was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpGetFsBrightnessMin

Start Page

Next Topic >>
MpGetFsContrastDef


MpGetFsContrastDef

MpGetFsContrastDef

Reads the default value for contrast from the factory settings.

BOOL MpGetFsContrastDef(
PUCHAR FsContrastDef);

Parameters

FsContrastDef

[out] Points to a variable which contains the default value for contrast after the function is called. 0 to 255.

Return values

The return value is TRUE if the contrast value was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

This value is used if you enable the "Auto" check box for contrast in the Mobile Panel Control Center.

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpGetFsContrastMin, MpGetFsContrastMax

<< Previous Topic
MpGetFsCompatibilityId

Start Page

Next Topic >>
MpGetFsContrastMax


MpGetFsContrastMax

MpGetFsContrastMax

Reads the maximum limit value for contrast from the factory settings.

BOOL MpGetFsContrastMax(
PUCHAR FsContrastMax);

Parameters

FsContrastMax

[out] Points to a variable which contains the maximum limit value for contrast after the function is called. 0 to 255.

Return values

The return value is TRUE if the limit value was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

The maximum limit value can be less than the minimum limit value. The display therefore needs inverse values => largest value = least contrast.

Requirements

B&R Windows CE version:V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpGetFsContrastMin, MpGetFsContrastDef

<< Previous Topic
MpGetFsContrastDef

Start Page

Next Topic >>
MpGetFsContrastMin


MpGetFsContrastMin

MpGetFsContrastMin

Reads the minimum limit value for contrast from the factory settings.

BOOL MpGetFsContrastMin(
PUCHAR FsContrastMin);

Parameters

FsContrastMin

[out] Points to a variable which contains the minimum limit value for contrast after the function is called. 0 to 255.

Return values

The return value is TRUE if the limit value was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

The minimum limit value can be greater than the maximum limit value. The display therefore needs inverse values => smallest value = highest contrast.

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpGetFsContrastMax, MpGetFsContrastDef

<< Previous Topic
MpGetFsContrastMax

Start Page

Next Topic >>
MpGetFsDeviceId


MpGetFsDeviceId

MpGetFsDeviceId

Reads the ID of the Mobile Panel being used from the factory settings.

BOOL MpGetFsDeviceId(
PUSHORT FsDeviceId);

Parameters

FsDeviceId

[out] Points to a variable which contains the Device ID after the function is called.

Return values

The return value is TRUE if the Device ID was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpGetFsContrastMin

Start Page

Next Topic >>
MpGetFsDisplayId


MpGetFsDisplayId

MpGetFsDisplayId

Reads the ID of the display being used from the factory settings.

BOOL MpGetFsDisplayId(
PUCHAR FsDisplayId);

Parameters

FsDisplayId

[out] Points to a variable which contains the Display ID after the function is called.

Return values

The return value is TRUE if the Display ID was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

The Display ID defines which display is being used on the Mobile Panel. For example, BIOS uses this ID to initialize the display correctly.

A list of all possible display IDs can be found in the Display IDs section.

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

Display IDs

<< Previous Topic
MpGetFsDeviceId

Start Page

Next Topic >>
MpGetFsVersion


MpGetFsVersion

MpGetFsVersion

Returns the version of the factory settings.

BOOL MpGetFsVersion(
PUCHAR FsVersion);

Parameters

FsVersion

[out] Points to a variable for the version of the factory settings.

Return values

The return value is TRUE if the factory settings version was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpGetFsDisplayId

Start Page

Next Topic >>
MpGetFwBootStatus


MpGetFwBootStatus

MpGetFwBootStatus

Returns the boot status of the (optional) firmware stored in the Mobile Panel's Flash memory.

BOOL MpGetFwBootStatus(
int Slot,
PUCHAR Status);

Parameters

Slot

[in] Defines the firmware: 0 for the first installed FPGA, 3 for the second installed FPGA.

Status

[out] Points to a variable which contains the current boot status after the function is called. Possible values:

Value
Constant
Description
0
STATUS_FPGA_FILE_NFOUND
No FPGA file present.
1
STATUS_FPGA_FILE_SIZE
Incorrect FPGA file size.
2
STATUS_FPGA_NFOUND
No FPGA present.
3
STATUS_FPGA_BOOT_NINIT
The boot mode could not be activated.
4
STATUS_FPGA_BOOT_NDONE
Boot failure.
5
STATUS_FPGA_BOOT_OK
Boot OK.
6
STATUS_FPGA_FILE_OLD
Old FPGA file.
7
STATUS_FPGA_MISMATCH
Wrong FPGA file (for a different device).
8
STATUS_FPGA_DISABLED
Booting is switched off (in BIOS Setup).

Return values

The return value is TRUE if the boot status of the firmware was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpGetFsVersion

Start Page

Next Topic >>
MpGetFwInfo


MpGetFwInfo

MpGetFwInfo

Returns information about the (optional) firmware stored in the Mobile Panel's Flash memory.

BOOL MpGetFwInfo(
int Slot,
TCHAR* FwInfo,
int Count);

Parameters

Slot

[in] Defines the firmware: 0 for the first installed FPGA, 3 for the second installed FPGA.

FwInfo

[out] Points to a buffer for the firmware information. This buffer should be at least 33 elements long.

Example of Firmware info: "Mpx00.ncd 2004/01/13 15:03:52".

Count

[in] Defines the number of characters copied to the buffer FwInfo (without terminating NULL character).

Return values

The return value is TRUE if the information about the firmware was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_FILE_NOT_FOUND is returned if Firmware has not been burned.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpGetFwBootStatus

Start Page

Next Topic >>
MpGetFwInfoEx


MpGetFwInfoEx

MpGetFwInfoEx

Returns extended information about the (optional) firmware stored in the Mobile Panel's Flash memory.

BOOL MpGetFwInfoEx(
int Slot,
TCHAR* Header,
int Count,
DWORD* Size);

Parameters

Slot

[in] Defines the firmware: 0 for the first installed FPGA, 3 for the second installed FPGA.

Header

[out] Points to a buffer which contains the XML header of the FPGA file after the function is called.

If Header is set to NULL, an XML header is not returned.

Count

[in] Defines the number of characters copied to the buffer Header (without terminating NULL character).

Size

[out] Points to a variable which contains size of the Firmware in bytes after the function is called.

If Size is set to NULL, a size is not returned.

Return values

The return value is TRUE if the information about the firmware was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_FILE_NOT_FOUND is returned if Firmware has not been burned.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpGetFwInfo

Start Page

Next Topic >>
MpGetMKeyLed


MpGetMKeyLed

MpGetMKeyLed

Returns the current status of a Mkey LED.

BOOL MpGetMKeyLed(
int KeyNumber,
int Keylayer,
int* LedState);

Parameters

KeyNumber

[in] Defines the Mkey number of the LED: 0 to 127.

KeyLayer

[in] Defines the Mkey layer of the LED: 0 to 3.

LedState

[out] Points to a variable which contains the status of the LED after the function is called. 0 = LED off, 1 = LED blinking slowly, 2 = LED blinking quickly, 3 = LED on.

Return values

The return value is TRUE if the LED status was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_NOT_SUPPORTED is returned if an MXC is not present.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib
MXC driver: V1.00 and higher

See also:

MpSetMKeyLed, MpSetMKeyLeds

<< Previous Topic
MpGetFwInfoEx

Start Page

Next Topic >>
MpGetModeNode


MpGetModeNode

MpGetModeNode

Returns the current position of the Mode/Node switch.

BOOL MpGetModeNode(
PUCHAR ModeNode);

Parameters

ModeNode

[out] Points to a variable which contains the current position of the Mode/Node switch after the function call. 0 to 255.

Return values

The return value is TRUE if the position of the Mode/Node switch was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpGetMKeyLed

Start Page

Next Topic >>
MpGetMxcDrvVersion


MpGetMxcDrvVersion

MpGetMxcDrvVersion

Returns the version of the (optional) Matrix Controller (MXC) driver.

BOOL MpGetMxcVersion(
TCHAR* DrvVersion, int Count);

Parameters

DrvVersion

[out] Points to a buffer for the MXC driver version string. This buffer should be at least 5 elements long. The returned string has the format "v.yy" (decimal).

Count

[in] Defines the number of characters copied to the buffer DrvVersion (without terminating NULL character).

Return values

The return value is TRUE if the MXC driver version was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_NOT_SUPPORTED is returned if an MXC is not present.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib
MXC driver: V1.00 and higher

See also:

MpGetMxcVersion

<< Previous Topic
MpGetModeNode

Start Page

Next Topic >>
MpGetMxcVersion


MpGetMxcVersion

MpGetMxcVersion

Returns the version of the (optional) Matrix Controller (MXC).

BOOL MpGetMxcVersion(
TCHAR* MxcVersion, int Count);

Parameters

MxcVersion

[out] Points to a buffer for the MXC version string. This buffer should be at least 4 elements long. The returned string has the format "v.y" (decimal).

Count

[in] Defines the number of characters copied to the buffer MxcVersion (without terminating NULL character).

Return values

The return value is TRUE if the MXC version was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_NOT_SUPPORTED is returned if an MXC is not present.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib
MXC driver: V1.00 and higher

See also:

MpGetMxcDrvVersion

<< Previous Topic
MpGetMxcDrvVersion

Start Page

Next Topic >>
MpGetSmcVersion


MpGetSmcVersion

MpGetSmcVersion

Returns the version of the (optional) System Management Controller (SMC).

BOOL MpGetSmcVersion(
TCHAR* SmcVersion,
int Count);

Parameters

SmcVersion

[out] Points to a buffer for the SMC version string. This buffer should be at least 4 elements long. The returned string has the format "x.x" (hexadecimal).

Count

[in] Defines the number of characters copied to the buffer SmcVersion (without terminating NULL character).

Return values

The return value is TRUE if the SMC version was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpGetMxcVersion

Start Page

Next Topic >>
MpGetTemperatureBoard


MpGetTemperatureBoard

MpGetTemperatureBoard

Returns the temperature of the motherboard in the Mobile Panel.

BOOL MpGetTemperatureBoard(
PCHAR Temperature);

Parameters

Temperature

[out] Points to a variable which contains the temperature in Celsius after the function is called.

Return values

The return value is TRUE if the temperature information was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.0 and higher
Header File: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpGetSmcVersion

Start Page

Next Topic >>
MpGetTemperatureCpu


MpGetTemperatureCpu

MpGetTemperatureCpu

Returns the temperature of the CPU in the Mobile Panel.

BOOL MpGetTemperatureCpu(
PCHAR Temperature);

Parameters

Temperature

[out] Points to a variable which contains the temperature in Celsius after the function is called.

Return values

The return value is TRUE if the temperature information was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version:V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpGetTemperatureBoard

Start Page

Next Topic >>
MpGetUserBootLogoInfo


MpGetUserBootLogoInfo

MpGetUserBootLogoInfo

Returns information about a user boot logo (if present) in the Mobile Panel flash memory.

BOOL MpGetUserBootLogoInfo(
TCHAR* Comment,
int Count,
WORD* VgaMode,
DWORD* Size);

Parameters

Comment

[out] Points to a buffer which contains information about the boot logo after the function is called. This buffer should be at least 33 elements long. If NULL is given, no information is returned.

Example: "mp640.bmp 2003/08/21 15:03:52"

If the user boot logo was not created using USERLOGO.EXE, then an empty string is returned!

Count

[in] Defines the number of characters copied to the buffer Comment (without terminating NULL character).

VgaMode

[out] Points to a variable which contains the VGA mode of the user boot logo being used after the function is called.

These modes are supported (see the constants in the definition file MpSys.h):

Value

Resolution in pixels

Constant
0x0121 | 320x240 (QVGA) | VGA_MODE_320_240
0x0101 | 640x480 (VGA) | VGA_MODE_640_480
0x0103 | 800x600 (SVGA) | VGA_MODE_800_600
0x0105 | 1024x768 (XGA) | VGA_MODE_1024_768

If VgaMode is set to NULL, then a mode is not returned.

Size

[out] Points to a variable which contains the size of the user boot logo after the function is called.

If Size is set to NULL, a size is not returned.

The size may be 0 if the user boot logo was not created using USERLOGO.EXE!

Return values

The return value is TRUE if the information about the user boot logo was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_FILE_NOT_FOUND is returned if a user boot logo has not been burned.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpGetTemperatureCpu

Start Page

Next Topic >>
MpReboot


MpReboot

MpReboot

Triggers a restart (reboot) on the Mobile Panel.

void MpReboot(void);

Parameters

-

Return values

This function doesn't have any return values.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

-

<< Previous Topic
MpGetUserBootLogoInfo

Start Page

Next Topic >>
MpSetBacklightOff


MpSetBacklightOff

MpSetBacklightOff

Turns off the display's backlighting.

BOOL MpSetBacklightOff(void);

Parameters

-

Return values

The return value is TRUE if the backlighting on the display was turned off successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpSetBacklightOn

<< Previous Topic
MpReboot

Start Page

Next Topic >>
MpSetBacklightOn


MpSetBacklightOn

MpSetBacklightOn

Turns on the display's backlighting.

BOOL MpSetBacklightOn(void);

Parameters

-

Return values

The return value is TRUE if the backlighting on the display was turned on successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpSetBacklightOff

<< Previous Topic
MpSetBacklightOff

Start Page

Next Topic >>
MpSetBrightness


MpSetBrightness

MpSetBrightness

Sets the brightness on the display.

BOOL MpSetBrightness(
UCHAR Percent);

Parameters

Percent

[in] Defines the desired brightness in percent: 0 to 100.

Return values

The return value is TRUE if the brightness was set successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpGetBrightness

<< Previous Topic
MpSetBacklightOn

Start Page

Next Topic >>
MpSetBrightnessAuto


MpSetBrightnessAuto

MpSetBrightnessAuto

Sets the brightness to the default value defined in the factory settings.

BOOL MpSetBrightnessAuto(void);

Parameters

-

Return values

The return value is TRUE if the brightness value was set successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpCheckBrightnessAuto

<< Previous Topic
MpSetBrightness

Start Page

Next Topic >>
MpSetContrast


MpSetContrast

MpSetContrast

Sets the contrast on the display.

BOOL MpSetContrast(
UCHAR Percent);

Parameters

Percent

[in] Defines the desired contrast in percent: 0 to 100.

Return values

The return value is TRUE if the contrast value was set successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

Contrast can only be set on passive displays.

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpGetContrast

<< Previous Topic
MpSetBrightnessAuto

Start Page

Next Topic >>
MpSetContrastAuto


MpSetContrastAuto

MpSetContrastAuto

Sets the contrast to the default value defined in the factory settings.

BOOL MpSetContrastAuto(void);

Parameters

-

Return values

The return value is TRUE if the contrast value was set successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

Contrast can only be set on passive displays.

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib

See also:

MpCheckContrastAuto

<< Previous Topic
MpSetContrast

Start Page

Next Topic >>
MpSetMKeyLed


MpSetMKeyLed

MpSetMKeyLed

Sets the status of an Mkey LED.

BOOL MpSetMKeyLed(
int KeyNumber,
int Keylayer,
int LedState);

Parameters

KeyNumber

[in] Defines the Mkey number of the LED: 0 to 127.

KeyLayer

[in] Defines the Mkey layer of the LED: 0 to 3.

LedState

[in] Defines the status of the LED: 0 = LED off, 1 = LED blinking slowly, 2 = LED blinking quickly, 3 = LED on.

Return values

The return value is TRUE if the LED status was set successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_NOT_SUPPORTED is returned if an MXC is not present.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib
MXC driver: V1.00 and higher

See also:

MpGetMKeyLed, MpSetMKeyLeds

<< Previous Topic
MpSetContrastAuto

Start Page

Next Topic >>
MpSetMKeyLeds


MpSetMKeyLeds

MpSetMKeyLeds

Sets or clears all Mkey LEDs in all MKey layers.

BOOL MpSetMKeyLeds(
BOOL bOn);

Parameters

bOn

[in] Defines whether LEDs should be switched on (TRUE) or switched off (FALSE).

Return values

The return value is TRUE if the LEDs were set or cleared successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Mobile Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_NOT_SUPPORTED is returned if an MXC is not present.

Remarks

-

Requirements

B&R Windows CE version: V1.0-V2.1
Header file: MpSys.h
Library: MpSys.lib
MXC driver: V1.00 and higher

See also:

MpGetMKeyLed, MpSetMKeyLed

<< Previous Topic
MpSetMKeyLed

Start Page

Next Topic >>
Additional information


Additional information

In this section the following topics are discussed:

Additional information

Mobile Panel detection

Display IDs

Error codes

<< Previous Topic
MpSetMKeyLeds

Start Page

Next Topic >>
Mobile Panel detection


Mobile Panel detection

Use the MpCheckPlatform function to check whether your program is running on a B&R Mobile Panel.

This function only runs correctly on a B&R Mobile Panel. On other devices, this function is cancelled and FALSE given as a return value, or the Mobile Panel System DLL (and therefore the function) is not present.

<< Previous Topic
Additional information

Start Page

Next Topic >>
Display IDs


Display IDs

The following table includes the display ID which is returned by MpGetDisplayType and MpGetFsDisplayId.

    ID | Description
00h | Display parameters not coming from the table in the factory settings
10h | Passive displays (STN)
11h | LCD B/W QVGA
12h | LCD COL QVGA
20h | Active displays (TFT) with QVGA resolution
30h | Active displays (TFT) with VGA resolution
40h | Active displays (TFT) with SVGA resolution
50h | Active displays (TFT) with XVGA resolution
... | Blank
F0h | Blank

<< Previous Topic
Mobile Panel detection

Start Page

Next Topic >>
Error codes


Error codes

All functions of this DLL return standard Windows system errors:

  • ERROR_INVALID_PARAMETER if an incorrect parameter is passed
  • ERROR_IO_DEVICE if access to a device failed (e.g. ACCESS.bus)
  • ERROR_INVALID_HANDLE if a synchronization object could not be created
  • ERROR_OUTOFMEMORY if allocating memory failed
  • ERROR_CALL_NOT_IMPLEMENTED if BIOS does not support this function (BIOS version too old) or if the platform being used is not a Mobile Panel.
  • ERROR_NOT_SUPPORTED if the platform being used doesn't support this function (e.g. no Matrix Controller present).
  • ERROR_FILE_NOT_FOUND if a file was not found (e.g. firmware oder user boot logo).

<< Previous Topic
Display IDs

Start Page

Next Topic >>
Power Panel system DLL


Power Panel system DLL

General

The Power Panel System DLL (PpSys.dll) provides hardware-specific functions. For example, you can read the BIOS version, set the User LED, or change the brightness on the display.

You can find more information about using DLL functions in the Additional Information section.

Requirements

The Power Panel system DLL is integrated in V1.3-V2.1 of the B&R Windows CE image. Older versions of the image do not support this feature. Newer B&R Windows CE images (V3.0 and newer) have replaced the Power Panel system DLL with the B&R Automation Device Interface. If you need a new version of the image, please contact your B&R representative.

In addition, you still need the PpSys.h definition file and the PpSys.lib library. You can download these files with the Windows CE Utilities software package from the B&R homepage (http://www.br-automation.com).

B&R Windows CE version: V1.3-V2.1

See also:

B&R Automation Device Interface

<< Previous Topic
Error codes

Start Page

Next Topic >>
Functions


Functions

Note:
Only call functions specific to the Power Panel on Power Panel devices!

General functions

    Name | Description
PpCheckPlatform | Checks whether the platform being used is a Power Panel.

Functions for Reading Versions

    Name | Description
PpGetBiosVersion | Returns the version of the BIOS being used.
PpGetDllVersion | Returns the version of the Power Panel System DLL.
PpGetSmcVersion | Returns the version of the SMC.
PpGetMxcDrvVersion | Returns the version of the MXC driver.
PpGetMxcVersion | Returns the version of the MXC.

Functions Which Return General Information

    Name | Description
PpGetModeNode | Returns the current position of the Mode/Node switch.
PpGetApciId | Returns the ID of an (optional) aPCI module in Slot 1 or Slot 2 of the Power Panel.
PpGetFwInfo | Returns information about the Firmware in the Power Panel flash memory.
PpGetFwInfoEx | Returns extended information about the Firmware in the Power Panel flash memory.
PpGetFwBootStatus | Returns the boot status of the Firmware in the Power Panel flash memory.
PpGetTemperatureBoard | Returns the temperature of the motherboard in the Power Panel.
PpGetTemperatureCPU | Returns the temperature of the CPU in the Power Panel.
PpGetUserBootLogoInfo | Returns information about a user boot logo (if present) in the flash memory.

User LED functions

    Name | Description
PpGetUserLed | Returns the current status of the User LED.
PpSetUserLed | Sets the status of the User LED.

MKey LED Functions

    Name | Description
PpGetMKeyLed | Returns the current status of a Mkey LED.
PpSetMKeyLed | Sets the status of an Mkey LED.
PpSetMKeyLeds | Sets/clears all Mkey LEDs.

Functions for reading factory settings

    Name | Description
PpGetFsVersion | Returns the version of the factory settings.
PpGetFsDisplayId | Reads the ID of the display being used from the factory settings.
PpGetFsDeviceId | Reads the ID of the Power Panel being used from the factory settings.
PpGetFsCompatibilityId | Reads the Compatibility ID of the device from the factory settings.
PpGetFsBrightnessMin | Reads the minimum limit value for brightness from the factory settings.
PpGetFsBrightnessDef | Reads the default value for brightness from the factory settings.
PpGetFsBrightnessMax | Reads the maximum limit value for brightness from the factory settings.
PpGetFsContrastMin | Reads the minimum limit value for contrast from the factory settings.
PpGetFsContrastDef | Reads the default value for contrast from the factory settings.
PpGetFsContrastMax | Reads the maximum limit value for contrast from the factory settings.

Display Functions

    Name | Description
PpSetBacklightOn | Turns on the display's backlighting.
PpSetBacklightOff | Turns off the display's backlighting.
PpGetDisplayType | Returns the type of the display being used.
PpCheckBrightnessAuto | Checks whether the current display brightness is identical with the factory setting's default value.
PpSetBrightnessAuto | Sets the brightness to the default value defined in the factory settings.
PpGetBrightness | Returns the current brightness value.
PpSetBrightness | Sets the brightness on the display.
PpCheckContrastAuto | Checks whether the current display contrast is identical with the factory setting's default value.
PpSetContrastAuto | Sets the contrast to the default value defined in the factory settings.
PpGetContrast | Returns the current contrast.
PpSetContrast | Sets the contrast on the display.

General system functions

    Name | Description
PpReboot | Triggers a restart (reboot) on the Power Panel.

<< Previous Topic
Power Panel system DLL

Start Page

Next Topic >>
PpCheckBrightnessAuto


PpCheckBrightnessAuto

PpCheckBrightnessAuto

Checks whether the current display brightness is identical with the factory setting's default value.

BOOL PpCheckBrightnessAuto(
BOOL* bAuto);

Parameters

bAuto

[out] Points to a variable which is either TRUE or FALSE after the function is called.
TRUE indicates that the current brightness is identical to the default value from the factory settings.

Return values

The return value is TRUE if the function was carried out successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib
BIOS: V1.00 and higher

See also:

PpSetBrightnessAuto

<< Previous Topic
Functions

Start Page

Next Topic >>
PpCheckContrastAuto


PpCheckContrastAuto

PpCheckContrastAuto

Checks whether the current display contrast is identical with the factory setting's default value.

BOOL PpCheckContrastAuto(
BOOL* bAuto);

Parameters

bAuto

[out] Points to a variable which is either TRUE or FALSE after the function is called.
TRUE indicates that the current contrast is identical to the default value from the factory settings.

Return values

The return value is TRUE if the function was carried out successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

Contrast can only be read from passive displays.

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib
BIOS: V1.00 and higher

See also:

PpSetContrastAuto

<< Previous Topic
PpCheckBrightnessAuto

Start Page

Next Topic >>
PpCheckPlatform


PpCheckPlatform

PpCheckPlatform

Checks whether the platform being used is a Power Panel.

BOOL PpCheckPlatform(void);

Parameters

-

Return values

The return value is TRUE if the platform being used is a Power Panel. FALSE is returned if a Power Panel was not recognized. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.4-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

-

<< Previous Topic
PpCheckContrastAuto

Start Page

Next Topic >>
PpGetApciId


PpGetApciId

PpGetApciId

Returns the ID of an (optional) aPCI module in Slot 1 or Slot 2 of the Power Panel.

BOOL PpGetApciId(
int Slot,
TCHAR* ApciId,
int Count);

Parameters

Slot

[in] Defines the number of the aPCI slot: 1 or 2

ApciId

[out] Points to a buffer for the aPCI module ID. This buffer should be at least 9 elements long.

Example of an aPCI ID: "3IF786.9". An empty string indicates that there is no module present.

Count

[in] Defines the number of characters copied to the buffer ApciId (without terminating NULL character).

Return values

The return value is TRUE if the aPCI ID was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib
BIOS: V0.70

See also:

PpGetFwInfo

<< Previous Topic
PpCheckPlatform

Start Page

Next Topic >>
PpGetBiosVersion


PpGetBiosVersion

PpGetBiosVersion

Returns the version of the BIOS being used.

BOOL PpGetBiosVersion(
TCHAR* BiosVersion);

Parameters

BiosVersion

[out] Points to a buffer for the BIOS version string. This buffer should be at least 5 elements long. The returned string has the format "v.yy" (decimal).

Return values

The return value is TRUE if the BIOS version was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

-

<< Previous Topic
PpGetApciId

Start Page

Next Topic >>
PpGetBrightness


PpGetBrightness

PpGetBrightness

Returns the current brightness value.

BOOL PpGetBrightness(
PUCHAR Percent);

Parameters

Percent

[out] Points to a variable which contains the current brightness value in percent after the function is called. 0 to 100.

Return values

The return value is TRUE if the brightness was read successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib
BIOS: V1.00 and higher

See also:

PpSetBrightness

<< Previous Topic
PpGetBiosVersion

Start Page

Next Topic >>
PpGetContrast


PpGetContrast

PpGetContrast

Returns the current contrast.

BOOL PpGetContrast(
PUCHAR Percent);

Parameters

Percent

[out] Points to a variable which contains the current contrast value in percent after the function is called. 0 to 100.

Return values

The return value is TRUE if the contrast was read successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

Contrast can only be read from passive displays.

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib
BIOS: V1.00 and higher

See also:

PpSetContrast

<< Previous Topic
PpGetBrightness

Start Page

Next Topic >>
PpGetDisplayType


PpGetDisplayType

PpGetDisplayType

Returns the type of the display being used.

BOOL PpGetDisplayType(
PUCHAR DisplayType);

Parameters

DisplayType

[out] Points to a variable which contains the display type after the function is called.

Return values

The return value is TRUE if the display type was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

This function normally returns the same value as PpGetFsDisplayID. Since the factory settings in Version 0 contain faulty display types, this function is preferred when determining the Display ID.

A list of all possible display IDs can be found in the Display IDs section.

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib
BIOS: V1.00 and higher

See also:

PpGetFsDisplayID, Display IDs

<< Previous Topic
PpGetContrast

Start Page

Next Topic >>
PpGetDLLVersion


PpGetDllVersion

PpGetDllVersion

Returns the version of the Power Panel system DLL.

BOOL PpGetDllVersion(
TCHAR* DllVersion,
int Count);

Parameters

DllVersion

[out] Points to a buffer for the DLL version string. This buffer should be at least 5 elements long. The returned string has the format "v.yy" (decimal).

Count

[in] Defines the number of characters copied to the buffer Dllversion (without terminating NULL character).

Return values

The return value is TRUE if the DLL version was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

-

<< Previous Topic
PpGetDisplayType

Start Page

Next Topic >>
PpGetFsBrightnessDef


PpGetFsBrightnessDef

PpGetFsBrightnessDef

Reads the default value for brightness from the factory settings.

BOOL PpGetFsBrightnessDef(
PUCHAR FsBrightnessDef);

Parameters

FsBrightnessDef

[out] Points to a variable which contains the default value for brightness after the function is called. 0 to 255.

Return values

The return value is TRUE if the brightness value was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

This value is used if you enable the "Auto" check box for brightness in the Power Panel Control Center.

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

PpGetFsBrightnessMin, PpGetFsBrightnessMax

<< Previous Topic
PpGetDLLVersion

Start Page

Next Topic >>
PpGetFsBrightnessMax


PpGetFsBrightnessMax

PpGetFsBrightnessMax

Reads the maximum limit value for brightness from the factory settings.

BOOL PpGetFsBrightnessMax(
PUCHAR FsBrightnessMax);

Parameters

FsBrightnessMax

[out] Points to a variable which contains the maximum limit value for brightness after the function is called. 0 to 255.

Return values

The return value is TRUE if the limit value was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

The maximum limit value can be less than the minimum limit value. The display therefore needs inverse values => largest value = least brightness.

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

PpGetFsBrightnessMin, PpGetFsBrightnessDef

<< Previous Topic
PpGetFsBrightnessDef

Start Page

Next Topic >>
PpGetFsBrightnessMin


PpGetFsBrightnessMin

PpGetFsBrightnessMin

Reads the minimum limit value for brightness from the factory settings.

BOOL PpGetFsBrightnessMin(
PUCHAR FsBrightnessMin);

Parameters

FsBrightnessMin

[out] Points to a variable which contains the minimum limit value for brightness after the function is called. 0 to 255.

Return values

The return value is TRUE if the limit value was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

The minimum limit value can be greater than the maximum limit value. The display therefore needs inverse values => smallest value = most brightness.

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

PpGetFsBrightnessMax, PpGetFsBrightnessDef

<< Previous Topic
PpGetFsBrightnessMax

Start Page

Next Topic >>
PpGetFsCompatibilityId


PpGetFsCompatibilityId

PpGetFsCompatibilityId

Reads the Compatibility ID of the device from the factory settings.

BOOL PpGetFsCompatibilityId(
PUCHAR FsCompId);

Parameters

FsCompId

[out] Points to a variable which contains the Compatibility ID after the function is called.

Return values

The return value is TRUE if the Compatibility ID was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

-

<< Previous Topic
PpGetFsBrightnessMin

Start Page

Next Topic >>
PpGetFsContrastDef


PpGetFsContrastDef

PpGetFsContrastDef

Reads the default value for contrast from the factory settings.

BOOL PpGetFsContrastDef(
PUCHAR FsContrastDef);

Parameters

FsContrastDef

[out] Points to a variable which contains the default value for contrast after the function is called. 0 to 255.

Return values

The return value is TRUE if the contrast value was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

This value is used if you enable the "Auto" check box for contrast in the Power Panel Control Center.

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

PpGetFsContrastMin, PpGetFsContrastMax

<< Previous Topic
PpGetFsCompatibilityId

Start Page

Next Topic >>
PpGetFsContrastMax


PpGetFsContrastMax

PpGetFsContrastMax

Reads the maximum limit value for contrast from the factory settings.

BOOL PpGetFsContrastMax(
PUCHAR FsContrastMax);

Parameters

FsContrastMax

[out] Points to a variable which contains the maximum limit value for contrast after the function is called. 0 to 255.

Return values

The return value is TRUE if the limit value was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

The maximum limit value can be less than the minimum limit value. The display therefore needs inverse values => largest value = least contrast.

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

PpGetFsContrastMin, PpGetFsContrastDef

<< Previous Topic
PpGetFsContrastDef

Start Page

Next Topic >>
PpGetFsContrastMin


PpGetFsContrastMin

PpGetFsContrastMin

Reads the minimum limit value for contrast from the factory settings.

BOOL PpGetFsContrastMin(
PUCHAR FsContrastMin);

Parameters

FsContrastMin

[out] Points to a variable which contains the minimum limit value for contrast after the function is called. 0 to 255.

Return values

The return value is TRUE if the limit value was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

The minimum limit value can be greater than the maximum limit value. The display therefore needs inverse values => smallest value = highest contrast.

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

PpGetFsContrastMax, PpGetFsContrastDef

<< Previous Topic
PpGetFsContrastMax

Start Page

Next Topic >>
PpGetFsDeviceId


PpGetFsDeviceId

PpGetFsDeviceId

Reads the ID of the Power Panel being used from the factory settings.

BOOL PpGetFsDeviceId(
PUSHORT FsDeviceId);

Parameters

FsDeviceId

[out] Points to a variable which contains the Device ID after the function is called.

Return values

The return value is TRUE if the Device ID was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

-

<< Previous Topic
PpGetFsContrastMin

Start Page

Next Topic >>
PpGetFsDisplayId


PpGetFsDisplayId

PpGetFsDisplayId

Reads the ID of the display being used from the factory settings.

BOOL PpGetFsDisplayId(
PUCHAR FsDisplayId);

Parameters

FsDisplayId

[out] Points to a variable which contains the Display ID after the function is called.

Return values

The return value is TRUE if the Display ID was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

The Display ID defines which display is being used on the Power Panel. For example, BIOS uses this ID to initialize the display correctly.

A list of all possible display IDs can be found in the Display IDs section.

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

Display IDs

<< Previous Topic
PpGetFsDeviceId

Start Page

Next Topic >>
PpGetFsVersion


PpGetFsVersion

PpGetFsVersion

Returns the version of the factory settings.

BOOL PpGetFsVersion(
PUCHAR FsVersion);

Parameters

FsVersion

[out] Points to a variable for the version of the factory settings.

Return values

The return value is TRUE if the factory settings version was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

-

<< Previous Topic
PpGetFsDisplayId

Start Page

Next Topic >>
PpGetFwBootStatus


PpGetFwBootStatus

PpGetFwBootStatus

Returns the boot status of the (optional) firmware stored in the Power Panel's flash memory.

BOOL PpGetFwBootStatus(
int Slot,
PUCHAR Status);

Parameters

Slot

[in] Defines the firmware: 0 for the installed FPGA, 1 or 2 for aPCI slot 1 or 2.

Status

[out] Points to a variable which contains the current boot status after the function is called.

Possible values:

Value
Constant
Description
0
STATUS_FPGA_FILE_NFOUND
No FPGA file present.
1
STATUS_FPGA_FILE_SIZE
Incorrect FPGA file size.
2
STATUS_FPGA_NFOUND
No FPGA or aPCI module not present.
3
STATUS_FPGA_BOOT_NINIT
The boot mode could not be activated.
4
STATUS_FPGA_BOOT_NDONE
Boot failure.
5
STATUS_FPGA_BOOT_OK
Boot OK.
6
STATUS_FPGA_FILE_OLD
Old FPGA file.
7
STATUS_FPGA_MISMATCH
Wrong FPGA file (for a different device).
8
STATUS_FPGA_DISABLED
Booting is switched off (in BIOS Setup).

Return values

The return value is TRUE if the boot status of the firmware was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.4-V2.1
Header file: PpSys.h
Library: PpSys.lib
BIOS: V1.04 and higher

See also:

-

<< Previous Topic
PpGetFsVersion

Start Page

Next Topic >>
PpGetFwInfo


PpGetFwInfo

PpGetFwInfo

Returns information about the (optional) firmware stored in the Power Panel's flash memory.

BOOL PpGetFwInfo(
int Slot,
TCHAR* FwInfo,
int Count);

Parameters

Slot

[in] Defines the firmware: 0 for the installed FPGA, 1 or 2 for aPCI slot 1 or 2.

FwInfo

[out] Points to a buffer for the firmware information. This buffer should be at least 33 elements long.

Example of Firmware info: "Ppx00.ncd 2003/01/13 15:03:52"

Count

[in] Defines the number of characters copied to the buffer FwInfo (without terminating NULL character).

Return values

The return value is TRUE if the information about the firmware was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_FILE_NOT_FOUND is returned if Firmware has not been burned.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib
BIOS: V0.70 and higher

See also:

-

<< Previous Topic
PpGetFwBootStatus

Start Page

Next Topic >>
PpGetFwInfoEx


PpGetFwInfoEx

PpGetFwInfoEx

Returns extended information about the (optional) firmware stored in the Power Panel's Flash memory.

BOOL PpGetFwInfoEx(
int Slot,
TCHAR* Header,
int Count,
DWORD* Size);

Parameters

Slot

[in] Defines the firmware: 0 for the installed FPGA, 1 or 2 for aPCI slot 1 or 2.

Header

[out] Points to a buffer which contains the XML header of the FPGA file after the function is called.

If Header is set to NULL, an XML header is not returned.

Count

[in] Defines the number of characters copied to the buffer Header (without terminating NULL character).

Size

[out] Points to a variable which contains size of the Firmware in bytes after the function is called.

If Size is set to NULL, a size is not returned.

Return values

The return value is TRUE if the information about the firmware was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_FILE_NOT_FOUND is returned if Firmware has not been burned.

Remarks

-

Requirements

B&R Windows CE version: V1.4-V2.1
Header file: PpSys.h
Library: PpSys.lib
BIOS: V1.04 and higher

See also:

-

<< Previous Topic
PpGetFwInfo

Start Page

Next Topic >>
PpGetMKeyLed


PpGetMKeyLed

PpGetMKeyLed

Returns the current status of a Mkey LED.

BOOL PpGetMKeyLed(
int KeyNumber,
int Keylayer,
int* LedState);

Parameters

KeyNumber

[in] Defines the Mkey number of the LED: 0 to 127.

KeyLayer

[in] Defines the Mkey layer of the LED: 0 to 3.

LedState

[out] Points to a variable which contains the status of the LED after the function is called. 0 = LED off, 1 = LED blinking slowly, 2 = LED blinking quickly, 3 = LED on.

Return values

The return value is TRUE if the LED status was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_NOT_SUPPORTED is returned if an MXC is not present.

Remarks

-

Requirements

B&R Windows CE version: V1.5-V2.1
Header file: PpSys.h
Library: PpSys.lib
MXC driver: V1.00 and higher

See also:

PpSetMKeyLed, PpSetMKeyLeds

<< Previous Topic
PpGetFwInfoEx

Start Page

Next Topic >>
PpGetModeNode


PpGetModeNode

PpGetModeNode

Returns the current position of the Mode/Node switch.

BOOL PpGetModeNode(
PUCHAR ModeNode);

Parameters

ModeNode

[out] Points to a variable which contains the current position of the Mode/Node switch after the function call. 0 to 255.

Return values

The return value is TRUE if the position of the Mode/Node switch was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

-

<< Previous Topic
PpGetMKeyLed

Start Page

Next Topic >>
PpGetMxcDrvVersion


PpGetMxcDrvVersion

PpGetMxcDrvVersion

Returns the version of the (optional) Matrix Controller (MXC) driver.

BOOL PpGetMxcVersion(
TCHAR* DrvVersion, int Count);

Parameters

DrvVersion

[out] Points to a buffer for the MXC driver version string. This buffer should be at least 5 elements long. The returned string has the format "v.yy" (decimal).

Count

[in] Defines the number of characters copied to the buffer DrvVersion (without terminating NULL character).

Return values

The return value is TRUE if the MXC driver version was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_NOT_SUPPORTED is returned if an MXC is not present.

Remarks

-

Requirements

B&R Windows CE version: V1.5-V2.1
Header file: PpSys.h
Library: PpSys.lib
MXC driver: V1.00 and higher

See also:

PpGetMxcVersion

<< Previous Topic
PpGetModeNode

Start Page

Next Topic >>
PpGetMxcVersion


PpGetMxcVersion

PpGetMxcVersion

Returns the version of the (optional) Matrix Controller (MXC).

BOOL PpGetMxcVersion(
TCHAR* MxcVersion, int Count);

Parameters

MxcVersion

[out] Points to a buffer for the MXC version string. This buffer should be at least 4 elements long. The returned string has the format "v.y" (decimal).

Count

[in] Defines the number of characters copied to the buffer MxcVersion (without terminating NULL character).

Return values

The return value is TRUE if the MXC version was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_NOT_SUPPORTED is returned if an MXC is not present.

Remarks

-

Requirements

B&R Windows CE version: V1.5-V2.1
Header file: PpSys.h
Library: PpSys.lib
MXC driver: V1.00 and higher

See also:

PpGetMxcDrvVersion

<< Previous Topic
PpGetMxcDrvVersion

Start Page

Next Topic >>
PpGetSmcVersion


PpGetSmcVersion

PpGetSmcVersion

Returns the version of the (optional) System Management Controller (SMC).

BOOL PpGetSmcVersion(
TCHAR* SmcVersion,
int Count);

Parameters

SmcVersion

[out] Points to a buffer for the SMC version string. This buffer should be at least 4 elements long. The returned string has the format "x.x" (hexadecimal).

Count

[in] Defines the number of characters copied to the buffer SmcVersion (without terminating NULL character).

Return values

The return value is TRUE if the SMC version was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

-

<< Previous Topic
PpGetMxcVersion

Start Page

Next Topic >>
PpGetTemperatureBoard


PpGetTemperatureBoard

PpGetTemperatureBoard

Returns the temperature of the motherboard in the Power Panel.

BOOL PpGetTemperatureBoard(
PCHAR Temperature);

Parameters

Temperature

[out] Points to a variable which contains the temperature in Celsius after the function is called.

Return values

The return value is TRUE if the temperature information was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.4-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

-

<< Previous Topic
PpGetSmcVersion

Start Page

Next Topic >>
PpGetTemperatureCpu


PpGetTemperatureCpu

PpGetTemperatureCpu

Returns the temperature of the CPU in the Power Panel.

BOOL PpGetTemperatureCpu(
PCHAR Temperature);

Parameters

Temperature

[out] Points to a variable which contains the temperature in Celsius after the function is called.

Return values

The return value is TRUE if the temperature information was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.4-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

-

<< Previous Topic
PpGetTemperatureBoard

Start Page

Next Topic >>
PpGetUserBootLogoInfo


PpGetUserBootLogoInfo

PpGetUserBootLogoInfo

Returns information about a user boot logo (if present) in the Power Panel flash memory.

BOOL PpGetUserBootLogoInfo(
TCHAR* Comment,
int Count,
WORD* VgaMode,
DWORD* Size);

Parameters

Comment

[out] Points to a buffer which contains information about the boot logo after the function is called. This buffer should be at least 33 elements long. If NULL is given, no information is returned.

Example: "pp640.bmp 2003/08/21 15:03:52"

If the user boot logo was not created using USERLOGO.EXE, then an empty string is returned!

Count

[in] Defines the number of characters copied to the buffer Comment (without terminating NULL character).

VgaMode

[out] Points to a variable which contains the VGA mode of the user boot logo being used after the function is called.

These modes are supported (see the constants in the definition file PpSys.h):

Value

Resolution in pixels

Constant
0x0121 | 320x240 (QVGA) | VGA_MODE_320_240
0x0101 | 640x480 (VGA) | VGA_MODE_640_480
0x0103 | 800x600 (SVGA) | VGA_MODE_800_600
0x0105 | 1024x768 (XGA) | VGA_MODE_1024_768

If VgaMode is set to NULL, then a mode is not returned.

Size

[out] Points to a variable which contains the size of the user boot logo after the function is called.

If Size is set to NULL, a size is not returned.

The size may be 0 if the user boot logo was not created using USERLOGO.EXE!

Return values

The return value is TRUE if the information about the user boot logo was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_FILE_NOT_FOUND is returned if a user boot logo has not been burned.

Remarks

-

Requirements

B&R Windows CE version: V1.4-V2.1
Header file: PpSys.h
Library: PpSys.lib
BIOS: V0.70

See also:

-

<< Previous Topic
PpGetTemperatureCpu

Start Page

Next Topic >>
PpGetUserLed


PpGetUserLed

PpGetUserLed

Returns the current status of the User LED.

BOOL PpGetUserLed(
BOOL* State);

Parameters

State

[out] Points to a variable which contains the status of the LED after the function is called. TRUE = LED ON / FALSE = LED OFF.

Return values

The return value is TRUE if the LED status was returned successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

PpSetUserLed

<< Previous Topic
PpGetUserBootLogoInfo

Start Page

Next Topic >>
PpReboot


PpReboot

PpReboot

Triggers a restart (reboot) on the Power Panel.

void PpReboot(void);

Parameters

-

Return values

This function doesn't have any return values.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

-

<< Previous Topic
PpGetUserLed

Start Page

Next Topic >>
PpSetBacklightOff


PpSetBacklightOff

PpSetBacklightOff

Turns off the display's backlighting.

BOOL PpSetBacklightOff(void);

Parameters

-

Return values

The return value is TRUE if the backlighting on the display was turned off successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

PpSetBacklightOn

<< Previous Topic
PpReboot

Start Page

Next Topic >>
PpSetBacklightOn


PpSetBacklightOn

PpSetBacklightOn

Turns on the display's backlighting.

BOOL PpSetBacklightOn(void);

Parameters

-

Return values

The return value is TRUE if the backlighting on the display was turned on successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

PpSetBacklightOff

<< Previous Topic
PpSetBacklightOff

Start Page

Next Topic >>
PpSetBrightness


PpSetBrightness

PpSetBrightness

Sets the brightness on the display.

BOOL PpSetBrightness(
UCHAR Percent);

Parameters

Percent

[in] Defines the desired brightness in percent: 0 to 100.

Return values

The return value is TRUE if the brightness was set successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib
BIOS: V1.00 and higher

See also:

PpGetBrightness

<< Previous Topic
PpSetBacklightOn

Start Page

Next Topic >>
PpSetBrightnessAuto


PpSetBrightnessAuto

PpSetBrightnessAuto

Sets the brightness to the default value defined in the factory settings.

BOOL PpSetBrightnessAuto(void);

Parameters

-

Return values

The return value is TRUE if the brightness value was set successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib
BIOS: V1.00 and higher

See also:

PpCheckBrightnessAuto

<< Previous Topic
PpSetBrightness

Start Page

Next Topic >>
PpSetContrast


PpSetContrast

PpSetContrast

Sets the contrast on the display.

BOOL PpSetContrast(
UCHAR Percent);

Parameters

Percent

[in] Defines the desired contrast in percent: 0 to 100.

Return values

The return value is TRUE if the contrast value was set successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

Contrast can only be set on passive displays.

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib
BIOS: V1.00 and higher

See also:

PpGetContrast

<< Previous Topic
PpSetBrightnessAuto

Start Page

Next Topic >>
PpSetContrastAuto


PpSetContrastAuto

PpSetContrastAuto

Sets the contrast to the default value defined in the factory settings.

BOOL PpSetContrastAuto(void);

Parameters

-

Return values

The return value is TRUE if the contrast value was set successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

Contrast can only be set on passive displays.

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib
BIOS: V1.00 and higher

See also:

PpCheckContrastAuto

<< Previous Topic
PpSetContrast

Start Page

Next Topic >>
PpSetMKeyLed


PpSetMKeyLed

PpSetMKeyLed

Sets the status of an Mkey LED.

BOOL PpSetMKeyLed(
int KeyNumber,
int Keylayer,
int LedState);

Parameters

KeyNumber

[in] Defines the Mkey number of the LED: 0 to 127.

KeyLayer

[in] Defines the Mkey layer of the LED: 0 to 3.

LedState

[in] Defines the status of the LED: 0 = LED off, 1 = LED blinking slowly, 2 = LED blinking quickly, 3 = LED on.

Return values

The return value is TRUE if the LED status was set successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_NOT_SUPPORTED is returned if an MXC is not present.

Remarks

-

Requirements

B&R Windows CE version: V1.5-V2.1
Header file: PpSys.h
Library: PpSys.lib
MXC driver: V1.00 and higher

See also:

PpGetMKeyLed, PpSetMKeyLeds

<< Previous Topic
PpSetContrastAuto

Start Page

Next Topic >>
PpSetMKeyLeds


PpSetMKeyLeds

PpSetMKeyLeds

Sets or clears all Mkey LEDs in all MKey layers.

BOOL PpSetMKeyLeds(
BOOL bOn);

Parameters

bOn

[in] Defines whether LEDs should be switched on (TRUE) or switched off (FALSE).

Return values

The return value is TRUE if the LEDs were set or cleared successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function. ERROR_NOT_SUPPORTED is returned if an MXC is not present.

Remarks

-

Requirements

B&R Windows CE version: V1.5-V2.1
Header file: PpSys.h
Library: PpSys.lib
MXC driver: V1.00 and higher

See also:

PpGetMKeyLed, PpSetMKeyLed

<< Previous Topic
PpSetMKeyLed

Start Page

Next Topic >>
PpSetUserLed


PpSetUserLed

PpSetUserLed

Sets the status of the User LED.

BOOL PpSetUserLed(
BOOL State);

Parameters

State

[in] Defines the status of the LED: TRUE = LED on, FALSE = LED off.

Return values

The return value is TRUE if the LED status was set successfully. If the function cannot be executed correctly (e.g. the function wasn't called on a Power Panel), FALSE is returned. For additional information, call the GetLastError function.

Remarks

-

Requirements

B&R Windows CE version: V1.3-V2.1
Header file: PpSys.h
Library: PpSys.lib

See also:

PpGetUserLed

<< Previous Topic
PpSetMKeyLeds

Start Page

Next Topic >>
Additional information


Additional information

In this section the following topics are discussed:

Additional information

Power Panel detection

Display IDs

Error codes

<< Previous Topic
PpSetUserLed

Start Page

Next Topic >>
Power Panel detection


Power Panel detection

Use the PpCheckPlatform function to check whether your program is running on a B&R Power Panel.

This function only runs correctly on a B&R Power Panel. On other devices, this function is cancelled and FALSE given as a return value, or the Power Panel System DLL (and therefore the function) is not present.

<< Previous Topic
Additional information

Start Page

Next Topic >>
Display IDs


Display IDs

The following table includes the display ID which is returned by PpGetDisplayType and PpGetFsDisplayId.

    ID | Description
00h | Display parameters not coming from the table in the factory settings
10h | Passive displays (STN)
11h | LCD B/W QVGA
12h | LCD COL QVGA
20h | Active displays (TFT) with QVGA resolution
30h | Active displays (TFT) with VGA resolution
40h | Active displays (TFT) with SVGA resolution
50h | Active displays (TFT) with XVGA resolution
... | Blank
F0h | Blank

<< Previous Topic
Power Panel detection

Start Page

Next Topic >>
Error codes


Error codes

All functions of this DLL return standard Windows system errors:

  • ERROR_INVALID_PARAMETER if an incorrect parameter is passed
  • ERROR_IO_DEVICE if access to a device failed (e.g. ACCESS.bus)
  • ERROR_INVALID_HANDLE if a synchronization object could not be created
  • ERROR_OUTOFMEMORY if allocating memory failed
  • ERROR_CALL_NOT_IMPLEMENTED if BIOS does not support this function (BIOS version too old) or if the platform being used is not a Power Panel.
  • ERROR_NOT_SUPPORTED if the platform being used doesn't support this function (e.g. no Matrix Controller present).
  • ERROR_FILE_NOT_FOUND if a file was not found (e.g. firmware oder user boot logo).

<< Previous Topic
Display IDs

Start Page

Next Topic >>
Mobile Panel Control Center


Mobile Panel Control Center

The Mobile Panel Control Center is used to configure and display information about a B&R Mobile Panel. The applet is opened from the Control Panel.

The Mobile Panel Control Center in the Control Panel
The Mobile Panel Control Center in the Control Panel

The following tabs can be selected:

  • Display
  • User boot logo
  • Interfaces
  • Temperatures
  • Factory settings
  • Versions

Requirements

B&R Windows CE version: V1.0-V2.1

<< Previous Topic
Error codes

Start Page

Next Topic >>
Display


Display

This tab allows you to set the brightness (background lighting) and contrast for the display online.

The "Display" tab in the Mobile Panel Control Center
The "Display" tab in the Mobile Panel Control Center

Contrast can only be set on passive displays (commonly known as LCD). Changing contrast has no effect on active displays (TFT). Depending on the type of Mobile Panel being used, the input field for contrast may be locked.

Brightness and contrast can only be set in the range provided for the display. This means that the same change in percent will have different effects on different display types.

Resetting brightness to the factory setting

  1. Select Start > Settings > Control Panel and double-click on Mobile Panel Control Center.
  2. Switch to the Display tab and enable the Auto option under Brightness.

Changing brightness

  1. Select Start > Settings > Control Panel and double-click on Mobile Panel Control Center.
  2. Switch to the Display tab and disable the Auto option under Brightness.
  3. Move the sliding switch to the brightness level which the display should use.

Resetting contrast to the factory setting

  1. Select Start > Settings > Control Panel and double-click on Mobile Panel Control Center.
  2. Switch to the Display tab and enable the Auto option under Contrast.

Changing contrast

  1. Select Start > Settings > Control Panel and double-click on Mobile Panel Control Center.
  2. Switch to the Display tab and disable the Auto option under Contrast.
  3. Move the sliding switch to the contrast level which the display should use.

Notes:
Changes in these settings are displayed online but are only noted by the system and used during the next restart if the Mobile Panel Control Center is closed with OK.

The values set here depend on the values set in the BIOS setup, i.e. values from BIOS are used until Windows CE boots (See BIOS Setup Menu Motherboard Device Configuration > Video and Flat Panel Configuration).
Values set by BIOS are applied only when the Mobile Panel Control Center is opened for the first time.

Advanced display settings

Special display settings can be made by clicking on Advanced.

The Advanced Display Settings dialog box in the Mobile Panel Control Center
The Advanced Display Settings dialog box in the Mobile Panel Control Center

Changing the display angle

  1. Select Start > Settings > Control Panel and double-click on Mobile Panel Control Center.
  2. Select the Display tab and click on Advanced.
  3. Select the desired display angle in the Advanced Display Settings dialog box under Screen Rotation in the Rotation Angle ListBox. You can select either 0, 90, 180, or 270 degrees.
  4. Click on OK.

Warning: The selected display angle is set immediately after the dialog box is closed with OK. Because the view is changed, mouse operation may prove to be difficult afterward. Furthermore, if the display angle is changed, the Touch Screen calibration is started automatically. The new calibration can be switched off by deselecting the Calibrate Touch Screen after change option.

If the display driver being used doesn't support a change in the display angle, "Not Supported" is displayed in the Rotation Angle box and making a selection is not possible.

You can also set the display angle with the "SetRotation.exe" command line utility.

Enabling/Disabling font smoothing

  1. Select Start > Settings > Control Panel and double-click on Mobile Panel Control Center.
  2. Select the Display tab and click on Advanced.
  3. Select or deselect the Enable Antialiased Fonts control box.
  4. Click on OK.

Note:
If font smoothing is changed, the computer must be rebooted before the change takes effect. A dialog box will appear when you shut down the Power Panel Control Center requesting you to do just that.

Hiding/Showing the mouse pointer

  1. Select Start > Settings > Control Panel and double-click on Mobile Panel Control Center.
  2. Select the Display tab and click on Advanced.
  3. Select or deselect the Hide cursor box.
  4. Click on OK.

Note:
If the status of the mouse cursor is changed, the computer must be rebooted before the change takes effect. A dialog box will appear when you shut down the Power Panel Control Center requesting you to do just that.

Requirements

B&R Windows CE version: V1.0-V2.1

<< Previous Topic
Mobile Panel Control Center

Start Page

Next Topic >>
Factory settings


Factory settings

This is where factory settings programmed by B&R on the Mobile Panel are displayed. Among other items, this tab includes the device type, display type, as well as the limit values for brightness and contrast.

The "Factory Settings" tab in the Mobile Panel Control Center
The "Factory Settings" tab in the Mobile Panel Control Center

Displaying Factory Settings

  1. Select Start > Settings > Control Panel and double-click on Mobile Panel Control Center.
  2. Then select the Factory Settings tab.

The following factory settings are displayed (all values are shown in hexadecimal).

Parameters | Value (example) | Meaning
Version | 03 | Version of factory settings
Device ID | 1697 | Mobile Panel device ID
Compatibility ID | 00 | The Compatibility ID is used to detect hardware changes relevant to Mobile Panel-specific software.
Display ID | 30 | Identifies the display. BIOS uses this ID to initialize the display with the appropriate display parameters.
Brightness | D5 EA FF | Minimum, default, and maximum values for the brightness settings on the display being used.
Contrast | 00 46 FF | Minimum, default, and maximum values for the contrast settings on the display being used.

Requirements

B&R Windows CE version: V1.0-V2.1

<< Previous Topic
Display

Start Page

Next Topic >>
Interfaces


Interfaces

This section contains information about Mobile Panel interfaces.

The "Interfaces" tab in the Mobile Panel Control Center
The "Interfaces" tab in the Mobile Panel Control Center

Displaying interface information

  1. Select Start > Settings > Control Panel and double-click on Mobile Panel Control Center.
  2. Then select the Interfaces tab.

This tab shows information about the Mode / Node switches. The display of the Mode / Node switch is automatically refreshed when the switch position is changed.

Requirements

B&R Windows CE version: V1.0-V2.1

<< Previous Topic
Factory settings

Start Page

Next Topic >>
Temperatures


Temperatures

The temperature values of the Mobile Panel are shown here.

The "Temperatures" tab in the Mobile Panel Control Center
The "Temperatures" tab in the Mobile Panel Control Center

Displaying Mobile Panel Temperature Values

  1. Select Start > Settings > Control Panel and double-click on Mobile Panel Control Center.
  2. Select the Temperatures tab.

The temperature of the CPU is displayed next to CPU Internal. The temperature of the motherboard is displayed under Board I/O. The displayed values are updated once every second.

Requirements

B&R Windows CE version: V1.0-V2.1

<< Previous Topic
Interfaces

Start Page

Next Topic >>
User boot logo


User boot logo

This is where you can view information about the user boot logo installed on the Mobile Panel (optional).

The "User boot logo" tab in the Mobile Panel Control Center
The "User boot logo" tab in the Mobile Panel Control Center

As an alternative to the B&R boot logo, a bitmap created by the user can be displayed as boot logo. This bitmap must be converted using the USERLOGO.EXE utility from the Mobile Panel Upgrade disks and burned to the Mobile Panel flash memory using the XFLASH.EXE utility.

Note: Displaying the boot logo must be enabled in the BIOS setup.

Viewing information about the user boot logo

  1. Select Start > Settings > Control Panel and double-click on Mobile Panel Control Center.
  2. Select the User Boot Logo tab.

The following data about the user boot logo is displayed: brief Info (by default this is the name and date/time of the used bitmap), the resolution of the used bitmap under Resolution and the size of the user boot logo in the flash under Size. If there is no user boot logo in the flash, "None" is shown under Info.

Requirements

B&R Windows CE version: V1.0-V2.1

<< Previous Topic
Temperatures

Start Page

Next Topic >>
Versions


Versions

This section contains information about the versions of BIOS installed, the System Management Controller (SMC, if available), the Matrix Controller (MXC), factory settings (Factory Settings), the Mobile Panel installed in the system System DLL (this is necessasry for Mobile Panel-specific functions like setting the brightness), and the MXC driver installed (MXC Driver).

The "Versions" tab in the Mobile Panel Control Center
The "Versions" tab in the Mobile Panel Control Center

Displaying version information

  1. Select Start > Settings > Control Panel and double-click on Mobile Panel Control Center.
  2. Then select the Versions tab.

If a System Management Controller (SMC), the Matrix Controller (MXC), or the MXC driver is not present, then "None" is given as the version.

To display version information about the Mobile Panel Control Center, click on About.

Displaying FPGA Firmware Information

  1. Select Start > Settings > Control Panel and double-click on Mobile Panel Control Center.
  2. Select the Versions tab and click on 1st FPGA or 2nd FPGA.

This opens up a window containing information about the firmware installed on the Mobile Panel (optional).

The Firmware dialog box in the Mobile Panel Control Center
The Firmware dialog box in the Mobile Panel Control Center

The following data about the Firmware is displayed: brief Info (by default, this is the module code, date and version), the Status of the boot procedure and additional data from the header of the burned FPGA file under Extended Info. If there is no Firmware in the flash, "None" is shown under Info.

Note: The firmware needed depends on the device type. Certain Mobile Panel types have one or two onboard FPGA components which have to be programmed by BIOS so that the Mobile Panel functions properly (e.g. display control). To this end, this suitable firmware must have been burned into the Mobile Panel's flash memory.

Requirements

B&R Windows CE version: V1.0-V2.1

<< Previous Topic
User boot logo

Start Page

Next Topic >>
Power Panel Control Center


Power Panel Control Center

The Power Panel Control Center is used to configure and display information about a B&R Power Panel. The applet is opened from the Control Panel.

The Power Panel Control Center in the Control Panel
The Power Panel Control Center in the Control Panel

The following tabs can be selected:

  • Display
  • User boot logo
  • Interfaces
  • Temperatures
  • Factory settings
  • Versions

Requirements

B&R Windows CE version: V1.0-V2.1

<< Previous Topic
Versions

Start Page

Next Topic >>
Display


Display

This tab allows you to set the brightness (background lighting) and contrast for the display online.

The "Display" tab in the Power Panel Control Center
The "Display" tab in the Power Panel Control Center

Contrast can only be set on passive displays (commonly known as LCD). Changing contrast has no effect on active displays (TFT). Depending on the type of Power Panel being used, the input field for contrast may be locked.

Brightness and contrast can only be set in the range provided for the display. This means that the same change in percent will have different effects on different display types.

Resetting brightness to the factory setting

  1. Select Start > Settings > Control Panel and double-click on Power Panel Control Center.
  2. Switch to the Display tab and enable the Auto option under Brightness.

Changing brightness

  1. Select Start > Settings > Control Panel and double-click on Power Panel Control Center.
  2. Switch to the Display tab and disable the Auto option under Brightness.
  3. Move the sliding switch to the brightness level which the display should use.

Resetting contrast to the factory setting

  1. Select Start > Settings > Control Panel and double-click on Power Panel Control Center.
  2. Switch to the Display tab and enable the Auto option under Contrast.

Changing contrast

  1. Select Start > Settings > Control Panel and double-click on Power Panel Control Center.
  2. Switch to the Display tab and disable the Auto option under Contrast.
  3. Move the sliding switch to the contrast level which the display should use.

Notes:
Changes in these settings are displayed online but are only noted by the system and used during the next restart if the Power Panel Control Center is closed with OK.

The values set here depend on the values set in the BIOS setup, i.e. values from BIOS are used until Windows CE boots (See BIOS Setup Menu Motherboard Device Configuration > Video and Flat Panel Configuration).
Values set by BIOS are applied only when the Power Panel Control Center is opened for the first time.

Advanced display settings

Special display settings can be made by clicking on Advanced.

The Advanced Display Settings dialog box in the Power Panel Control Center
The Advanced Display Settings dialog box in the Power Panel Control Center

Changing the display angle

  1. Select Start > Settings > Control Panel and double-click on Power Panel Control Center.
  2. Select the Display tab and click on Advanced.
  3. Select the desired display angle in the Advanced Display Settings dialog box under Screen Rotation in the Rotation Angle ListBox. You can select either 0, 90, 180, or 270 degrees.
  4. Click on OK.

Warning:The selected display angle is set immediately after the dialog box is closed with OK. Because the view is changed, mouse operation may prove to be difficult afterward. Furthermore, if the display angle is changed, the Touch Screen calibration is started automatically. The new calibration can be switched off by deselecting the Calibrate Touch Screen after change option.

If the display driver being used doesn't support a change in the display angle, "Not Supported" is displayed in the Rotation Angle box and making a selection is not possible.

You can also set the display angle with the "SetRotation.exe" command line utility.

Enabling/Disabling font smoothing

  1. Select Start > Settings > Control Panel and double-click on Power Panel Control Center.
  2. Select the Display tab and click on Advanced.
  3. Select or deselect the Enable Antialiased Fonts control box.
  4. Click on OK.

Note:
If font smoothing is changed, the computer must be rebooted before the change takes effect. A dialog box will appear when you shut down the Power Panel Control Center requesting you to do just that.

Hiding/Showing the mouse pointer

  1. Select Start > Settings > Control Panel and double-click on Power Panel Control Center.
  2. Select the Display tab and click on Advanced.
  3. Select or deselect the Hide cursor box.
  4. Click on OK.

Note:
If the status of the mouse cursor is changed, the computer must be rebooted before the change takes effect. A dialog box will appear when you shut down the Power Panel Control Center requesting you to do just that.

Requirements

B&R Windows CE version: V1.0-V2.0

<< Previous Topic
Power Panel Control Center

Start Page

Next Topic >>
Factory settings


Factory settings

This is where factory settings programmed by B&R on the Power Panel are displayed. Among other things, these factory settings include the device type, display type, as well as the limit values for brightness and contrast.

The "Factory Settings" tab in the Power Panel Control Center
The "Factory Settings" tab in the Power Panel Control Center

Displaying factory cettings

  1. Select Start > Settings > Control Panel and double-click on Power Panel Control Center.
  2. Then select the Factory Settings tab.

The following factory settings are displayed (all values are shown in hexadecimal).

Parameters | Value (example) | Meaning
Version | 03 | Version of factory settings
Device ID | 1697 | Power Panel device ID
Compatibility ID | 00 | The Compatibility ID is used to detect hardware changes relevant to Power Panel-specific software.
Display ID | 30 | Identifies the display. BIOS uses this ID to initialize the display with the appropriate display parameters.
Brightness | D5 EA FF | Minimum, default, and maximum values for the brightness settings on the display being used.
Contrast | 00 46 FF | Minimum, default, and maximum values for the contrast settings on the display being used.

Requirements

B&R Windows CE version: V1.0-V2.1

<< Previous Topic
Display

Start Page

Next Topic >>
Interfaces


Interfaces

This tab contains information about Power Panel interfaces and the option of turning on/off the User LED.

The "Interfaces" tab in the Power Panel Control Center
The "Interfaces" tab in the Power Panel Control Center

Information about the Mode / Node switch and any interface modules present in aPCI Slot 1 and aPCI Slot 2 is also displayed. The display of the Mode / Node switch is automatically refreshed when the switch position is changed.

Turning the User LED on or off

  1. Select Start > Settings > Control Panel and double-click on Power Panel Control Center.
  2. Enable or disable the User LED option under the Interfaces tab.

Displaying aPCI firmware information

  1. Select Start > Settings > Control Panel and double-click on Power Panel Control Center.
  2. Select the Interfaces tab and click on Firmware under aPCI Slot 1 or aPCI Slot 2.

This opens up a window containing information about the firmware installed on the Power Panel (optional).

The Firmware dialog box in the Power Panel Control Center

The Firmware dialog box in the Power Panel Control Center

The following data about the Firmware is displayed: brief Info (by default, this is the module code, date and version), the Status of the boot procedure and additional data from the header of the burned FPGA file under Extended Info. If there is no Firmware in the flash, "None" is shown under Info.

Note: Additional interface modules (aPCI modules) can also be inserted on certain Power Panel types. Some aPCI modules have to be programmed by BIOS with suitable firmware before they are recognized as "normal" PCI devices. To this end, this suitable firmware must have been burned into the Power Panel's flash memory.

Requirements

B&R Windows CE version: V1.0-V2.1

<< Previous Topic
Factory settings

Start Page

Next Topic >>
Temperatures


Temperatures

The temperature values of the Power Panel are shown here.

The "Temperatures" tab in the Power Panel Control Center
The "Temperatures" tab in the Power Panel Control Center

Displaying Power Panel temperature values

  1. Select Start > Settings > Control Panel and double-click on Power Panel Control Center.
  2. Select the Temperatures tab.

The temperature of the CPU is displayed next to CPU Internal. The temperature of the motherboard is displayed under Board I/O. The displayed values are updated once every second.

Requirements

B&R Windows CE version: V1.0-V2.1

<< Previous Topic
Interfaces

Start Page

Next Topic >>
User boot logo


User boot logo

This is where you can view information about the user boot logo installed on the Power Panel (optional).

The "User boot logo" tab in the Power Panel Control Center
The "User boot logo" tab in the Power Panel Control Center

As an alternative to the B&R boot logo, a bitmap created by the user can be displayed as boot logo. This bitmap must be converted using the USERLOGO.EXE utility from the Power Panel Opgrade disks and burned to the Power Panel flash memory using the XFLASH.EXE utility.

Note: Displaying the boot logo must be enabled in the BIOS setup.

Viewing information about the user boot logo

  1. Select Start > Settings > Control Panel and double-click on Power Panel Control Center.
  2. Select the User Boot Logo tab.

The following data about the user boot logo is displayed: brief Info (by default this is the name and date/time of the used bitmap), the resolution of the used bitmap under Resolution and the size of the user boot logo in the flash under Size. If there is no user boot logo in the flash, "None" is shown under Info.

Requirements

B&R Windows CE version: V1.0-V2.1

<< Previous Topic
Temperatures

Start Page

Next Topic >>
Versions


Versions

This section contains information about the versions of BIOS installed, the system management controller (SMC, if available), the matrix controller (MXC), factory settings (Factory settings), the Power Panel installed in the system System DLL (this is necessary for Power Panel-specific functions like setting the brightness), and the MXC driver installed (MXC Driver).

The "Versions" tab in the Power Panel Control Center
The "Versions" tab in the Power Panel Control Center

Displaying version information

  1. Select Start > Settings > Control Panel and double-click on Power Panel Control Center.
  2. Then select the Versions tab.

If a System Management Controller (SMC), the Matrix Controller (MXC), or the MXC driver is not present, then "None" is given as the version.

To display version information about the Power Panel Control Center, click on About.

Displaying FPGA firmware information

  1. Select Start > Settings > Control Panel and double-click on Power Panel Control Center.
  2. Select the Versions tab and click on Firmware.

The following data about the Firmware is displayed: brief Info (by default, this is the module code, date and version), the Status of the boot procedure and additional data from the header of the burned FPGA file under Extended Info. If there is no Firmware in the flash, "None" is shown under Info.

Note: The firmware needed depends on the device type. Certain Power Panel types have an onboard FPGA component which has to be programmed by BIOS so that the Power Panel functions properly (e.g. display control). To this end, this suitable firmware must have been burned into the Power Panel's flash memory.

Requirements

B&R Windows CE version: V1.0-V2.1

<< Previous Topic
User boot logo

Start Page


Control Center

General

The Control Center is the central location for configuring and displaying information pertaining to a B&R device. The following control centers are available and depend on the B&R Windows CE version being used: B&R Control Center, Power Panel Control Center, Mobile Panel Control Center.

The following topics are covered in this section:

Control Center

B&R Control Center

Mobile Panel Control Center

Power Panel Control Center

<< Vorheriges Thema
Screensaver

Startseite

Nächstes Thema >>
B&R Control Center

Kapitelanfang